<?php
/**
* Default  TCA_DESCR for "fe_users"
*/

$LOCAL_LANG = Array (
	'default' => Array (
		'username.description' => 'Enter the username of the website user. This is needed to login.',
		'username.syntax' => 'A username is required and must be in lowercase without spaces in it. Furthermore the username must be unique among other usernames in the page where it\'s saved. If it is not unique a number will be prepended automatically.',
		'password.description' => 'Enter the password for the username above. This is needed to login.',
		'password.syntax' => 'A password is required and must be in lowercase without spaces in it.',
		'usergroup.description' => 'Select a user group for the username.',
		'usergroup.details' => 'When a user logs in he is able to view all content which is access restricted to the user <em>group(s)</em> the user is a member of. Therefore the user login primarily makes sense with regard to the member groups.',
		'lockToDomain.description' => 'Enter the host name from which the user is forced to login.',
		'lockToDomain.details' => 'A TYPO3 system may have multiple domains pointing to it. Therefore this option secures that users can login only from a certain host name.',
		'lockToDomain.syntax' => 'Either a domain name, "www.typo3.com" or an IP address, "10.34.222.83"',
		'_lockToDomain.seeAlso' => 'fe_groups:lockToDomain',
		'name.description' => 'Enter the regular name of the user, both first- and surname.',
		'address.description' => 'Enter the street address of the user.',
		'www.description' => 'Enter the homepage URL',
		'title.description' => 'Enter the job title, eg. \'Director\' or \'Accountant\'.',
		'company.description' => 'Enter the name of the company in which the user is employed.',
		'image.description' => 'Insert a photo of the user.',
		'disable.description' => 'This option will temporarily disable the user from logging in.',
		'_disable.seeAlso' => 'fe_users:starttime,fe_users:endtime',
		'starttime.description' => 'Enter the date from which the account is active.',
		'starttime.syntax' => '[SHARED:dateTime]',
		'_starttime.seeAlso' => 'fe_users:disable,fe_users:endtime',
		'endtime.description' => 'Enter the date from which the account is disabled.',
		'endtime.syntax' => '[SHARED:dateTime]',
		'_endtime.seeAlso' => 'fe_users:disable,fe_users:starttime',
		'TSconfig.description' => 'Enter additional TSconfig for the user (advanced).',
		'TSconfig.details' => 'This field allows you to enter TypoScript style configuration values for the user. Currently there are no system defined keys. If there ever will be, they will be described in detail in the administrative documentation.

The primary use of this field (as well as the \'sister\'-field in the Website usergroup table) is for custom purposes. In this case, you should use the root-key "user" for your customly defined values. Thus you don\'t risk any future system keys to interfere with your configuration.

You access the values of the configuration from your PHP include code in the frontend by calling the function <em>$GLOBALS["TSFE"]->fe_user->getUserTSconf()</em> which will return an array with the valuetree in it.

<b>Warning:</b> You should use Website user/group TSconfig in your PHP-scripts ONLY if your resulting content is NOT being cached! So call it from TypoScript USER_INT cObjects or disable caching from your PHP-code by calling <em>$GLOBALS["TSFE"]->set_no_cache();</em>

<b>TSconfig from Website usergroups:</b>
Notice that the configuration from the field TSconfig in the member groups of the user is accumulated and prepended to the TSconfig of the user before it\'s parsed. This means for instance that a key defined in the TSconfig of the user (this field) will override the same key defined in the last (bottom) usergroup in the list which will again override the same key defined in the first (top) usergroup in the list.

<b>Example:</b>
Let\'s imagine you want to define for a user that his name is printed in the bottom of the webpages when he is logged in. First of all you must write a PHP-function and insert the result from it as a USER_INT cObject in the bottom of the page. But your function needs to know, whether or not this user is configured to have his name printed. So you decide to use a custom TSconfig key, \'user.printUserName\':

<em>In the TSconfig field of the user or usergroup:</em>

user.printUserName = 1


<em>In your PHP-function:</em>

$userTSConfig = $GLOBALS["TSFE"]->fe_user->getUserTSconf();
if ($userTSConfig["user."]["printUserName"]) {
  return $GLOBALS["TSFE"]->fe_user->user["name"];
}',
		'TSconfig.syntax' => 'TypoScript syntax, without conditions and constants.',
		'_TSconfig.seeAlso' => 'pages:TSconfig,fe_groups:TSconfig,be_users:TSconfig,be_groups:TSconfig',
		'.description' => 'A website login user.',
		'.details' => 'This is users with a username and password who are allowed specific access to otherwise restricted areas on your website.',
		'_.seeAlso' => 'fe_groups
be_users',
	),
);
?>