<?php
/**
* Default  TCA_DESCR for "pages"
*/

$LOCAL_LANG = Array (
	'default' => Array (
		'title.description.+' => 'This is normally shown in the website navigation.',
		'layout.description' => 'Select a layout for the page. Any effect depends on the website template.',
		'layout.details' => 'This option may not have any impact on the page design since it depends on how (and if) the front end template uses it. In most default templates it\'s not used.',
		'doktype.description' => 'Select the page type. This affects whether the page represents a visible webpage or is used for other purposes.',
		'doktype.details' => '\'Standard\' and \'Advanced\' types are regular webpages, just differing in the number of options. 
\'External URL\' and \'Shortcut\' types allows you to let a page be a shortcut to either an external URL or in the latter case a page in the page tree.
\'Not in menu\' is also a regular page, but will not be shown in the navigation.
\'Backend User Section\' is an option which requires a backend user to be logged in for the page to be visible.
				
Special types:
\'Spacer\' is only meaningfull if your frontend navigation is programmed to use it. In this case it does not represent a page with content but is intended to be a non-clickable placeholder in the navigation.
\'SysFolder\' is a page type which cannot be shown as a webpage but is rather acting as a storage for records of your choice.
\'Recycler\' is a garbage can. Pages and records in a recycler are not visible in the frontend.

<b>Notice:</b> Each type usually has a specific icon attached. Also certain types may not be available for a user (so you may experience that some of the options is not available for you!). And finally each type is configured to allow only certain table records in the page (SysFolder will allow any record if you have any problems).',
		'_doktype.seeAlso' => 'pages:shortcut,
pages:url',
		'hidden.description' => 'If this is checked, the page will be hidden on the website.',
		'hidden.details' => 'The \'Hidden\', \'Start\', \'Stop\' and \'Access\' options are all about limiting access to pages and thus they are related in functionality. In any case where a page is not visible due to one of these options, the page will not show up in the site navigation.
Notice, these options are related <em>only</em> to the page for which they are set. If you want their effect to cover the subpages as well, you must enable the \'Include subpages\' option.
When you\'re logged in as a backend user you can preview hidden pages if you have read access to them.',
		'hidden.image_descr' => 'The page icon of a hidden page is dimmed and a red X is added.',
		'_hidden.image' => 'EXT:context_help/descr_imgs/hidden_page.gif',
		'_hidden.seeAlso' => 'pages:starttime,pages:endtime,pages:fe_group,pages:extendToSubpages',
		'starttime.description' => 'The \'Start\' time determines the date from which the page will be visible online. Use this to \'publish\' the page on a certain date.If \'Start\' time is not set, the page will be online instantly (unless the page is hidden otherwise).',
		'starttime.syntax' => 'Format is DD-MM-YYYY. You may enter the value in other ways - it will be evaluated immediately.
If you insert eg. a \'d\' the current date is inserted. You can also prepend any value in the field with eg. \'+10\' which will add 10 days to the current value. For instance setting the value to \'d+10\' would select a date 10 days from now.',
		'_starttime.seeAlso' => 'pages:endtime,pages:hidden',
		'_.seeAlso' => 'tt_content',
		'endtime.description' => 'The \'Stop\' time is the date from which the page will not be online anymore.',
		'endtime.syntax' => 'See Page / Start (click below)',
		'_endtime.seeAlso' => 'pages:starttime',
		'fe_group.description' => 'If \'Access\' is set to a usergroup name, only website users which are members of the selected usergroup will be able to view the page when they are logged in.The special option \'Hide at login\' means the page will <em>not</em> be visible for website use',
		'extendToSubpages.description' => 'By default the Start, Stop, Access and Hidden options are effective <em>only</em> for the page on which they are set. If the option \'Include subpages\' is checked for the page, then their effect is inherited by all subpages to that page.',
		'extendToSubpages.details' => 'Consider a scenario where you want to create a whole section of subpages only visible for users which are logged in. Setting the \'Access\' option for the top page in the section would affect access to that page only. So the page would not show up in the navigation unless you are logged in. 
However the subpages would still be visible if one could guess the id-number of the pages and enter it manually in the URL. But setting this option would extend the effect of the top page setting to cover all subpages as well.',
		'_extendToSubpages.seeAlso' => 'pages:hidden,
pages:starttime,
pages:endtime,
pages:fe_group',
		'alias.description' => 'An \'alias\' is a unique identification string for a page. You can use this string instead of the id-number to refer to the page.',
		'alias.details' => 'Ultimately a page is identified by its id-number. For instance you may refer to a page in TYPO3 by \'.../?id=123\'. If the page with id \'123\' has the alias \'one_two_three\', then the URL \'.../?id=one_two_three\' would display exactly the same page, because \'one_two_three\' is an alias for the id \'123\'.
Normally you should assign aliases only to a limited number of pages, preferably those you need to link to a lot. In most TYPO3 configurations you would be able to use the syntax \'.. &lt;link one_two_three&gt;go to the page&lt;/link&gt; ..\' to create a link to the page. This is easier to remember.
Another use is if you need to change which page such a link is refering to. In that case you can delete the alias for one page and enter it for another and all links pointing to the alias would now refer to another id-number.',
		'alias.syntax' => 'An alias can contain only lowercase alphanumeric characters and must be unique. 
Please notice: If the entered value was not unique, it will automatically be prepended with a number. ',
		'target.description' => 'The HTML target of menu items linking to this page.',
		'target.details' => 'Set this value only to overrule the default link, which should be configured correctly for most pages in the website TypoScript template.',
		'no_cache.description' => 'This option disables server caching of the page.',
		'no_cache.details' => 'Normally pages in TYPO3 are cached on the server after being constructed for the first time. This means a page is displayed much faster the second time it\'s requested. 
For most pages this presents no problems - rather it\'s boosting the performance of the website.
However you may need to disable caching for a page if it contains dynamic content which must not be cached under any circumstances. Normally the PHP-code rendering such content is programmed to disable the caching automatically. But in any case you can force the page not to be cached via this option.',
		'_no_cache.seeAlso' => 'pages:cache_timeout',
		'cache_timeout.description' => 'Sets the cache timeout for the page.',
		'cache_timeout.details' => 'By default pages last for 24 hours in the cache. After that period the page is constructed again and rewritten to the cache. Depending on your configuration, the cache may also be cleared at midnight.
Anyhow you may here set another timeout time for the page in cache if you need to. 
This option is used quite rarely.',
		'_cache_timeout.seeAlso' => 'pages:no_cache',
		'no_search.description' => 'If enabled, this option excludes the page from searching operations on the website.',
		'author.description' => 'Enter the page authors name.',
		'author.details' => 'Whether the author name is used or not depends on the template. For most templates this value is not used.
If you\'re using TYPO3 pages as \'articles\' then you could use this field to display the name of the page (article) author.',
		'_author.seeAlso' => 'pages:author_email',
		'author_email.description' => 'Enter the page authors email address.',
		'_author_email.seeAlso' => 'pages:author',
		'TSconfig.details.+' => '

<strong>Example:</strong>
Normally the \'Web>Page\' module lets you create content in four columns, Left, Normal, Right, Border. However most websites use only a single or two columns. So some of these content columns are just taking up space and may even be confusing to users.
If you enter this string in the \'TSconfig\' field, the \'Web>Page\' module will allow you to work only in the \'Normal\' and \'Border\' column!

<em>mod.web_layout.tt_content.colPos_list = 0,3</em>

(Must be entered in a single line!)

For the full range of options you must refer to the the \'Adminguide\' PDF-document.',
		'module.description' => 'Define the page as a frontend \'module\'.',
		'module.details' => 'In the backend there is a module called \'Web>Modules\' as well as a header \'Modules\' in the \'User>Task Center\'. Both functions list the available \'Frontend modules\' to which the user has access.
Basically, setting this option just marks the page so the backend knows this page contains eg. a forum or is the root page of a shopping section on the website. And based on this knowledge the backend is able to display a shortcut list as well as relevant functionality in the \'Web>Modules\' module. The frontend display is - largely - not affected.
So in effect, by \'marking\' a page to be a \'Shop\' module simply means it\'ll show up in the shortcut list of modules in the backend.

There may be a little more to it than this, but for details on the subject, you must refer to the administration documentation.

It\'s recommended that only admin-users are allowed access to this field!',
		'media.description' => 'Attach media files related to the page.',
		'media.details' => 'This fields allows you to attach various files to the page record. 
If and how these files are used depends on your template. So basically which files you attach here and in which order they must be listed is determined by your specific website template and thus you should seek instructions in the documentation for your specific website.
As an example this field could be used from the template to allow you to attach a logo-image to the page. Or the template might be programmed to expect the first file to be an image used as a link in the navigation menu. But remember, this totally depends on how this field is used in the programming of the template.',
		'subtitle.description' => 'Enter a subtitle if needed.',
		'subtitle.details' => 'Whether this field is used or not depends on the template. In most cases it\'s not used.
You may use this field as you like in your own templates.',
		'url.description' => 'Enter the URL to which this page is supposed to link.',
		'url.details' => 'Example: \'http://www.typo3.com\' or just \'www.typo3.com\' provided the \'Type\' selector is set to \'http://\'.
Use the \'Type\' selector to select a prefix for the URL.

This option is used only if the page \'Type\' is set to \'External URL\'.',
		'shortcut.description' => 'Insert a reference to the page to which this page is supposed to be a shortcut.',
		'shortcut.details' => 'Click the \'Browse for records\' icon and a new window will appear in which you can easily select the page to which the shortcut is supposed to link.

This option is used only if the page \'Type\' is set to \'Shortcut\'.',
		'_shortcut.image' => 'EXT:context_help/descr_imgs/page_shortcut.gif',
		'keywords.description' => 'Enter keywords for the page separated by commas.',
		'keywords.details' => 'Most TYPO3 websites inserts these keywords in a meta-tag on the page. Depends on the TypoScript template.
The keywords may also be used for searching.',
		'_keywords.seeAlso' => 'pages:description',
		'description.description' => 'Enter a short description for the page.',
		'description.details' => 'Most TYPO3 websites insert this description in a meta-tag on the page. Depends on the TypoScript template.',
		'_description.seeAlso' => 'pages:keywords
pages:abstract',
		'abstract.description' => 'Enter an abstract for the page.',
		'abstract.details' => 'An abstract is a short description of the page content. It\'s different from the Description field in the fact that it\'s not inserted in any meta-tags.
Basically the use of the abstract depends on the TypoScript template. You may use this field for user defined purposes as you like. 
However there is one explicit use with most TYPO3 websites: If you insert a content element of the type \'Menu/Sitemap\' and select the subtype \'Menu of subpages to these pages (with abstract)\' then the content of this field will be displayed as a short description in the list.',
		'_abstract.seeAlso' => 'pages:description',
		'newUntil.description' => 'Enter the \'expiry date\' of the page.',
		'newUntil.details' => 'The \'expiry date\' of the page has no effect on the display of the webpage. This value is rather for internal use meant as a reminder of the date when the content of this page should be revised. So if the content of the page will be outdated at a certain point in time, you could set this value to that approximate date.
In order to obtain an overview of the expiry dates of pages, use the \'Pagetree overview\' in the \'Web>Info\' module.',
		'newUntil.syntax' => 'See Page / Start (click below)',
		'_newUntil.seeAlso' => 'pages:starttime',
		'lastUpdated.description' => 'Enter the time and date of the most recent update of this page.',
		'lastUpdated.details' => 'How the value of this field is used is determined by the TypoScript template of the website. First of all a \'Last updated\' notice needs to be inserted on the pages and secondly the template must be configured to use this value. 
The most common use which is found in the standard templates will automatically display the last update time and date <em>unless</em> this field specifies a value in which case this value is inserted.',
		'lastUpdated.syntax' => 'Format is HH:MM DD-MM-YYYY.
If you insert eg. a \'d\' the current time and date is inserted. You can also prepend any value in the field with eg. \'+10\' which will add 10 days to the current value.',
	),
	'dk' => 'EXT'
);
?>