<?php
/**
* Default  TCA_DESCR for "sys_domain"
*/

$LOCAL_LANG = Array (
	'default' => Array (
		'.description' => 'Determines the entrypoint of a certain host name.',
		'.details' => 'When a TYPO3 database contains more than a single website, you\'ll typicall have to assign a domain name to each new websites "root-page". In practice you point all the domains to the same TYPO3 database on the server, but then you insert these Domain records at the positions in the page tree where you want to direct requests to the domain. And thus pages \'outside\' that point will not be accessible from that domain.
This is like "Virtual hosts" in Apache servers.

(Should probably be available for admin only.)',
		'_.seeAlso' => 'sys_language
sys_template
',
		'domainName.description' => 'Enter the host name, eg. "www.my-domain.com".',
		'domainName.details' => 'Before a domain record will have any effect you must make sure that the domains A-record is pointed towards the server and that your server is setup to direct requests to this TYPO3 database. So basically before entering anything here, make sure a request to the domain you wish to enter arrives at the root of the current page tree. 
When you create a domain record and the host name in it (be it a real domain name or an IP address) matches the hostname of the URL, the TypoScript based front end will limit the available page to only those in the page tree from this point and outwards. In effect you will \'arrive\' at the page where this record is and furthermore users cannot see pages with ids outside this branch.

<strong>Notice, </strong>if you run TYPO3 from a subdirectory of the domain name, you must include the subdirectory as well, eg. "www.my-domain.org/typo3_subdir/"
',
		'redirectTo.description' => 'All requests to the domain will be redirected to this URL, if any value is entered.',
		'redirectTo.details' => 'Make sure to prepend "http://" or equally to the value! Basically a "Location: " header is just issued to this value!
<strong>Warning:</strong> You cannot use this to \'redirect\' to a specific page id within the same domain as the record has! If you do that it\'ll just go into an endless loop because the redirect is redirecting to itself!

Good Example:
Domain: "my-domain.org"
Redirect: "www.my-domain.org"

This redirects requests to what is infact another domain name, namely "www.my-domain.org"

Bad Example:
Domain: "www.my-domain.org"
Redirect: "www.my-domain.org/?id=10"

This will go into an eternal loop because the domain name has in fact not changed!


Virtual directories:
If you\'re using TYPO3 on a unix computer you can make \'virtual subdirectories\' to a website, still within the same database. See document list for more information. In that case you should enter the hostname with the subdirectory appended, like this: "my-domain.org/subdir/". If the combination of host name and current subdirectory matches the value, the domain record will be correctly detected and limit page access to the page tree below the Domain record.
',
		'hidden.description' => 'Use this option to temporarily disable the Domain record.',
	),
);
?>