<?php
/**
* Default  TCA_DESCR for "tt_content"
*/

$LOCAL_LANG = Array (
	'default' => Array (
		'.description' => 'All visible content on webpages in TYPO3 is typically made up or represented with "Pagecontent" records. ',
		'.details' => '"Pagecontent" records is ordered and can thus be rearranged. Also notice that the "Language" and "Column" selector of the "Pagecontent" records determines where and in which situation they appear. If you do not change the value of the "Language" and "Column" selectors you are most sure that the element will appear by default.',
		'CType.description' => 'Select the kind of page content this element represents. New options will appear when you save the record.',
		'CType.details' => 'The \'Type\' of content you select determines which options you have in the editform, so make sure to save the record before you make changes.

This is a description of the various types:

<strong>Header</strong>
This type allows you insert a standard content element header and nothing more. 
Almost all the other types described below also includes the header with the exact same options. So the Header type just provides a way to insert a header <em>only</em> without anything else.

<strong>Text</strong>
The Text type allows you to insert regular page content.

<strong>Text w/image</strong>
This is the same as the Text type (regular page content) but with the option of attaching images.

<strong>Rich Text</strong>
This type makes sense only if you\'re using the Rich Text Editor which allows you to format text with a toolbar as you know from eg. the Word textprocessor. Although you have the same options with the Text and Text w/image types, the Rich Text type offers you a few more features in the toolbar, for instance a table editor.
<strong>Notice</strong> that the content made with the Rich Text editor is <em>not</em> preprocessed by any means and thus this is basically a WYSIWYG HTML editor.

<strong>Image</strong>
The same as Text w/image but without the text field - so only images.

<strong>Bullet list</strong>
Lets you create a bullet list. Each line in the text-field will appear as a single line in the bulletlist.

<strong>Table</strong>
Lets you create <em>simple</em> tables. Each line represents a tablerow and vertical bars \'|\' separates each column.

<strong>Filelinks</strong>
Allows you to present a list of files for download. You can have thumbnails attached to the list including filesize.

<strong>Multimedia</strong>
Lets you insert multimedia elements such as sound, video, java applets and flash animations.

<strong>Form</strong>
Lets you create mail forms. There is a special syntax to use when you wish to create form fields.

<strong>Search</strong>
This inserts a search box and it will also display the search result if a query is performed to the page.

<strong>Login</strong>
Displays a login box for website users. You must create at least one Website user and user group before this makes any sense to use.

<strong>Textbox</strong>
This is mainly for customly defined design which includes typically some text and an image. So in other words the function is not generally defined. However the default subtypes will let you choose various ways to display some text with an image.
Use only if instructed to.

<strong>Menu/Sitemap</strong>
Offers a selection of various link menus and a sitemap you can insert on a page.

<strong>Insert records</strong>
This is a placeholder for other records. In other words, by this element you can attach other content elements from elsewhere and thus insert them this page.

<strong>Insert module</strong>
This will allow you to insert a forum, guestbook, list of addresses, shopping basket etc. The various features are available <em>only</em> if they are configured correctly in the template of your website. So before you use it, make sure this is the case.

<strong>Script</strong>
This is reserved for custom purposes where the template developer can allow you to insert specialized page content by this element type along with a code to identify which special content you want.

<strong>HTML</strong>
This is plain HTML content. Everything put here will be displayed directly on the page without any preprocessing.
',
		'_CType.seeAlso' => 'tt_content:colPos,
tt_content:sys_language_uid',
		'hidden.description' => 'Check this box if you wish to hide the content element from being displayed.',
		'_hidden.seeAlso' => 'tt_content:starttime,
tt_content:endtime,
tt_content:fe_group,
tt_content:colPos,
tt_content:sys_language_uid
',
		'starttime.description' => 'Enter the date from which the content element will be visible.',
		'_starttime.seeAlso' => 'pages:starttime,
tt_content:endtime,
tt_content:hidden,
tt_content:fe_group
',
		'endtime.description' => 'Enter the date from which the content element will disappear from the website.',
		'_endtime.seeAlso' => 'pages:endtime,
tt_content:starttime,
tt_content:hidden,
tt_content:fe_group
',
		'fe_group.description' => 'Select a Website usergroup which is exclusive allowed to view the element.',
		'fe_group.details' => 'The options in this box depends on which Website usergroups are created and available for you. When you select a user group here, the content element will no longer be visible to users which are not logged in. Only Website users which are logged in and members of the group you selected will be allowed to see the element.
If you select "Hide at login" the effect is kind of reversed in that the element <em>disappears</em> if <em>any</em> Website user is logged in. This is useful if you want to present information like "How to login" and such which is irrelevant if a user is finally logged in.
',
		'_fe_group.seeAlso' => 'tt_content:hidden,
tt_content:starttime,
tt_content:endtime,
pages:fe_group',
		'sys_language_uid.description' => 'Select the system language of this element. <strong>Notice</strong> this will affect whether the element is visible.',
		'sys_language_uid.details' => 'This allows you to assign a specific language to the content element. If you select anything but the default value, the element will <em>not</em> be visible unless the language assigned is also configured by the TypoScript template. 
The available system languages are created by the administrator.',
		'_sys_language_uid.seeAlso' => 'tt_content:colPos',
		'layout.description' => 'Select a layout. ',
		'layout.details' => 'This option is not used in the default templates but may be used by any custom rendering.

There are a number of default implementations depending on the content element type:

<b>"Filelinks":</b>
"Normal" will provide a list of filelinks with no thumbnail.
"Layout 1" adds a file icon to the left of the link
"Layout 2" adds a thumbnail if the file is an image file and if not an icon. A black border is wrapped around.
"Layout 3" is like Layout 2, but without the black border.

<b>"Insert list" / Board</b>
There are two built-in board types in TYPO3, the one is a List board and the other a Tree board. The List board is inserted by the "Normal" layout type while the "Tree" board is inserted by the "Layout 1". <i>Be aware of this fact! Nothing will show up if you select the wrong type!</i>
',
		'colPos.description' => 'Select the column position this element. <strong>Notice</strong> this will affect whether the element is visible.',
		'colPos.details' => 'Most websites use only one column of content. However some templates lets you put content in multiple columns and this option allows you to select another column for the element.

<strong>Notice</strong> that selecting another column than "Normal" will make the content element disappear unless that column is also displayed in the website template. If your content element is \'strangely\' not visible please make sure the Column and Language selectors are set correctly.',
		'_colPos.seeAlso' => 'tt_content:sys_language_uid',
		'date.description' => 'Enter a date to be displayed above the header.',
		'date.syntax' => 'For syntax, see Pages / Start below.',
		'_date.seeAlso' => 'pages:starttime',
		'header.description' => 'Enter a headline for the content element.',
		'header.details' => 'Almost all content elements (except the HTML type for instance) will display this header above the content. If you don\'t want a header displayed, select the header Layout to "Hidden". Alternatively you can choose not to enter any content in this field.

Some content element types do not display the header by default. In those cases the Header field is typically labeled "Name" instead. One of these are the HTML type content element.',
		'_header.seeAlso' => 'tt_content:header_position,
tt_content:header_link,
tt_content:header_layout,
tt_content:date',
		'header_position.description' => 'Places the header to the left, centered or to the right.',
		'_header_position.seeAlso' => 'tt_content:header',
		'header_link.description' => 'Creates a link from the header. Insert a page id, email address or URL.',
		'header_link.syntax' => 'If you insert an id-number, eg. "51", the link will refer to page with id=51 <em>inside</em> TYPO3.
If you insert an email address, eg. "name@my-domain.test", the link will point to that email address.
If you insert an URL or domain, eg. "www.typo3.com" or "http://www.my-domain.org", the link will point to that website.
',
		'_header_link.seeAlso' => 'tt_content:header',
		'header_layout.description' => 'Select a visual design for the header.',
		'header_layout.details' => 'If you select "Default" the standard design (which is one of the layouts 1-5) will be used. 
Alternatively you can select from Layout 1 through 5 which are configured in the website template with individual visual designs.
If you select "Hidden" the header will simply not appear. This is usefull if you wish a header for the content element (in order to identify it in the backend) but do not wish the header to be displayed on the website.
',
		'_header_layout.seeAlso' => 'tt_content:header',
		'subheader.description' => 'Enter a subheader. This is displayed below the ordinary headline. If the content element type is "Form" this field is the recipient email.',
		'subheader.details' => 'A subheader is displayed only with the "Header" content element type.

<b>Notice:</b> When using the content element type "Form", this field is named \'Recipient-email:\' and contains the email address of the form mail recipient. It\'s therefore important to allow access to this field for the users.',
		'_subheader.seeAlso' => 'tt_content:header
tt_content:bodytext
',
		'bodytext.description' => 'Enter the body text.',
		'bodytext.details' => 'Here you enter the body text of the content element. Usually you can use some HTML formatting tags, if you\'re using Internet Explorer you can even format the content visually.
The field is reused in most other types and so switching between the content element types will bring the value of this field with it.

When you\'re using this field with the "Text" and "Text w/image" types, the content is used as ordinary body text. Each linebreak signifies a new paragraph, you can use the special TYPO3 tags, &lt;LINK&gt;, &lt;TYPOLIST&gt;, &lt;TYPOHEAD&gt; and &lt;TYPOCODE&gt;. The &lt;TABLE&gt; element is one of the only HTML-elements you cannot use though.

If the type is "Bulletlist" each line in this field is a bulletlist entry.

If the type is "Table" each line represents a table row. Within each line you divide the columns by inserting a vertical bar, |. So making a table row with 3 columns could look like "This is column 1 | Column 2 here | Third column!"

Types like "Script", "Mailform" and "Multimedia" uses this field for parameters you can pass to the element. And the "HTML" type accepts any input as raw HTML which is simply displayed on the website without any preprocessing.

<strong>Rich Text Editor:</strong>
With the types "Text", "Text w/image" and "Rich Text" the Rich Text editor is used when Internet Explorer is used for editing (provided that the editor is generally enabled in the system). Be aware that the content is "cleansed" before it goes into the database when you\'re using the "Text" and "Text w/image" types. The "Rich Text" type pretty much passes it through without any interaction.

<b>Making a mail form:</b>
When you have selected the content element type "Form" you should enter lines of parameters into this field. This is a brief example:

<nobr>
Your name: | *name=input,40 | [Enter name!]
Your email: | *email=input,40
Your address: | address=textarea,40,10
Your haircolor: |hair=radio|Blue=blue, Red=red

|formtype_mail = submit | Send form
|subject=hidden| Enter a subject here!
|html_enabled=hidden | 1
</nobr>

The first two lines makes input-fields for name and email, both are marked "required" by the * and the name field has a default value of "[Enter name!]".
The third line is a text box and the fourth makes radiobuttons to select haircolor.
Then there are three important lines in the end. The first makes a submit button with the label "Send form", the second line is the subject of the email the receiver gets and the third line makes the form result render in an HTML-table.
<b>Notice:</b> Before any form will ever work, you must enter a recipient email address. The "Recipient-email:" field is used for that (this is in fact the Subheader field used!).
',
		'_bodytext.seeAlso' => 'tt_content:CType,
tt_content:rte_enabled,
tt_content:text_align,
tt_content:text_face,
tt_content:text_size,
tt_content:text_color,
tt_content:text_properties
tt_content:subheader',
		'text_align.description' => 'Places the body text to the left, centered or to the right.',
		'text_align.details' => 'See Pagecontent / Fontface for comments.',
		'_text_align.seeAlso' => 'tt_content:text_face,
tt_content:bodytext',
		'text_face.description' => 'Select a font fact family for the body text.',
		'text_face.details' => '<strong>Notice</strong> that these options are only meant for special design. The general (default) design should be configured in the template instead. Furthermore you should NOT use these options if your template implements stylesheets and are based on using styles in general.',
		'_text_face.seeAlso' => 'tt_content:text_face,
tt_content:bodytext',
		'text_size.description' => 'Select a font size for the body text.',
		'text_size.details' => 'See Pagecontent / Fontface for comments.',
		'_text_size.seeAlso' => 'tt_content:text_face,
tt_content:bodytext',
		'text_color.description' => 'Select a color for the body text.',
		'text_color.details' => 'See Pagecontent / Fontface for comments.',
		'_text_color.seeAlso' => 'tt_content:text_face,
tt_content:bodytext',
		'text_properties.description' => 'Select additional font properties.',
		'text_properties.details' => 'These options will select font properties for all the body text. However you may wish to mark only a part of the bodytext as bold or underline in which case you should use the formatting options in the Rich Text Editor. Alternatively you can use the HTML tags here:

&lt;B&gt;<strong>This is bold</strong>&lt;B&gt;
&lt;I&gt;<strong>This is italics</strong>&lt;I&gt;
&lt;U&gt;<strong>This is underlined</strong>&lt;U&gt;

See Pagecontent / Fontface for comments.
',
		'_text_properties.seeAlso' => 'tt_content:text_face,
tt_content:bodytext',
		'image.description' => 'Insert one or more images.',
		'image.details' => 'You can attach images to the content element almost as many as you like here. 
Depending on the configuration of TYPO3 you can even attach them in any format you like. Especially you do not need to worry about size and compression because these factors are normally handled by TYPO3 internally.

When you use the "Text w/image" type, it\'s important to select a proper position of the imageblock. For this purpose, use the Position selector which is displayed below (or if you click in the image list field in the Classic backend). See link to Pagecontent>Position below.
You can also display images in multiple columns and enable an option which enables a link so you can click the image and see a bigger version. Just to name a few options. 
Most likely you don\'t have all options available. This depends on your permissions in the system.
',
		'_image.seeAlso' => 'tt_content:imagewidth,
tt_content:imageheight,
tt_content:imageorient,
tt_content:imageborder,
tt_content:image_noRows,
tt_content:image_link,
tt_content:image_zoom,
tt_content:imagecols,
tt_content:imagecaption,
tt_content:image_effects,
tt_content:image_frames,
tt_content:image_compression,
User manual | http://www.typo3.com/Images.1072.0.html
',
		'imagewidth.description' => 'Enter the width in pixels of the image.',
		'imagewidth.details' => 'The template is normally configured to a max width of an image and so you don\'t need to specify the width if the image fits perfect into those dimensions. However this does give you an opportunity to specify a specific width.',
		'_imagewidth.seeAlso' => 'tt_content:imageheight, 
tt_content:image',
		'imageheight.description' => 'Enter the height of the image in pixels.',
		'_imageheight.seeAlso' => 'tt_content:imagewidth, 
tt_content:image
',
		'imageorient.description' => 'Select the position of the imageblock relative to the body text.',
		'imageorient.details' => 'The position above and below the body text is pretty straight forward.
The options "In text" means that the image block is displayed with text aside it. When you select this option the template will probably force the images into smaller dimensions because they cannot take up the same space when text is supposed to float around them.
When you select "In text" you can choose the options either above or below the divider "No wrap". If you select the "In text" option above, the bodytext will float <em>under</em> the image block when the bodytext reaches the end of the image block. So in other words the body text <em>wraps around</em> the image block. If you select "In text" below the "No wrap" divider, the body text will not float under the image block, but simply continue in it\'s column.
Apart from the visual difference there is a technical aspect as well. Because if you choose to allow the content to wrap the image block you will experience a strange phenomenon when you do not have enough bodytext to make it float around the image: You experience that the subsequent content elements on the page is somehow layered on top of the image block - and this certainly looks like a bug. However it\'s easily solved by changing the "In text" position to the equal value but below the "No wrap" divider.
',
		'imageborder.description' => 'Check this, if you wish a colored border around the images.',
		'_imageborder.seeAlso' => 'tt_content:imagecols,
tt_content:image',
		'image_noRows.description' => 'Disables strict tablerows in the image block.',
		'image_noRows.details' => 'This options is kinda hard to explain, but image you have 2 or more columns <em>and</em> rows of images. If one image in the upper row is a bit taller than the second this will generate an empty extra space beneath the second image. This is due to the normal procedure in which the images are placed in a table cell each.
If you set this option, the table will place all images in a column in a single table cell which make the distance between them vertically identical throughout. This may provide a better look if the alternative looks stupid.
',
		'_image_noRows.seeAlso' => 'tt_content:imagecols, 
tt_content:image
',
		'image_link.description' => 'Enter a link for the images. ',
		'image_link.details' => 'By default all images share the same link. However you may ask the administrator to configure the TypoScript template to allow a separate link for each image. If this is the case, you simply separate the link values by a comma.

See Pagecontent>Link below for details on syntax.
',
		'_image_link.seeAlso' => 'tt_content:header_link,
tt_content:image_zoom, 
tt_content:image
',
		'image_zoom.description' => 'Check this option, and the image will link to a new window with a bigger version.',
		'image_zoom.details' => 'This option overrides the value in the Link-field.',
		'_image_zoom.seeAlso' => 'tt_content:image_link, 
tt_content:image
',
		'image_effects.description' => 'Select special image processing effects.',
		'_image_effects.seeAlso' => 'tt_content:image_compression,
tt_content:image_frames, 
tt_content:image
',
		'image_frames.description' => 'Select special image framing options.',
		'_image_frames.seeAlso' => 'tt_content:image_compression,
tt_content:image_effects, 
tt_content:image
',
		'image_compression.description' => 'Select compression/quality options.',
		'_image_compression.seeAlso' => 'tt_content:image_frames,
tt_content:image_effects, 
tt_content:image
',
		'imagecols.description' => 'Select the number of columns in the image block.
',
		'_imagecols.seeAlso' => 'tt_content:image_noRows, 
tt_content:image
',
		'imagecaption.description' => 'Enter a caption for the image block
',
		'imagecaption.details' => 'By default the caption is positioned below the whole image block. However your website template may be configured to allow indidual image captions. In that case each line in this field will be the image caption of the corresponding image in the list.

The caption text field is also used by the content element type "Filelinks" where each line represents a description of a file in the list.',
		'_imagecaption.seeAlso' => 'tt_content:imagecaption_position, 
tt_content:image
',
		'imagecaption_position.description' => 'Places the image caption to the left, centered or to the right.',
		'_imagecaption_position.seeAlso' => 'tt_content:imagecaption, 
tt_content:image
',
		'cols.description' => 'Select a fixed number of table columns',
		'pages.description' => 'Insert page(s)
',
		'pages.details' => 'With this field you can generally create a relation to a page (or more) in TYPO3. This field is used by many of the content element types. If you don\'t specify a page here, the current page will generally be used.

Using the "Search" type, the page you insert will be the page to which the search is targeted. You must make sure that this page has a similar "Search" content element (or something similar) to render a search result. Else it makes no sense.

The "Login" type content element also uses this field to direct the login to a certain page. However that page does not need to contain a Login content element in order to perform the authentication - you can in fact submit a login request to any TYPO3 page and it will be evaluated! 
If you specify a second page in this list, the id will be passed to the login system as being the page inside TYPO3 where the database of users to look up is found. You should use this only if your template is not configured to pass this value on.
In order for the login procedure to work, you must make sure that 1) you have created at least one Website user and member usergroup and is using the correct username and password, 2) you have configured in your TypoScript template on which page (typically a SysFolder) the users can be found - or alternatively have specified this by the second page in the this page list, 3) cookies must be enabled.

The "Menu/Sitemap" element also uses this field. In that case the page(s) will determine from which point the menu is drawn or maybe even represent the actual pages to which the menu links. All this depends on the subtype of Menu/Sitemap you have selected.

Finally the "Form" element uses this field as the page to which the form is submitted. You might thus insert a page which is the "Thank you" page of the form mail. ',
		'_pages.seeAlso' => 'tt_content:CType, 
tt_content:recursive
',
		'recursive.description' => 'Select how many subleves should be additionally selected for each page in the list.',
		'recursive.details' => 'Whether this feature makes sense or not depends solely on the template implementation and/or content element type. But basically if this feature is enabled it means that for each page listed in the "Send to page/Starting point" box subpages - to the depth specified here - will <em>also</em> be selected!

<strong>Warning:</strong> If there are many subpages, be aware of this option. It may select an incredible amount of pages then!
',
		'_recursive.seeAlso' => 'tt_content:pages',
		'menu_type.description' => 'Select which kind of menu you wish to create.',
		'menu_type.details' => 'This is a short description of each type:

<strong>Menu of these pages</strong>
This will create a list of links to the pages you insert in the Startingpoint list.

<strong>Menu of subpages to these pages</strong>
This results in a list of links to the subpages of the pages in the Startingpoint list. If you do not specify a startingpoint, subpages to the current page will be selected.

<strong>Menu of subpages to these pages (with abstract)</strong>
Like the previous, but this will include the content of the Abstract field of the pages.

<strong>Menu of subpages to these pages + sections</strong>
Like the previous, but including \'submenu\' links to all content elements on the page which has the "Index" checkbox set.

<strong>Sitemap</strong>
Generates a classic tree sitemap. Maybe your TypoScript template is configured to another design of the sitemap, but anyhow you\'ll get a sitemap out of this. Notice that the sitemap will begin from the current page unless you specify another "Startingpoint" page in the list below.

<strong>Section index (pagecontent w/Index checked)</strong>
This makes a menu to the content elements on this page (or the page specified in the Starting point list). Great way to make an index in the top of the page.
Notice that all content elements with the "Index" checkbox set is selected. So if you don\'t want certain content elements to appear in the list, just un-check the Index checkbox for those elements.

<strong>Recently updated pages</strong>
This displays the 10 most recently updated pages. 
<strong>Notice:</strong> If you update a page and this list seems not to be updated instantly, just clear the cache of the page and the problem is solved.

<strong>Related pages (based on keywords)</strong>
Displays other related pages based on the keywords set for this pages matched up with the keywords on other pages.


Notice: With many of the above menu types, the default starting point is the current page. However you can specify another startingpoint (or more than one in fact!) by adding pages to the the "Startingpoint" list. See link below.
',
		'_menu_type.seeAlso' => 'tt_content:pages,
tt_content:sectionIndex',
		'list_type.description' => 'Select a module to insert (Availability depends on the template).',
		'list_type.details' => 'It\'s very important that you recognize the need to also install the particular module in the TypoScript template of the website. This is done by the administrator. But when a module is first introduced in the template and configured correctly, then the "Insert module" content element type is used to insert the modules function on the right page on your website. This is a very flexible way to do it, because you determine all by yourself where you want your guestbook, forum, list of shopping items and so on.
But first make sure which modules are available to you!

This is a description of the options:

<strong><u>LISTS:</u></strong>
(Generally this subdivision of options is about listing records on the page).

<strong>Guestbook:</strong>
Lists the guestbook records on the page. Notice that you\'ll have to insert a special code in the CODE field in order to activate the guestbook. But there will be an explanation displayed when you insert the module without any code.

<strong>Board:</strong>
Lists the discussion board records or list of forums on the page. This depends on the CODE field content. There will be an explanation displayed when you insert the module without any code.

<strong>Products:</strong>
Lists products (or shop items) on the page. Alternatively it inserts the shopping basket or a search form. This all depends on the content of the CODE field. There will be an explanation displayed when you insert the module without any code.

<strong>News:</strong>
Lists news items teasers, extensive list or whole items. This depends on the CODE field content. There will be an explanation displayed when you insert the module without any code.

<strong>Addresses:</strong>
Lists the address records found on the page. 

<strong>To-Do:</strong>
No default rendering. Must be custom made.

<strong>Calendar:</strong>
No default rendering. Must be custom made.

<strong>Links:</strong>
No default rendering. Must be custom made.


<strong>MODULES:</strong>

<strong>Rating:</strong>
Inserts a rating element on the page.

<strong>Indexed search:</strong>
Inserts a search dialog and result page for the Indexed Searching Engine.

<strong>Tip-a-friend:</strong>
Inserts a link (or form display) to the "Tip-a-friend" feature. There will be an explanation displayed when you insert the module without any code.

<strong>ADMINISTRATION:</strong>

<strong>Frontend User administration:</strong>
Inserts an editing form for creating and maintenance of frontend users of a website. 

<strong>DirectMail subscription:</strong>
Inserts an editing form for subscription and maintenance of subscription for Direct Mail recipients. This is not limited to the Direct Mail feature but can just as well be used to enable an online addresslist where every entry maintains his own record through this. 
Basically it just allows access to the Address table in TYPO3.


The "Startingpoint" is used with some of the above options to designate from which page records are selected. If you do not enter a starting point, the current page is usually used.
',
		'_list_type.seeAlso' => 'tt_content:select_key',
		'select_key.description' => 'Enter a code string.
',
		'select_key.details' => 'Whether or not the content of this field is used and how it\'s intepreted depends on the context. 
',
		'_select_key.seeAlso' => 'tt_content:list_type',
		'table_bgColor.description' => 'Select table background color.',
		'table_border.description' => 'Select table border thickness.',
		'table_cellspacing.description' => 'Select table cell spacing.',
		'table_cellspacing.details' => 'Cell spacing is the distance between table cells in rows an columns. The distance is equally applied in all directions, top, bottom, left and right.',
		'table_cellpadding.description' => 'Select table cellpadding.',
		'table_cellpadding.details' => 'Cell padding is the \'internal\' margin of a table cell. The distance is equally applied in all directions, top, bottom, left and right.',
		'media.description' => 'Add files to the list here.',
		'multimedia.description' => 'Insert the multimedia element, eg. a flash movie here.',
		'filelink_size.description' => 'Check this, if you wish the filesizes to be displayed.',
		'records.description' => 'Insert relations to records.',
		'spaceBefore.description' => 'Enter the amount of whitespace (in pixels) to insert <em>before</em> this content element.',
		'_spaceBefore.seeAlso' => 'tt_content:spaceAfter,
tt_content:section_frame
',
		'spaceAfter.description' => 'Enter the amount of whitespace (in pixels) to insert <em>after</em> this content element.',
		'_spaceAfter.seeAlso' => 'tt_content:spaceBefore,
tt_content:section_frame
',
		'section_frame.description' => 'Select a framing option for the content element.',
		'_section_frame.seeAlso' => 'tt_content:spaceAfter,
tt_content:spaceBefore',
		'splash_layout.description' => 'Select the design for the Text box.',
		'splash_layout.details' => '<strong>Notice:</strong> The Textbox type has a few default renderings but are primarily designed to be used for custom purposes. Therefore the availability of features will depend on the current website template.
',
		'_splash_layout.seeAlso' => 'tt_content:CType',
		'sectionIndex.description' => 'If set, the content element will appear in section indices.',
		'sectionIndex.details' => 'See details for the Menu-type selector (click below).',
		'_sectionIndex.seeAlso' => 'tt_content:menu_type',
		'linkToTop.description' => 'If checked, a little "To top" link will be inserted after the content element.',
		'rte_enabled.description' => 'If checked, the Rich Text Editor will be disabled for the "Text" and "Text w/Image" types (<em>in this element only</em>).',
		'_rte_enabled.seeAlso' => 'tt_content:bodytext',
	),
);
?>