<?php
/**
 * Default  TCA_DESCR for "be_groups"
 * TYPO3 CVS ID: $Id: locallang_csh_be_groups.php,v 1.6.2.1 2004/04/30 16:34:06 typo3 Exp $
 */

$LOCAL_LANG = Array (
	'default' => Array (
		'.description' => 'This is the backend administration user groups available for the Backend users. These determine the permissions for the Backend users.',
		'_.seeAlso' => 'be_users',
		'title.description' => 'Name of the Backend usergroup',
		'db_mountpoints.description' => 'Assign startpoints for the users page tree.',
		'db_mountpoints.details' => 'The page tree used my all Web-submodules to navigate must have some points-of-entry defined. Here you should insert one or more references to a page which will represent a new root page for the page tree. This is called a \'Database mount\'.
DB mounts may be inherited by the users which are members of this group. This does depend on whether the user is configured to include the mounts set in the member groups. However it\'s recommended to use backend user groups like this to configure mounts. Especially if the need to be shared amoung many users.',
		'_db_mountpoints.seeAlso' => 'be_groups:file_mountpoints,
be_users:db_mountpoints,
be_users:options
',
		'file_mountpoints.description' => 'Assign startpoints for the file folder tree.',
		'file_mountpoints.details' => 'The file folder tree is used by all File-submodules to navigate between the file folders on the webserver.
Notice as with \'DB mounts\' the file folder mounts may be inherited by the users which are members of this group.',
		'_file_mountpoints.seeAlso' => 'be_groups:db_mountpoints,
be_users:file_mountpoints,
be_users:options
',
		'pagetypes_select.description' => 'Select which \'Types\' of Pages the members may set.',
		'pagetypes_select.details' => 'This option limits the number of valid choices for the user when he is about to select a page type.',
		'_pagetypes_select.seeAlso' => 'pages:doktype,
be_groups:inc_access_lists',
		'tables_modify.description' => 'Select which tables the members may modify.',
		'tables_modify.details' => 'An important part of setting permissions is to define which database tables a user is allowed to modify. 
Tables allowed for modification is automatically also allowed for selection and thus you don\'t need to set tables entered here in the "Tables (listing)" box.

<strong>Notice</strong> that this list adds to the fields selected in other member groups of a user.',
		'_tables_modify.seeAlso' => 'be_groups:tables_select,
be_groups:inc_access_lists',
		'tables_select.description' => 'Select which tables the members may see in record lists (\'modify\' tables does not need to be re-entered here!).',
		'tables_select.details' => 'This determines which tables - in addition to those selected in the "Tables (modify)" box - may be viewed and listed for the user. He is thus not able to <em>edit</em> the table - only select the records and view the content.
This list is not so very important. It\'s a pretty rare situation that a user may select tables but not modify them.',
		'_tables_select.seeAlso' => 'be_groups:tables_modify,
be_groups:inc_access_lists',
		'non_exclude_fields.description' => 'Certain table fields are not available by default. Those fields can be explicitly enabled for the group members here.',
		'non_exclude_fields.details' => '"Allowed excludefields" allows you to detail the permissions granted to tables. By default all these fields are not available to users but must be specifically enabled by being selected here.
One application of this is that pages are usually hidden by default and that the hidden field is not available for a user unless he has been granted access by this list of "Allowed excludefields". So the user may create a new page, but cannot un-hide the page. Unless of course he has been assigned the "Page: Hidden" exclude field through one of his member groups.
Of course it does not make any sense to add fields from tables which are not included in the list of table allowed to be modified.',
		'_non_exclude_fields.seeAlso' => 'be_groups:inc_access_lists',
		'hidden.description' => 'Disables a user group.',
		'hidden.details' => 'If you disable a user group all user which are members of the group will in effect not inherit any properties this group may have given them.',
		'lockToDomain.description' => 'Enter the host name from which the user is forced to login.',
		'lockToDomain.details' => 'A TYPO3 system may have multiple domains pointing to it. Therefore this option secures that users can login only from a certain host name.',
		'_lockToDomain.seeAlso' => 'be_users:lockToDomain,
fe_users:lockToDomain,
fe_groups:lockToDomain',
		'groupMods.description' => 'Select available backend modules for the group members.',
		'groupMods.details' => 'This determines which \'menu items\' are available for the group members.
This list of modules is added to any modules selected in other member groups of a user as well as the corresponding field of the user himself.',
		'_groupMods.seeAlso' => 'be_users:userMods,
be_groups:inc_access_lists',
		'inc_access_lists.description' => 'Select whether Page type, Table, Module and Allowed excludefield access lists are enabled for this group.',
		'_inc_access_lists.seeAlso' => 'be_groups:pagetypes_select,
be_groups:tables_modify,
be_groups:tables_select,
be_groups:groupMods,
be_groups:non_exclude_fields
',
		'description.description' => 'Enter a short description of the user group, what it is for and who should be members. This is for internal use only.',
		'_description.seeAlso' => 'fe_groups:description',
		'TSconfig.description' => 'Additional configuration through TypoScript style values (Advanced).',
		'TSconfig.syntax' => 'TypoScript style without conditions and constants.',
		'_TSconfig.seeAlso' => 'be_users:TSconfig
fe_users:TSconfig
fe_groups:TSconfig
pages:TSconfig',
		'hide_in_lists.description' => 'This option will prevent the user group from showing up in lists, where user groups are selected.',
		'hide_in_lists.details' => 'This will affect the list of user groups in the Task Center To-Do and Messages parts as well as the Web>Access module.
The option is extremely useful if you have general user groups defining some global properties which all your users are members of. Then you would probably not like all those users to \'see\' each other through the membership of this group, for instance sending messages or To-Dos to each other. And this is what is option will prevent.',
		'subgroup.description' => 'Select backend user groups which are automatically included for members of this group.',
		'subgroup.details' => 'The properties or subgroups are added to the properties of this groups and basically they will simply be added to the list of member groups of any user which is a member of this group.
This feature provides a great way to create \'Supervisor\' user groups.',
	),
	'dk' => Array (
	),
	'de' => Array (
	),
	'no' => Array (
	),
	'it' => Array (
	),
	'fr' => Array (
	),
	'es' => Array (
	),
	'nl' => Array (
		'.description' => 'Dit zijn de backendbeheer-gebruikersgroepen die beschikbaar zijn voor de Backendgebruikers. Deze bepalen de permissies voor de Backendgebruikers.',
		'title.description' => 'Naam van de backendgebruikersgroep',
		'db_mountpoints.description' => 'Startpunten toekennen voor de gebruikers paginaboom.',
		'db_mountpoints.details' => 'De paginaboom, gebruikt om door alle web-submodules te navigeren, dient een aantal ingangspunten gedefinierd te hebben. Hier moeten een aantal referenties naar een pagina worden ingevoegd die een nieuwe rootpagina representeren voor de paginaboom. Dit word een \'Databasestartpunt\' genoemd.
Databasestartpunten kunnen worden ge-erfd door gebruikers die lid zijn van deze groep. De gebruiker dient dan wel zo geconfigureerd te zijn dat deze de startpunten bevat zoals bepaald in de gebruikersgroepen. Het wordt echter aanbevolen de backend gebruikersgroepen te gebruiken om de startpunten te configureren. Vooral als ze gedeeld worden door een groot aantal gebruikers.',
		'file_mountpoints.description' => 'Startpunten toekennen aan de mappenweergave.',
		'file_mountpoints.details' => 'Om de mappenweergave met alle sub-modules zichtbaar te maken moeten er startpunten ingegeven worden. Hier worden een of meer referenties aangegeven naar een pagina welke zichtbaar wordt als een beginpunt voor de mappenweergave. Dit wordt een "Database mount" genoemd. DB mounts worden door leden van een gebruikersgroep overgenomen, mits dit zo is ingesteld. Het wordt aangeraden om met gebruikersgroepen te werken, zeker als er veel gebruikers zijn.',
		'pagetypes_select.description' => 'Selecteer welke \'Type\' pagina\'s de leden van de groep mogen bepalen.',
		'pagetypes_select.details' => 'Deze optie beperkt het aantal geldige keuzes voor de gebruiker als deze een paginatype wil selecteren.',
		'tables_modify.description' => 'Selecteer welke tabellen door de leden van de groep aangepast mogen worden.',
		'tables_modify.details' => 'Een zeer belangerijke optie is welke database velden (tabellen) de gebruiker mag aanpassen. De velden die hier worden geselecteerd worden automatisch toegevoegd aan de lijst van velden (tabellen).

<strong>p.s.</strong> Bedenk wel dat de geselecteerde velden ook worden toegevoegd aan eventuele subgroepen van deze beheergroep.',
		'tables_select.description' => 'Om de boomstructuur met alle sub-modules zichtbaar te maken moeten er startpunten ingegeven worden. Hier worden een of meer referenties aangegeven naar een pagina welke zichtbaar wordt als een beginpunt voor de boomstructuur. Dit wordt een "Database mount" genoemd. DB mounts worden door leden van een gebruikersgroep overgenomen, mits dit zo is ingesteld. Het wordt aangeraden om met gebruikersgroepen te werken, zeker als er veel gebruikers zijn.',
		'tables_select.details' => 'Deze optie bepaalt welke velden - als toevoeging aan degene die reeds zijn geselecteerd (Tables (modify) in aan te passen velden - in de lijst van bestanden komen die bekeken kunnen worden.
Deze lijst is niet zo belangrijk. Het komt zelden voor dat een gebruiker wel tabellen kan selecteren, maar niet kan aanpassen.',
		'non_exclude_fields.description' => 'Bepaalde velden zijn niet standaard beschikbaar. Deze velden kunnen hier expliciet, voor groepsleden, beschikbaar gemaakt worden.',
		'non_exclude_fields.details' => '"Toegestane uitgesloten velden" geven de mogelijkheid om tot in detail permissies aan velden toe te kennen. Standaard zijn deze velden niet beschikbaar voor gebruikers, maar beschikbaar gemaakt worden door ze hier te selecteren. 
Een toepassing van dit is dat pagina\'s normaal gesproken verborgen worden en dat de verberg optie niet beschikbaar is voor de gebruiker, tenzij hier geselecteerd. Dit betekend dat de gebruiker wel een nieuwe pagina kan creeren, maar niet verbergen, tenzij deze gebruiker via de gebruikersgroep de permissie heeft om de pagina te verbergen. 
Het heeft geen zin om hier velden te selecteren als men deze niet ook heeft geselecteerd in de tabel voor aan te passen velden.',
		'hidden.description' => 'Verbergt een gebruikersgroep',
		'hidden.details' => 'Ten gevolge van het verbergen (uitschakelen) van een gebruikersgroep, zullen de leden van deze groep niet de instellingen van deze groep overerven.',
		'lockToDomain.description' => 'Geef hier op van welk domein de gebruiker MOET inloggen.',
		'lockToDomain.details' => 'Sommige TYPO3 installatie\'s hebben meerdere domeinen. Deze optie zorgt ervoor dat gebruikers alleen van een bepaald domein kunnen inloggen.',
		'groupMods.description' => 'Selecteer beschikbare backendmodules voor de groepsleden.',
		'groupMods.details' => 'Dit bepaald welke menu items beschikbaar zijn voor groepsleden. 
De lijst van menu items worden automatisch aan de leden van de groep toegevoegt.',
		'inc_access_lists.description' => 'Selecteer hier welke pagina types, tabellen, modules zichtbaar zijn voor deze groep',
		'description.description' => 'Geef een korte beschrijving van de gebruikers groep, wat voor soort groep is het en wie er leden zouden moeten zijn. Dit is alleen voor intern gebruik.',
		'TSconfig.description' => 'Additionele configuratie d.m.v typoscript.',
		'TSconfig.syntax' => 'Typoscript zonder condities en constantes',
		'hide_in_lists.description' => 'Deze optie voorkomt dat gebruikersgroepen verschijnen in lijsten, waar men gebruikersgroepen kan selecteren.',
		'hide_in_lists.details' => 'Dit heeft gevolgen voor de lijst van gebruikersgroepen in het taakcentrum, bij to-do en de berichten, en in de Web>toegang module. 
Deze optie is erg handig als er algemene gebruikersgroepen zijn met globale instellingen waar alle gebruikers lid van zijn. Dit voorkomt dat men elkaar kan waarnemen als lid van een groep en men elkaar berichten en to-do kan sturen.',
		'subgroup.description' => 'Selecteer de beheergroepen die als leden tot deze groep behoren.',
		'subgroup.details' => 'De eigenschappen van de subgroepen worden toegevoegd aan de eigenschappen van deze groep, waardoor elk lid van deze groep alle eigenschappen van de groep en de subgroep heeft.
Deze feature is ideaal om een \'Supervisor\' gebruikersgroep aan te maken.',
	),
	'cz' => Array (
	),
	'pl' => Array (
	),
	'si' => Array (
	),
	'fi' => Array (
		'.description' => 'Tm on taustan hallinta kytettviss oleville Taustakyttjien (BE) kyttjryhmille. Nm ryhmt mrittelevt kyttoikeudet Taustakyttjille (BE).',
		'title.description' => 'Taustakyttjien ryhmn nimi.',
		'db_mountpoints.description' => 'Mrittele aloituskohta kyttjien sivurakenteelle.',
		'db_mountpoints.details' => 'Sivujen puurakenteeseen, jota WEB-aliohjelmat kyttvt, tulee mritell joitakin liitynt pisteit. Tss list yhden tai useamman referenssin sivulle jotka edustavat sivuston rakenteen uutta juurta (alkupistett).
Tt kutsutaan \'Tietokannan asetukseksi" ("Database mount").
Tietokanta asetukset periytyvt kyttjlle silt kyttjryhmlt jonka jsen hn on. Tm ei riipu onko kyttjlle konfiguroitu kyttjryhmn sisltmt asetukset. On kuitenkin suositeltavaa kytt tmnkaltaisia kyttjryhmi asetusten konfiguroimiseksi. Erityisesti jos nit jaetaan useiden kyttjien kesken.',
		'file_mountpoints.description' => 'Mrittele aloituskohta tiedostohakemistojen rakenteelle.',
		'file_mountpoints.details' => 'Tiedostohakemistoa kyttvt kaikki Tiedosto-aliohjelmat siirtyessn palvelimen tiedostohakemistoissa.
Huomaa, ett kuten \'DB asetuksissa\' tiedostohakemistojen kyttoikeudet kyttjille periytyvt niist kyttjryhmist joiden jseni kyttjt ovat.',
		'pagetypes_select.description' => 'Valitse mihin sivutyyppeihin kyttjill on oikeus.',
		'pagetypes_select.details' => 'Tm valinta rajoittaa valintaehtojen lukumr kyttjille kun he valitsevat sivun tyyppi.',
		'tables_modify.description' => 'Valitse mihin tauluihin kyttjill on muutosoikeus.',
		'tables_modify.details' => 'Asetusten asettamisen trke osa on kuinka mritelln kyttjlle sallittujen tietokannan taulujen muutosoikeus.
Taulujen muutosoikeus asettaa oikeudet mys taulun valinnann eik Sinun tarvitse asettaa tauluja thn "Taulut (listaus)" laatikkoon.

<strong>Huomaa</strong> ett tm lista lis valitut tiedot mys kyttjn muihin kyttjryhmiin.',
		'tables_select.description' => 'Valitse mitk taulut kyttjt voivat nhd tietolistoilla (\'muokkaa\' tauluja ei tarvitse list uudelleen tss!).',
		'tables_select.details' => 'Tm mrittelee mit tauluja - niiden lisksi jotka olet valinnut "Taulut (muokkaa) laatikossa" - kyttj nkee. Kyttj ei siisvoi <em>muokata</em> taulua - ainoastaan valita tietoja ja katsoa sislt.
Tm lista ei siis ole kovin trke. On perin harvinaista ett kyttj voi valita taulun muttei muuttaa sen sislt.',
		'non_exclude_fields.description' => 'Ert taulujen tiedot eivt ole oletusarvoisesti kytettviss. Nuo tiedot voidaan eksplisiittisesti saattaa voimaan ryhmn jsenille tss.',
		'non_exclude_fields.details' => '"Sallitut suljetut tiedot" antavat Sinullemahdollisuuden mritell yksityiskohtasia oikeuksia tauluille. Oletusarvoisesti eivtmitkn nist tiedoista ole sallittuja kyttjille vaan niille on erityisesti annettava oikeudet valitsemalla tst.
Esimerkki, sivut ovat oletuksena piilotettuja ja piilotettu kentt ei ole kyttjn saavutettavissa ilman ett hnelle on annettu oikeuksia tll "Sallitut suljetut tiedot" listalla. Joten kyttj voi luoda uuden sivun muttei voi piilottaa sivua. Tm tietenkin jos kyttjlle ei ole annettu oikeuksia "Sivu:Piilotettu" ("Page:Hidden") suljettu tietoon jonkin hnen kyttjryhmns kautta.
Ei ole kuitenkaan mielt antaa kyttjlle oikeuksia sellaisiin tietoihin eri tauluista johon hnell ei ole muokkausoikeuksia.',
		'hidden.description' => 'Poista kyttjryhmn voimassaolo.',
		'hidden.details' => 'Jos poistat voimassaolon kyttjryhmlt',
		'lockToDomain.description' => 'Anna domainin nimi mihin kyttj on pakoitettu sisnkirjoittautumaan.',
		'lockToDomain.details' => 'Typo3 jrjestelmss voi olla useita domaineja. Siksi tm vaihtoehto varmistaa ett kyttjt psevt vain heille tarkoittuihin domaineihin.',
		'groupMods.description' => 'Valitse kytettviss olevat tausta-aliohjelmat ryhmn kyttjille.',
		'groupMods.details' => 'Tm mrittelee mitk \'valikko osat\' ovat kytettviss ryhmlle.
Tm aliohjelma lista listn kaikkiin muihinkin kyttjn ryhmiin kuin mys vastaavaan tietoon kyttjlle itselleen.',
		'inc_access_lists.description' => 'Valitse mitk Sivu tyypit (Page type), Taulut (Table), Aliohjelmat (Module) ja Sallitut estetyt kentt (Allowed excludefields) ovat sallittuja tlle kyttjryhmlle.',
		'description.description' => 'Anna lyhyt kuvaus kyttjryhmst, miksi se on olemassa ja minklaisia kyttji siihen kuuluu. Tm tieto on vain sisiseen kyttn.',
		'TSconfig.description' => 'Lisasetukset kytten TypoScript-tyylitietoja (Laajennettu eli Advanced).',
		'TSconfig.syntax' => 'TypoScript-tyyli ilman ehtoja (conditions) ja vakioita (constants).',
		'hide_in_lists.description' => 'Tm valinta est kyttjryhm nkymst listoilla kun kyttjryhmi valitaan.',
		'hide_in_lists.details' => 'Tm vaikuttaa kyttjryhmlistalle Toimanta Keskuksen To-Do ja Viesti osiin kuin mys Web>Oikeudet aliohjelmaan.
Vaihtoehto on erityisen hydyllinen jos Sinulla on yleisi kyttjryhmi jotka tarvitsevat ylesi ominaisuuksia. 
Jos et esimerkiksi halua tmn ryhmn lhettvn viestej toisilleen tai et halua heidn nkevn toistensa To-Do listaa on tm vaihtoehto mit tarvitset.',
		'subgroup.description' => 'Valitse taustakyttjryhm, joka automaattisesti listn tmn ryhmn jsenille.',
		'subgroup.details' => 'Ominaisuudet ja aliryhmt listn tmn ryhmn ominaisuuksiin. Periaatteessa ne yksinkertaisesti listn kaikkien kaikille ryhmn jsenille.
Tm mahdollistaa helpon tavan luoda \'Supervisor\' kyttjryhmn.',
	),
	'tr' => Array (
	),
	'se' => Array (
		'.description' => 'Dethr r backend-administrationens anvndargrupper som BE-anvndare kan anvnda. Dessa begrnsar BE-anvndarnas rttigheter.',
		'title.description' => 'Backend-anvndargruppens namn',
		'db_mountpoints.description' => 'Bestm startpunkter fr anvndarnas sidtrd.',
		'db_mountpoints.details' => 'The page tree used my all Web-submodules to navigate must have some points-of-entry defined. Here you should insert one or more references to a page which will represent a new root page for the page tree. This is called a \'Database mount\'.
DB mounts may be inherited by the users which are members of this group. This does depend on whether the user is configured to include the mounts set in the member groups. However it\'s recommended to use backend user groups like this to configure mounts. Especially if the need to be shared amoung many users.',
		'file_mountpoints.description' => 'Bestm startpunkter fr filhanteringstrdet.',
		'file_mountpoints.details' => 'The file folder tree is used by all File-submodules to navigate between the file folders on the webserver.
Notice as with \'DB mounts\' the file folder mounts may be inherited by the users which are members of this group.',
		'pagetypes_select.description' => 'Vlj vilka "Typer" av sidor som medlemmarna kan anvnda',
		'pagetypes_select.details' => 'Denna option begrnsar vilka sidor en anvndare kan ta i bruk.',
		'tables_modify.description' => 'Vlj vilka tabeller en anvndare kan ndra.',
		'tables_modify.details' => 'An important part of setting permissions is to define which database tables a user is allowed to modify. 
Tables allowed for modification is automatically also allowed for selection and thus you don\'t need to set tables entered here in the "Tables (listing)" box.

<strong>Notice</strong> that this list adds to the fields selected in other member groups of a user.',
		'tables_select.description' => 'Vlj vilka tabeller anvndarna kan se i listan (\'ndra\' tabellerna behver inte fyllas i hr ocks!).',
		'tables_select.details' => 'This determines which tables - in addition to those selected in the "Tables (modify)" box - may be viewed and listed for the user. He is thus not able to <em>edit</em> the table - only select the records and view the content.
This list is not so very important. It\'s a pretty rare situation that a user may select tables but not modify them.',
		'non_exclude_fields.description' => 'Vissa tabellflt r som standard sprrade. Dessa flt kan hr ppnas fr gruppens medlemmar.',
		'non_exclude_fields.details' => '"Allowed excludefields" allows you to detail the permissions granted to tables. By default all these fields are not available to users but must be specifically enabled by being selected here.
One application of this is that pages are usually hidden by default and that the hidden field is not available for a user unless he has been granted access by this list of "Allowed excludefields". So the user may create a new page, but cannot un-hide the page. Unless of course he has been assigned the "Page: Hidden" exclude field through one of his member groups.
Of course it does not make any sense to add fields from tables which are not included in the list of table allowed to be modified.',
		'hidden.description' => 'Sprra en anvndargrupp.',
		'hidden.details' => 'Om du sprrar en anvndargrupp kommer  de egenskaper, som du stllt in fr alla medlemmar i gruppen att begrnsas.',
		'lockToDomain.description' => 'Fyll i frn vilken vrddator anvndaren mste logga in.',
		'lockToDomain.details' => 'Ett TYPO3-system kan ha mnga domain under sig. Denna option skerstller att anvndarna kan logga in endast frn en viss vrddator.',
		'groupMods.description' => 'Vlj tillbudsstende moduler fr gruppens medlemmar',
		'groupMods.details' => 'This determines which \'menu items\' are available for the group members.
This list of modules is added to any modules selected in other member groups of a user as well as the corresponding field of the user himself.',
		'inc_access_lists.description' => 'Vlj om denna grupp skall kunna anvnda Sidtyp, Tabell, Modul och Godknda flt.',
		'description.description' => 'Fyll i en kort frklaring fr anvndargruppen, gruppens uppgift och vilka medlemmarna r. Detta r endast fr internt bruk.',
		'TSconfig.description' => 'Tillggskonfigurering med TypoScript stilvrden (avancerad).',
		'TSconfig.syntax' => 'TypoScript stilar utan villkor och konstanter',
		'hide_in_lists.description' => 'Denna option frebygger att en anvndargrupp inte visas i listorna dr anvndargrupper vljs.',
		'hide_in_lists.details' => 'This will affect the list of user groups in the Task Center To-Do and Messages parts as well as the Web>Access module.
The option is extremely useful if you have general user groups defining some global properties which all your users are members of. Then you would probably not like all those users to \'see\' each other through the membership of this group, for instance sending messages or To-Dos to each other. And this is what is option will prevent.',
		'subgroup.description' => 'Vlj de backend-anvndargrupper som automatiskt ges t medlemmar i denna grupp.',
		'subgroup.details' => 'The properties or subgroups are added to the properties of this groups and basically they will simply be added to the list of member groups of any user which is a member of this group.
This feature provides a great way to create \'Supervisor\' user groups.',
	),
	'pt' => Array (
	),
	'ru' => Array (
		'.description' => '  ,    .       .',
		'title.description' => '  ',
		'db_mountpoints.description' => '     ,  .',
	),
	'ro' => Array (
	),
	'ch' => Array (
	),
	'sk' => Array (
	),
	'lt' => Array (
	),
	'is' => Array (
	),
	'hr' => Array (
		'.description' => 'Ovo je pozadinska administracija korisnikih grupa dostupna pozadinskim korisnicima. Ovdje se odreuju dozvole za pozadinske korisnike.',
		'title.description' => 'Naziv grupe pozadinskih korisnika',
		'db_mountpoints.description' => 'Pridrui poetnu toku stabla stranica korisnika.',
		'db_mountpoints.details' => 'Stablo stranica koje koriste svi podmoduli unutar Web navigacije mora imati definiranu toku ulaska. Ovdje moete unjeti jednu ili vie referenci na stranicu koja e predstvljati novu poetnu stranicu stabla. To se naziva \'Database mount\' (DB poveznica).
DB poveznica moe biti naslijeena od korisnika koji je lan grupe. Ovo zavisi od toga da li je korisnik konfiguriran tako da ukljuuje svoje poveznice u grupu iji je lan. Preporuljivo je koristiti pozadinske korisnike grupe sline ovoj za konfiguraciu poveznica, posebno ako je trebate dijeliti izmeu mnogo korisnika.',
		'file_mountpoints.description' => 'Pridrui poetnu toku stabla pretinaca.',
		'file_mountpoints.details' => 'Stablo pretinaca koristi se od svih podmodula unutar menija \'Datoteka\' radi navigacije izmeu pretinaca web sjedita. Napomenimo da slino kao i kod \'DB povezince\' (DB mount) povezinca pretinaca moe biti naslijeena od korsinika koji je lan grupe.',
		'pagetypes_select.description' => 'Selektirajte koji tip stranice lanovi grupe mogu postaviti.',
		'pagetypes_select.details' => 'Ova opcija ograniava broj izbora koji korisnik moe odabrati prilikom selektiranja tipa stranice.',
		'tables_modify.description' => 'Selektirajte koje tablice lanovi grupe mogu modificirati.',
		'tables_modify.details' => 'Vaan dio postavljanja dozvola predstavlja definiranja tablica baze koje korsinici mgu mijenjati. Tablice nad kojima je omogueno mijenjanje takoer je automatski omoguena i selekcija i tako da nemate potrebu za postavljanjem tablica unutar "Tables (popis)" okvira.

<strong>Napomena:</strong>',
		'tables_select.description' => 'Selektirajte koje tablice lanovi grupe mogu vidjeti u popisu (tablice nad kojima je omogueno modificiranje ne moraju ponovo biti uneene ovdje).',
		'tables_select.details' => 'Ovdje definirate koje tablice - u dodatku onih selektiranih u okviru "Tables (modify)" - mogu biti dodane na popis tablica koje korisnik moe pregledavati. Korisnik nije u mogunosti <em>editirati</em> tablice ve samo selektirati zapis i pregledati njegov sadraj.
Ovaj popis nije pretjerano vaan. Prilino su rijetke situacije u kojima korisnik moe selektirati tablice ali ih ne moe i mijenjati.',
		'non_exclude_fields.description' => 'Odreena polja tablice poetno nisu dostupna. Ta polja ovdje trebaju biti eksplicitno omoguena lanovima grupe.',
		'non_exclude_fields.details' => '"Allowed excludefields" omoguavaju detaljnije dozvole nad dostupnim tablicama. Poetno sva ova polja nisu dostupna korisnicima ve moraju ovdje biti selektirana.
Jedana primjena ovog svojstva su stranice koje su obino poetno definirane kao skrivene i polje koje sadri to svojstvo nije dostupno korisniku dokle god mu to pravo nije dano pomou "Allowed excludefields". Dakloe korisnik moe kreirati novu stranicu ali e ona ostati skrivena dokle god on ne bude pridruen iskljuenom polju "Page: Hidden" putm lanstva u grupi.
Naravno nema nikakvog smisla dodavati polja tablica koje nisu ukljuene  na popis tablica koje grupa moe mijenjati.',
		'hidden.description' => 'Onemoguava grupu korisnika',
		'hidden.details' => 'Ukoliko onemoguite grupu korisnika niti jedan lan grupe nee naslijediti svojstva ove grupe.',
		'lockToDomain.description' => 'Unesite naziv posluitelja (domene) putem kojega se prisiljava korisnika za prijavu.',
		'lockToDomain.details' => 'TYPO3 sustav omoguava opsluivanje vie domena. Ovom opcijom osiguravate da se korisnik moe prijaviti na sustav samo putem zadane domene (naziva posluitelja - URLa).',
		'groupMods.description' => 'Selektirajte dostupne pozadinske module lanovima grupe.',
		'groupMods.details' => 'Ova opcija odreuje koji sadraj menija e biti dostupan lanovima grupe.
Ova lista modula biti e dodana listi modula koje korisnik dobiva kao lan drugih grupa kao i odgovarajuim postavkama samog korisnika.',
		'inc_access_lists.description' => 'Odaberite jesu li tip stranice, tablica, modul i "allowed excludefield" pristupne liste omoguene za ovu grupu.',
		'description.description' => 'Unesite kratak opis korisnike grupe, koja joj je namjena i tko moe postati njezin lan. Ovo je samo za internu upotrebu.',
		'TSconfig.description' => 'Dodatna konfiguracija kroz unos vrijednosti u TypoScript stilu (napredna opcija).',
		'TSconfig.syntax' => 'TypoScript stil bez uvjeta i konstanti.',
		'hide_in_lists.description' => 'Ova opcija omoguava skrivanje korisnike grupe u popisu grupa.',
		'hide_in_lists.details' => 'Ova opcija ima efekt na korisnike grupe unutar "Task Center To-Do" i "Messagess" dijela kao i Web>Pristup modula.
Ova opcija je izrazito korisna kada imate openite korisnike grupe koje definiraju neka globalna svojstva iji su lanovi svi korisnici. Tada vjerojatno neete htjeti da svi korisnici vide ostale kroz lanstvo u ovoj grupi, tako da npr. ne mogu slati poruke ili dodjeljivati zadatke jedni drugima.',
		'subgroup.description' => 'Odaberite pozadinsku grupu korisnika u koja e automatski biti dodani lanovi ove grupe.',
		'subgroup.details' => 'Osobine ili podgrupe se dodaju osobinama ovih grupa i u osnovi one e jednostavno biti dodane popisu grupa lanica bilo kojeg korisnika koji je pripadnik ovih grupa.
Ova mogunost prua sjajan nain da se kreiraju "nadzorne" korisnike grupe.',
	),
	'hu' => Array (
		'.description' => 'Ez a Backend felhasznlk ltal elrhet Backend adminisztrcis csoport. Jogosultsgokat ad meg a Backend felhasznlk rszre.',
		'title.description' => 'Backend felhasznlcsoport neve',
		'db_mountpoints.description' => 'A felhasznli oldalrendszerhez rendel kiindul pontot.',
		'db_mountpoints.details' => 'Az sszes, naviglsra hasznlt web-almodul
oldalrendszernek rendelkeznie kell egy megadott belpsi
ponttal. Itt egy vagy tbb hivatkozst kell beszrni egy
oldalhoz, amely az oldalcsoporthoz j kiindul oldalt ad
meg. Ezt hvjk adatbzis csatolsnak. Az adatbzis
csatolsok rkldhetnek a csoporthoz tartoz
felhasznlktl. Ez fgg attl, hogy a felhasznlnak a
csoportban van-e jogosultsga csatolshoz. 
Teht ajnlatos backend felhasznl csoportokat alkalmazni a
csatolsok belltshoz. Klnosen akkor, ha szksges a
megoszts sok felhasznl kztt.',
		'file_mountpoints.description' => 'A fjlknyvtr csoporthoz rendel kiindul pontot.',
		'file_mountpoints.details' => 'A fjl knyvtr-rendszert az sszes, a webszerver
fjlknyvtrai kztti naviglsra sznt fjl almodul
hasznlja. Meg kell jegyezni, hogy az adatbzis
csatolsokhoz hasonlan, a fjlknyvtr csatolsok is
rkldnek a csoporthoz tartoz felhasznlktl.',
		'pagetypes_select.description' => 'Vlaszd ki, hogy a csoporttagok milyen tpus oldalakat llthatnak be.',
		'pagetypes_select.details' => 'Ez az opci korltozza az rvnyes vlasztsi lehetsgek szmt, ha a felhasznl az oldal tpusnak kivlasztsra kszl.',
		'tables_modify.description' => 'Vlaszd ki, hogy a csoporttagok milyen tblkat mdosthatnak.',
		'tables_modify.details' => 'Az engedlybelltsok esetn fontos annak a megadsa, hogy
melyik tblt mdosthatja egy felhasznl.
A mdostsra engedlyezett tblk elrhetek kivlasztsra
is, gy nem szksges az itt megadott tblkat a
"Tblk (listzs)" dobozban belltani.',
		'tables_select.description' => 'Vlaszd ki, hogy mely tblkat lthatjk a tagok a listban (a mdostand tblkat nem szksges jra megadni!).',
		'tables_select.details' => 'Megadja, hogy melyik tblk - belertve a
"Tblk (mdosts)" dobozban kivlasztottak is - lthatk s
listzhatk ki a felhasznl rszre. gy nem kpes
<em>szerkeszteni</em> a tblt, csak a rekordokat
kivlasztani s a tartalmukat megjelenteni.
Ez a lista nem annyira fontos. Elg ritka az a helyzet, amikor
egy felhasznl tblkat vlaszthat ki de nem mdosthatja
azokat.',
		'non_exclude_fields.description' => 'Bizonyos tblamezk alaprtelmezsben nem elrhetek. Ezek explicit mdon engedlyezhetek a csoporttagok rszre.',
		'non_exclude_fields.details' => 'A "mezkizrs engedlyezs" lehetv teszi a tblkhoz
kiosztott engedlyek rszletezst. Alaprtelmezsknt a
felhasznlk nem rhetik el ezeket a mezket, de specilisan
elrhetv tehetik itt kivlasztva ket. Ennek egy
alkalmazsa, hogy ezek az oldalak gyakran rejtettek
alaprtelmezsben s az, hogy a rejtett mezk sem
hozzfrhetek egy felhasznl szmra, hacsak nincs
jogosultsga a hozzfrshez a "mezkizrs engedlyezs"
alapjn. gy a felhasznl j oldalt hozhat ltre, de nem rejtheti el az oldalt. Hacsak nincs
hozzrendelve  "Oldal: rejtett"  kizr mez a tagcsoportok
egyikn keresztl.
Termszetesen ez nem rinti a mez hozzadst olyan
tbkkbl, amelyek nincsenek beszrva a mdostsra
engedlyezett tbla listban.',
		'hidden.description' => 'Nem engedlyez egy felhasznli csoportot.',
		'hidden.details' => 'Ha egy felhasznli csoport nincs engedlyezve, a csoportnak minden tagja nem rkli azokat a tulajdonsgokat, amelyeket valsznleg a csoportjukbl kifolylag kaptak.',
		'lockToDomain.description' => 'Add meg azt a hosztnevet, ahonnan a felhasznlnak be kell jelentkeznie.',
		'lockToDomain.details' => 'A TYPO3 rendszernek tbb rmutat tartomnypontja is lehet. gy ez az opci biztostja, hogy a felhasznlk csak bizonyos hosztnvrl jelentkezhessenek be.',
		'groupMods.description' => 'Vlaszd ki az csoporttagok szmra elrhet backend modulokat.',
		'groupMods.details' => 'Meghatrozza, hogy melyik menpont rhet el a
felhasznlcsoport rszre.
Ez a modullista hozzaddik brmelyik, ms tagcsoport ltal
kivlasztottakhoz tovbb a megfelel magnak a
felhasznlnak a megfelel mezje.',
		'inc_access_lists.description' => 'Vlaszd ki, hogy az Oldaltpus, Tbla, Modul s Mezkizrs engedlyezs listk elrhetek-e ezen csoport rszre.',
		'description.description' => 'Add meg a felhasznl csoport rvid lerst, mire val s ki lehet tag. Csak bels hasznlatra.',
		'TSconfig.description' => 'Kiegszt belltsok TypoScript stlus rtkeken (Rszletes).',
		'TSconfig.syntax' => 'TypoScript stlus felttelek s llandk nlkl.',
		'hide_in_lists.description' => 'Ez az opci megvdi a felhasznl csoportot a megjelenstl a csoportkivlaszt listban.',
		'hide_in_lists.details' => 'Ez rinteni fogja a Feladatkzpont Teendk s zenetek
rszben lev felhasznlcsoportok listjt valamint a
Web>Hozzfrs modult. Az opci gyakran hasznlatos
ha csak ltalnos, nhny globlis tulajdonsggal br
felhasznli csoportok vannak.
Valsznleg nem szeretnnk, hogy az sszes felhasznl lssa
egymst ezen csoportbeli tagsg alapjn, pldul
zenetkldsre vagy a teendk megosztsra egyms kztt.
Ez az, amit ez az opci megakadlyoz.',
		'subgroup.description' => 'Vlaszd ki azon backend felhasznlcsoportokat, amelyek automatikusan bekerlnek ennek a csoportnak a tagjai kz.',
		'subgroup.details' => 'A tulajdonsgok vagy alcsoportok hozzaddnak ezen csoport
tulajdonsgaihoz s alapjban hozzaddnak brmelyik
felhasznl csoport listjhoz, amelyeknek a felhasznl a
tagja.
Ez lehetsget ad egy \'Supervisor\' csoport ltrehozshoz.',
	),
	'gl' => Array (
	),
	'th' => Array (
	),
	'gr' => Array (
	),
	'hk' => Array (
		'.description' => 'oO@ӫԺ޲zϥΪ̸sեiԨϥΪ̨ϥΡCoǨMwԨϥΪ̪svC',
		'title.description' => 'ԨϥΪ̸sժW',
		'db_mountpoints.description' => ']wϥΪ̦bϪ_lIC',
		'db_mountpoints.details' => 'QҦƼҲթҨϥΪϤ@wn@ǩwFiJICbo̧AӦV@ӺJ@өΦhӪѷӡAӳoӺ|NϤ@ӷsڭCo٬uƮwIvCƮwI|ѳQҦݩP@ϥΪ̸sժϥΪ̩ҩŧCobGϥΪ̬O_Q]wϥλPsլۦPICMӡAڭ̫ĳϥΫԨϥΪ̸sըӳ]wICSOOݭnܦhϥΪ̦@ήɡC',
		'file_mountpoints.description' => ']wɮ׸ƧϪ_lI',
		'file_mountpoints.details' => 'ҦɮװƼҲըϥɮ׸ƧϨӷAWɮ׸ƧCdNApƮwI@ˡAɮױI]iHQҦݩP@ϥΪ̸sժϥΪ̩ŧC',
		'pagetypes_select.description' => 'ܸsզiH]wuv',
		'pagetypes_select.details' => 'oӿﶵbLnǳƿܤ@ӺɡAϥΪ̪Ŀܼƥ',
		'tables_modify.description' => 'ܦiHק墨Ǹƪ',
		'tables_modify.details' => '@ӳ]wsvnOwqϥΪ̥iHק墨ǸƪCe\\ק諸ƪ|Pɦ۰ʪe\\ܡA]Aݭn]wbu]C^vJC

<strong>dNG</strong>oӦW[iϥΪ̨Lݪsդw諸ؤC',
		'tables_select.description' => 'ܭiHbOCiHݨ쨺Ǹƪ]uקv椣ݭnbo̭sJI^',
		'tables_select.details' => 'MwǸƪ - [WǦbuƪ]ק^vlƪ - iHQϥΪ̹wMCXCL]<em>ק</em>ƪ - uܰOM[ݤeC
oW椣OD`nCoO@ӻᬰupA@WϥΪ̥iHܸƪק復̡C',
		'non_exclude_fields.description' => 'YǸƪOw]ϥΪC椣ઽQҰʵsզϥ',
		'non_exclude_fields.details' => 'ue\\B~ve\\AԲӪᤩƪvCw]ҦoǦ쳣ѨϥΪ̨ϥΡAObo̿ܪN|SOQҰʡC
o̪@άOw]OêAӳoOѨϥΪ̹BΪADLzLue\\B~vosvA_hLiHϥγoC]ϥΥHإߺAOLúCMLzLLݪ䤤@ӸsձotuGávB~ҥ~C
qe\\ק諸ƪ[JMäNqC',
		'hidden.description' => '@ӨϥΪ̸s',
		'hidden.details' => 'pA@ӨϥΪ̸sաAҦݩ󦹤@sժϥΪ̳|QvTŧsթҽ礩SʡC',
		'lockToDomain.description' => 'JDW١AϥΪ̥qnJ',
		'lockToDomain.details' => '@TYPO3tΥiHhӺϥΡC]AoӿﶵOҥuiHqY@DnJ',
		'groupMods.description' => 'sզܥiΪԼҲ',
		'groupMods.details' => 'Mw@ǡu涵ءviѸsզϥΡC
oӼҲժWPɳQ[iҦQϥΪ̨LsդܪҲթMϥΪ̦ۤv۹諸ؤC',
		'inc_access_lists.description' => 'ܺNNҲթM\\iB~ҰʵoӸsըϥ',
		'description.description' => 'JϥΪ̸sժ²uyzAتM֤HCu@ϥΡC',
		'TSconfig.description' => 'zLTypoScriptκAƭȡ]i^[]w',
		'TSconfig.syntax' => 'SM`ȪTypoScriptκA',
		'hide_in_lists.description' => 'oӿﶵ|ϥΪ̸sզbܦW椤X{',
		'hide_in_lists.details' => 'o|vTuu@ߡvu@MMTAPκ>vҲժϥΪ̸sզWC
pA@몺ϥΪ̸sթwqAsդϥΪ̾骺SʡAoӿﶵOND`ΡCMAγ\\wҦoǨϥΪ̳zLoӸsխuݨvAҦpǰeTΤu@M浹CӳoNOoӿﶵקKC',
		'subgroup.description' => 'ܦ۰ʦa]AboӸsզԨϥΪ̸s',
		'subgroup.details' => 'SʩMƸsճQ[ioӸsդAӰ򥻤WL̷|[iҦsժsզW椤Coӥ\\ണܦnkhإߡuʹ̡vϥΪ̸s',
	),
	'eu' => Array (
	),
	'bg' => Array (
		'.description' => '  backend       Backend .        Backend .',
		'title.description' => '  Backend  ',
		'db_mountpoints.description' => '      .',
		'file_mountpoints.description' => '       .',
		'pagetypes_select.description' => '  \'e\'  ,     .',
		'tables_modify.description' => '        .',
	),
	'br' => Array (
		'.description' => 'Estes so os grupos de usurio do administrador disponveis para os usurios da ferramenta de administrao. Estes grupos determinam as permisses para os usurios do Administrador.',
		'title.description' => 'Nome do grupo de usurio do Administrador',
		'db_mountpoints.description' => 'Definir pontos de partida para as rvores de pginas dos usurios.',
		'db_mountpoints.details' => 'A rvore de pginas, usada para navegar por todos os submdulos includos em "Internet", deve possuir pontos-de-entrada definidos. Aqui voc deve inserir uma ou mais referncias para uma pgina, a qual representar uma nova pgina-raiz na rvore de pginas.
Os pontos de partida podem ser herdados pelos usurios que so membros deste grupo. Isso vai depender se o usurio estiver configurado para incluir os pontos de partida atribudos aos membros do grupo. Entretanto, recomenda-se usar grupos de usurios-administradores como este para configurar os pontos de partida. Especialmente se houver necessidade de compartilh-los entre muitos usurios.',
		'file_mountpoints.description' => 'Definir pontos de partida para a rvore de pastas de arquivos.',
		'file_mountpoints.details' => 'A rvore de pastas de arquivos  usada por todos os submdulos includos em "Arquivo" para navegar entre as pastas de arquivos do servidor.
Observe que, assim como os \'pontos de partida para a rvore de pginas\', os pontos de partida para a rvore de arquivos podem ser herdados pelos usurios membros deste grupo.',
		'pagetypes_select.description' => 'Selecionar quais \'Tipos\' de Pginas os membros podem alterar.',
		'pagetypes_select.details' => 'Esta opo limita o nmero de tipos vlidos para o usurio, quando este for selecionar um tipo de pgina.',
		'tables_modify.description' => 'Selecionar quais tabelas os membros podem modificar.',
		'tables_modify.details' => 'Uma parte importante ao atribuir permisses  definir quais tabelas do banco de dados um usurio tem permisso para modificar.
Tabelas liberadas para modificao so automaticamente liberadas tambm para seleo e portanto voc no precisa incluir novamente na caixa "Tabelas (lista)" as tabelas selecionadas aqui.

<strong>Observe</strong> que esta lista se soma aos campos selecionados nos outros grupos de membros de um usurio.',
		'tables_select.description' => 'Selecionar quais tabelas os membros podem visualizar na lista de registros (tabelas \'modificveis\' no precisam ser reinseridas aqui).',
		'tables_select.details' => 'Determina quais tabelas - alm das selecionadas na caixa "Tabelas (modificar)" - podem ser visualizadas e listadas pelo usurio. Porm, ele no  capaz de <em>editar</em> a tabela - apenas selecionar os registros e visualizar o contedo.
Esta lista no  to importante.  uma das raras situaes em que um usurio pode selecionar tabelas mas no modific-las.',
		'non_exclude_fields.description' => 'Certos campos da tabela no esto disponveis no modo padro. Esses campos podem ser explicitamente habilitados aos membros do grupo aqui.',
		'non_exclude_fields.details' => '"Habilitar campos ocultos" permite a voc configurar detalhadamente as permisses de acesso s tabelas. Por padro, estes campos no so disponibilizados aos usurios, portanto precisam ser especificamente habilitados atravs desta opo.
Uma utilidade para esta opo  que as pginas so normalmente ocultas por padro, e a opo "oculta" no est disponvel ao usurio a no ser que tenha o acesso atribudo atravs da listagem de "Habilitar campos ocultos". Desta forma, o usurio pode criar uma pgina, mas no pode torn-la visvel. A no ser, claro, se estiver atribudo a ele o campo "Pgina: oculta" atravs de um dos grupos de usurio.
 logico tambm que no far sentido nenhum adicionar campos de tabelas que no estejam includas na listagem de tabelas modificveis.',
		'hidden.description' => 'Desativa um grupo de usurios.',
		'hidden.details' => 'Se voc desabilita um grupo de usurios, os membros desse grupo no mais herdaro quaisquer propriedades que este grupo tenha atribudo a eles.',
		'lockToDomain.description' => 'Digite o nome de domnio atravs do qual o usurio dever fazer o login.',
		'lockToDomain.details' => 'Um sistema TYPO3 pode ter vrios domnios direcionados a ele. Assim, esta opo garante que os usurios faam seu login apenas a partir de um determinado nome de domnio.',
		'groupMods.description' => 'Seleciona os mdulos de administrao disponibilizados aos membros do grupo.',
		'groupMods.details' => 'Esta opo determina quais \'tens de menu\' sero disponibilizados aos membros do grupo.
Esta lista de mdulos se soma aos mdulos selecionados nos outros grupos ao qual o usurio pertence, assim como no campo correspondente ao usurio em si.',
		'inc_access_lists.description' => 'Selecione se as listas de acesso Tipo de Pgina, Tabela, Mdulo e Permitir campos excludos esto disponveis para este grupo.',
		'description.description' => 'Digite uma breve descrio do grupo de usurios, para que ele serve e quem deve ser membro. Apenas para uso interno.',
		'TSconfig.description' => 'Configuraes adicionais atravs de valores de estilo TypoScript (Avanado).',
		'TSconfig.syntax' => 'Estilo TypoScript sem condies e constantes.',
		'hide_in_lists.description' => 'Esta opo previne que o grupo de usurio seja mostrado em listas onde outros grupos de usurios estejam selecionados.',
		'hide_in_lists.details' => 'Afeta a listagem de grupos de usurios nos mdulos A Fazer e Mensagens, no Centro de Tarefas, assim como no mdulo Internet>Acesso.
Esta opo  muito til se voc possui grupos genricos de usurios, com definies de algumas propriedades globais, dos quais todos seus usurios so membros. Assim, provavelmente voc no gostaria que todos esses usurios \'vejam\' uns aos outros durante a participao no grupo, como por exemplo enviando mensagens ou A Fazer a cada usurio. Isto  o que esta opo previne.',
		'subgroup.description' => 'Selecione os usurios-administradores que sero automaticamente includos como membros deste grupo.',
		'subgroup.details' => 'As propriedades dos subgrupos so adicionadas s propriedades destes grupos, e basicamente estes subgrupos so simplesmente adicionados  listagem de grupos de usurios vista por qualquer membro deste grupo.
Esta caracterstica  uma tima forma de criar grupos de usurios \'Supervisores\'.',
	),
	'et' => Array (
	),
	'ar' => Array (
	),
	'he' => Array (
		'.description' => 'אלו קבוצות משתמשים של הממשק האחורי הזמינות עבור משתמשי ממשק האחורי. הם מגדירים הרשאות למשתמשי ממשק האחורי.',
		'title.description' => 'שם של קבוצת משתמשים של ממשק האחורי.',
		'db_mountpoints.description' => 'הקצה ניקודות התחלה של עץ דפים של משתמש.',
		'db_mountpoints.details' => 'עץ דפים, שמשתמשים בו כל תת-מודולים באינטרנט כדי לנווט, חובה שיהיו לו נקודות כניסה מוגדרות. כאן עליך להכניס סימוכין לדף שתייצג דף שורש חדשה בעץ דפים. זה נקרא "מוצב מאגר מידע". משתמשים בקבוצה זו יכולים לרשת מוצבי מאגר מידע. זה אינו תלוי בהגדרה אם על המשתמש להכיל מוצבים המוגדרים בקבוצות משתמשים. בכל זאת, מומלץ להשתמש בקבוצות משתמשי ממשק אחורי בצורה הזו כדי להגדיר מוצבים. במיוחד אם יש צורך לשתף אותו בין משתמשים רבים.',
		'file_mountpoints.description' => 'הקצה ניקודות התחלה של עץ תיקיות עם קבצים.',
		'file_mountpoints.details' => 'כל התת-מודולים של קובץ משתמשים בעץ קבצים כדי לנווט בין תיקיות על השרת. נא לציין, שכמו עם מוצבי מאגר מידע, גם במוצבי קבצים, משתמשים בקבוצה זו יכולים לרשת אותם.',
		'pagetypes_select.description' => 'בחר איזה "סוגים" של דפים יכולים לקבוע המשתמשים.',
		'pagetypes_select.details' => 'אפשרות זו מגבילה מספר בחירות למשתמש כאשר הוא עומד לבחור סוג דף.',
		'tables_modify.description' => 'בחר איזה טבלאות יכולים המשתמשים לערוך.',
		'tables_modify.details' => 'שלב חשוב בהגדרת הרשאות הוא לציין איזה טבלאות המשתמש יכול לערוך. טבלאות, שיש עליהם אישור עריכה - יש עליהם גם אישור בחירה אוטומטית, לכן אין צורך לציין טבלאות שציינת כאן גם ב"טבלאות(רשימה)".
<strong>שים לב,</strong> כי רשימה זו מתווספת לשדות שנבחרו עבור משתמש בקבוצות אחרות אליהם הוא משתייך.',
		'tables_select.description' => 'בחר איזה טבלאות המשתמשים יכולים לראות ברשימות רשומות (לא נדרש להכניס כאן טבלאות "ערוך" שוב)',
		'tables_select.details' => 'זה מגדיר איזו טבלאות, בנוסף לאלא שנבחרו ב-"טבלאות(ערוך)", משתמש יכול לראות. לכן הוא לא יכול <em>לערוך</em>את הטבלה - רק לבחור רשומות ולראות את התוכן.
הרשימה לא חשובה כל כך. די נדיר שמשתמש יכול לבחור טבלאות אבל לא לערוך אותם.',
		'non_exclude_fields.description' => 'שדות טבלה מסוימות לא זמינות כברירת מחדל. כאן ניתן להפוך אותם לזמינות למשתמשים בקבוצה.',
		'hidden.description' => 'הופך קבוצת משתמשים ללא זמינה.',
		'hidden.details' => 'אם אתה הופך קבוצת משתמשים ללא זמינה - כל המשתמשים בקבוצה לא ירשו כל הגדרה מקבוצה זו כתוצאה.',
		'lockToDomain.description' => 'הכנס שם דומיין שרק ממנו משתמש יכול להכנס למערכת.',
		'lockToDomain.details' => 'מערכת TYPO3 יכולה לאפשר לדומיינים רבים להצביע אליה. לכן, אפשרות זו מבטיחה שמשתמשים יכולים להכנס רק משם דומיין מסוים.',
		'groupMods.description' => 'בחר מודולים בממשק אחורי שזמינים למשתמשים בקבוצה.',
		'groupMods.details' => 'זה קובע איזה "פריטי תפריט" זמינים למשתמשי הקבוצה. רשימה זו של מודולים מתווספת לכל המודולים שנבחרו בקבוצות משתמשים אחרות של המשתמש, כמו גם שדה שה בהגדרות של המשתמש עצמו.',
		'description.description' => 'הכנס תיאור קצר של הקבוצה, מה היא ומי הם המשתמשים. זה לשימוש פנימי בלבד.',
		'TSconfig.description' => 'הגדרות נוספות דרך ערכים TypoScript (מתקדם).',
		'TSconfig.syntax' => 'בסגנון TypoScript ללא conditions ו-constants.',
		'hide_in_lists.description' => 'אפשרות זו תמנע מהקבוצה להופיע ברשימות של קבוצות משתמשים.',
		'subgroup.description' => 'בחר קבוצות משתמשים של ממשק אחורי שנכללים אוטומטית עבור משתמשים בקבוצה זו.',
	),
	'ua' => Array (
	),
	'lv' => Array (
	),
	'jp' => Array (
	),
	'vn' => Array (
	),
);
?>