<?php
/**
 * Default  TCA_DESCR for "be_users"
 * TYPO3 CVS ID: $Id: locallang_csh_be_users.php,v 1.6.2.1 2004/04/30 16:34:06 typo3 Exp $
 */

$LOCAL_LANG = Array (
	'default' => Array (
		'.description' => 'This is the table of backend administration users.',
		'_.seeAlso' => 'be_groups',
		'username.description' => 'Enter the login name of the backend user.',
		'username.details' => 'A username is required and must be in lowercase without spaces in it. Furthermore the username must be unique. If it is not unique a number will be prepended automatically.',
		'_username.seeAlso' => 'be_users:password',
		'password.description' => 'Enter the password for the backend username above (Notice the value you enter <i>will</i> be readable in the field!).',
		'password.details' => 'The password is required. Before the password is sent to the server it\'s md5-hashed, so the password value itself is not transferred over the internet. This is true both when editing the password and when the user logs in. 
While this principle does not reveal the raw password it is <i>not</i> the same as real encryption. If you need the highest degree of security you should install the TYPO3 backend on a secure server.
The password is stored in the database as an md5-hash and thus it\'s not possible to extract the original password from the database either. This means that \'lost passwords\' must be substituted with a new password for the user.',
		'usergroup.description' => 'Assign backend user groups to the user.',
		'usergroup.details' => 'The backend user groups defines the permissions which the backend user will inherit. So unless the backend user is an \'Admin\' user, he needs to be a member of one or more user groups in order to have practically any permissions assigned. The properties set in the user groups are mostly added together.
The first (top) group in the list is the group which will, by default, be the owner of pages the user creates.',
		'_usergroup.seeAlso' => 'be_users:TSconfig,
be_groups',
		'lockToDomain.description' => 'Enter the host name from which the user is forced to login.',
		'lockToDomain.details' => 'A TYPO3 system may have multiple domains pointing to it. Therefore this option secures that users can login only from a certain host name.',
		'_lockToDomain.seeAlso' => 'be_groups:lockToDomain,
fe_users:lockToDomain,
fe_groups:lockToDomain',
		'disableIPlock.description' => 'Disable the lock of the backend users session to the remote IP number.',
		'disableIPlock.details' => 'You will have to disable this lock if backend users are accessing TYPO3 from ISDN or modem connections which may shutdown and reconnect with a new IP. The same would be true for DHCP assignment of IP numbers where new IP numbers are frequently assigned.',
		'db_mountpoints.description' => 'Assign startpoints for the users page tree.',
		'db_mountpoints.details' => 'The page tree used my all Web-submodules to navigate must have some points-of-entry defined. Here you should insert one or more references to a page which will represent a new root page for the page tree. This is called a \'Database mount\'.

<strong>Notice</strong> that backend user groups also has DB mounts which can be inherited by the user. So if you want a group of users to share a page tree, you should probably mount the page tree in the backend user group which they share instead.',
		'_db_mountpoints.seeAlso' => 'be_groups:db_mountpoints,
be_users:file_mountpoints,
be_users:options
',
		'file_mountpoints.description' => 'Assign startpoints for the file folder tree.',
		'file_mountpoints.details' => 'The file folder tree is used by all File-submodules to navigate between the file folders on the webserver. In order to be able to upload <em>any</em> files the user <em>must</em> have a file folder mounted with a folder named \'_temp_\' in it (which is where uploads go by default). 
Notice as with \'DB mounts\' the file folder mounts may be inherited from the member groups of the user. ',
		'_file_mountpoints.seeAlso' => 'be_groups:file_mountpoints,
be_users:db_mountpoints,
be_users:options',
		'email.description' => 'Enter the email address of the user.',
		'email.details' => 'This address is rather important to enter because this is where messages from the system is sent.
<strong>Notice</strong> the user is able to change this value by himself from within the User>Setup module.
',
		'_email.seeAlso' => 'be_users:realName',
		'realName.description' => 'Enter the ordinary name of the user, eg. John Doe.',
		'realName.details' => '<strong>Notice</strong> the user is able to change this value by himself from within the User>Setup module.',
		'_realName.seeAlso' => 'be_users:email',
		'disable.description' => 'This option will temporarily disable the user from logging in.',
		'_disable.seeAlso' => 'be_users:starttime,
be_users:endtime',
		'admin.description' => '\'Admin\' users has TOTAL access to the system!',
		'admin.details' => '\'Admin\' can do anything TYPO3 allows and this kind of user should be used only for administrative purposes. All daily handling should be done with regular users. 
\'Admin\' users don\'t need to be members or any backend user groups. However you should be aware that any page created by an admin user without a group will not have any owner-group assigned and thus it will probably be invisible for other users. If this becomes a problem you can easily solve it by assigning a user group to the \'Admin\' user anyway. This does of course not affect the permissions since they are unlimited, but the first group listed is by default the owner group of newly created pages.
\'Admin\' users are easily recognized as they appear with a red icon instead of the ordinary blue user-icon.

You should probably not assign any other users than yourself as an \'Admin\' user.',
		'options.description' => 'Select if the user should inherit page tree or folder tree mountpoints from member groups.',
		'options.details' => 'It\'s a great advantage to let users inherit mountpoints from membergroups because it makes administration of the same mountpoints for many users extremely easy. 
If you don\'t check these options, you must make sure the mount points for the page tree and file folder tree is set specifically for the user.',
		'_options.seeAlso' => 'be_users:db_mountpoints,
be_users:file_mountpoints',
		'fileoper_perms.description' => 'Select file operation permissions for the user.',
		'fileoper_perms.details' => 'These settings relates to the functions found in the File>List module as well as general upload of files.',
		'_fileoper_perms.seeAlso' => 'be_users:file_mountpoints',
		'starttime.description' => 'Enter the date from which the account is active.',
		'_starttime.seeAlso' => 'be_users:disable,
be_users:endtime,
pages:starttime',
		'endtime.description' => 'Enter the date from which the account is disabled.',
		'_endtime.seeAlso' => 'be_users:disable,
be_users:starttime,
pages:starttime',
		'lang.description' => 'Select the <i>default</i> language.',
		'lang.details' => 'This determines the language of the backend interface for the user. All mainstream parts available for regular users are available in the system language selected. 
\'Admin\'-users however will experience that the \'Admin\'-only parts of TYPO3 is in english. This includes all submodules in "Tools" and the Web>Template module.

<b>Notice</b> this is only the default language. As soon as the user has logged in the language must be changed through the User>Setup module.',
		'userMods.description' => 'Select available backend modules for the user.',
		'userMods.details' => 'This determines which \'menu items\' are available for the user.

Notice that the same list of modules may be configured for the backend user groups and that these will be inherited by the user in addition to the modules you select here. It\'s highly likely that you should not set any modules for the user himself but rather select the modules in the backend groups he\'s a member of. However this list provides a great way to add a single module for specific users.',
		'_userMods.seeAlso' => 'be_groups:groupMods',
		'TSconfig.description' => 'Enter additional TSconfig for the user (advanced).',
		'TSconfig.details' => 'This field allows you to extend the configuration of the user in severe details. A brief summary of the options include a more detailed configuration of the backend modules, setting of user specific default table field values, setting of Rich Text Editor options etc. The list will be growing by time and is fully documented in the adminstration documentation, in particular \'admin_guide.pdf\' (see link below).',
		'_TSconfig.seeAlso' => 'pages:TSconfig,
fe_users:TSconfig,
be_groups:TSconfig
admin_guide.pdf|http://www.typo3.com/doclink.php?key=admin_guide.pdf
',
	),
	'dk' => Array (
	),
	'de' => Array (
	),
	'no' => Array (
	),
	'it' => Array (
	),
	'fr' => Array (
	),
	'es' => Array (
	),
	'nl' => Array (
		'.description' => 'Dit is de tabel van het beheer van backendgebruikers',
		'username.description' => 'Vul hier de gebruikersnaam van de beheer gebruiker in.',
		'username.details' => 'Een gebruikersnaam is verplicht en moet in kleine letters zonder spaties worden ingevuld. Verder moet de gebruikersnaam uniek zijn. Als het niet uniek is zal er gelijk een nummer aan toegevoegt worden.',
		'password.description' => 'Geef hier het wachtwoord voor bovenstaande gebruiker in. (De waarde die wordt ingegeven is leesbaar)',
		'password.details' => 'Een wachtwoord is verplicht. Voordat een wachtwoord wordt verstuurd, wordt het md5-hashed, zodat het daadwerkelijke wachtwoord niet over het internet wordt verstuurd. Dit geldt voor het bewerken/invoeren van het wachtwoord, als ook voor het inloggen. Alhoewel niet het daadwerkelijke wachtwoord wordt verstuurd over het internet, is het niet hetzelfde als encryptie. Wil men de hoogste veiligheid dan moet men typo3 installeren op een beveiligde server. 
Het opgeslagen wachtwoord in de database is ook md5-hashed. Dit betekent dat vergeten wachtwoorden moeten worden vervangen door een nieuw wachtwoord voor de gebruiker.',
		'usergroup.description' => 'Voeg een gebruiker toe aan een gebruikersgroep.',
		'usergroup.details' => 'De gebruikersgroep definieert welke eigenschappen de gebruiker overneemt van deze groep. Tenzij men admin gebruiker is, moet men altijd lid zijn van een of meer groepen. De eigenschappen van de groepen worden bij elkaar opgeteld. 
De bovenste groep zal standaard de eigenaar worden van nieuw gecreerde pagina\'s.',
		'lockToDomain.description' => 'Vul de hostnaam waarvandaan de gebruiker dient in te loggen.',
		'lockToDomain.details' => 'Een TYPO3 systeem kan meerdere domeinen hebben die er naar verwijzen. Deze optie zorgt ervoor dat gebruikers alleen in kunnen loggen vanaf een bepaalde hostnaam.',
		'db_mountpoints.description' => 'Bepaald het beginpunt van de gebruikers mappenweergave.',
		'db_mountpoints.details' => 'Alle web-modules maken gebruik van de mappenweergave om te navigeren. Hier geeft men het beginpunt aan, welke wordt weergegeven als nieuw beginpunt van de site. De gebruiker kan vanaf dit punt de pagina\'s aanpassen. Dit wordt een "database mount" genoemd.

<strong>Let op!</strong> Ook backendgebruikersgroepen hebben een DB mount welke kan worden overgenomen door de leden van de groep. Dus als een groep gebruikers hetzelfde gedeelte van de site mogen beheren is het waarschijnlijk beter om de DB mount aan de backendgebruikersgroep toe te kennen.',
		'file_mountpoints.description' => 'Geeft het beginpunt voor de mappenweergave van de bestanden.',
		'file_mountpoints.details' => 'De mappenweergave voor bestanden wordt gebruikt door alle bestandsubmodules om te navigeren tussen de diverse mappen op de webserver. Om bestanden te kunnen uploaden dient er map aanwezig te zijn genaamd \'_temp_\' (hier komen uploads standaard in terecht).
Net zoals bij \'DB mounts\' kunnen de mapkoppelingen (mounts) ook gerfd worden van de groepen waar de gebruiker lid van is.',
		'email.description' => 'Vul het emailadres van de gebruiker in.',
		'email.details' => 'Het invoeren van dit adres is vrij belangrijk, daar berichten van het systeem naar dit adres worden gestuurd.
<strong>Let op!</strong> De gebruiker kan het emailadres zelf aanpassen in de setup module.',
		'realName.description' => 'Geef hier de echte naam in van de gebruiker.',
		'realName.details' => '<strong>Let op!</strong> De gebruiker kan dit zelf aanpassen in de setup module.',
		'disable.description' => 'Deze optie zorgt ervoor dat de gebruiker tijdelijk niet kan inloggen.',
		'admin.description' => 'Admin gebruikers hebben toegang tot het gehele systeem.',
		'admin.details' => 'Admin gebruikers hebben alle rechten. Admin gebruiker behoeven geen lid van een beheergroep te zijn, maar men dient wel op te passen dat een pagina die wordt gemaakt door een admin zonder beheergroep soms niet zichtbaar is voor andere gebruikers. Dit is simpel op te lossen door de admin lid te maken van een beheergroep. Admin zijn gemakkelijk te herkennen aan het rode icoontje inplaats van de blauwe.
Het is aan te raden om de admin rechten slechts toe te kennen aan de beheerder van het systeem.',
		'options.description' => 'Hier wordt bepaald of de gebruiker wel of niet de pagina en bestanden mappenweergave overneemt van de gebruikersgroep.',
		'options.details' => 'Het is een groot voordeel om gebruikers de eigenschappen van de groepen te laten overerven. 
Doet men dit niet dan moet men voor iedere gebruiker afzonderlijk een startpunt voor de mappenweergave ingeven.',
		'fileoper_perms.description' => 'Selecteer permissies voor het bewerken van bestanden voor deze gebruiker',
		'fileoper_perms.details' => 'Deze instellingen refereren aan functies die men vindt in de bestandenlijst module. Zij gelden ook in het algemeen voor het uploaden van bestanden.',
		'starttime.description' => 'Geef hier de datum in vanaf wanneer het account voor deze gebruiker ingaat.',
		'endtime.description' => 'Vanaf de ingegeven datum wordt het account van deze gebruiker geactiveerd.',
		'lang.description' => 'Kies de <em>standaard</em> taal.',
		'lang.details' => 'Dit bepaalt de taal van de backendinterface voor de gebruiker.
Admin gebruikers zullen ervaren dat in bepaalde admin gedeeltes van de site alleen de engelse taal beschikbaar is. Dit is o.a in de submodule "Tools" en de module Web>Template.

<strong>Let op!</strong> Deze instelling is de standaard taal. Wanneer de gebruiker is ingelogd kan deze de instelling veranderen in de setupmodule.',
		'userMods.description' => 'Selecteer de beschikbare backendmodules voor de gebruiker.',
		'userMods.details' => 'Dit bepaalt welke \'menu-items\' er beschikbaar zijn voor de gebruiker.

Bedenk dat de modules die men hier selecteert bij de modules die de gebruiker reeds overerft van de gebruikersgroep komen. Het is daarom ook aan te raden hier geen modules te selecteren, maar het is wel een ideale manier om bepaalde gebruikers van een groep meer rechten te geven dan alleen voor de gebruikersgroep gelden.',
		'TSconfig.description' => 'Voeg hier TSConfig aan voor de gebruiker (geavanceerd).',
		'TSconfig.details' => 'Hier kan men de mogelijkheden voor de gebruiker verder uitdiepen. Alle mogelijkheden worden beschreven in admin_guide.pdf (zie link hieronder).',
	),
	'cz' => Array (
	),
	'pl' => Array (
	),
	'si' => Array (
	),
	'fi' => Array (
		'.description' => 'Tm on taustatoimintojen hallinnan kyttj taulu.',
		'username.description' => 'Anna taustakyttjn (login) kyttjtunnus.',
		'username.details' => 'Kyttjtunnus on pakollinen, pienin kirjaimin ja ilman vlilyntej. Kyttjtunnuksen on oltava lisksi yksilllinen. Jos tunnus ei ole yksilllinen listn siihen automaattisesti numero.',
		'password.description' => 'Anna yllolevalle taustakyttjlle salasana. (Huomaa, arvo jonka annat <i>nkyy</i> luettavana kentss!).',
		'password.details' => 'Salasana on pakollinen. Ennenkuin salasana lhetetn palvelimelle se salataan md5 toiminnolla, joten itse salasanaa ei siirret internetin vlityksell. Nin tapahtuu sek muotoiltaessa salasanaa ett kyttjn sisnkirjoittautuessa.
Tm periaate ei kuitenkaan salaa raakaa salasanaajoka <i>ei</i> olesama kuin todellinen salaus. Jos tarvitset parempaa suojausta tulee Sinun asentaaTYPO3 tausta toiminnat suojattuun palvelimeen.
Salasana tallennetaan tietokantaa md5 toiminnolla suojattuna ja siten ei ole mahdollista purkaa alkuperist salasanaa tietokannastakaan. Tm tarkoittaa ett \'hukatut salasanat\' on korvattava kokonaan uusilla kyttjlle.',
		'usergroup.description' => 'Mrittele taustakyttjryhmt kyttjlle.',
		'usergroup.details' => 'Taustakyttjryhm mrittelee mitk oikeudet taustakyttj perii. Siten, jos kyttj ei ole \'Admin\'., tarvitsee hnelle mritell yksi tai useampia jotta tarvittavat oikeudet voidaan mritell. Kyttjryhmien oikeudet on useimmiten ryhmiteltyj.
Ensimminen (ylin) ryhm listalla on, oletusarvoisesti, niiden sivujen omistaja jotka kyttj luo.',
		'lockToDomain.description' => 'Anna domainin nimi johon kyttj on pakotettu sisnkirjoittautumaan (login).',
		'lockToDomain.details' => 'TYPO3 jrjestelmss voi olla monta domainia. Siksi tm vaihtoehto varmistaa kyttjn psevn vain hnelle sallittuihin.',
		'disableIPlock.description' => 'Poista taustakyttjilt session lukitus  ulkoiseen IP numeroon.',
		'disableIPlock.details' => 'Sinun on poistettava tm lukitus jos taustakyttjt TYPO3 kyttessn ovat ISDN tai modeemiyhteydess, jotka yleens saavat aina uuden IP numeron muodostaessaan uuden linjayhteyden. Sama koskee mys DHCP:n antamia IP-osoitteita, jotka uusiutuvat aika ajoin.',
		'db_mountpoints.description' => 'Mrittele puurakenteen aloituskohta kyttjlle.',
		'db_mountpoints.details' => 'Sivujen puurakenteeseen, jota WEB-aliohjelmat kyttvt, tulee mritell joitakin liitynt pisteit. Tss list yhden tai useamman referenssin sivulle jotka edustavat sivuston rakenteen uutta juurta (alkupistett).
Tt kutsutaan \'Tietokannan asetukseksi" ("Database mount").
<strong>Huomaa</strong> taustakyttjryhmll voi olla Tietokantaasetuksia jotka kyttj perii. Joten jos haluat ryhmll kyttji jakavan sivurakenteen, kannattaa Sinun asettaa sivurakenne taustakyttjryhmlle joka on yhteinen kyttjille.',
		'file_mountpoints.description' => 'Mrittele aloituskohdat tiedostohakemistolle rakenteelle.',
		'file_mountpoints.details' => 'Tiedostohakemisto rakennetta kyttvt kaikki Tiedosto-aliohjelmat (File-modules) siirtyessn hakemistoissa palvelimella. Jotta kyttjlle olisi mahdollista ladata (upload) tiedostoja <em>tulee</em> asetettuna ollahakemisto jossa \'_temp_\' hakemisto (tnne ladataan (upload) tiedostot oletusarvoisesti).
Huomaa ett Tietokanta asetukset voivat periyty kyttjlle silt kyttjryhmlt jonka jsen hn on.',
		'email.description' => 'Anna kyttjn shkpostiosoite.',
		'email.details' => 'Tm osoite on trke koska siihen lhetetn jrjestelmn viestit.
<strong>Huomaa</strong> kyttj voi muuttaa ttt tietoa itse Kyttj>Asetukset (User>Setup) aliohjelmasta.',
		'realName.description' => 'Anna kyttjn oikea nimi, esim.Matti Meiklinen.',
		'realName.details' => '<strong>Huomaa</strong> kyttj voi itse muuttaa tt arvoa Kyttj>Asetukset (User>Setup) aliohjelmasta.',
		'disable.description' => 'Tm vaihtoehto poistaa kyttjn sisnkirjoittautumis oikeuden vliaikaisesti.',
		'admin.description' => '\'Admin\' kyttjill on TYDELLISET oikeudet jrjestelmn!',
		'admin.details' => '\'Admin\' voi tehd mit tahansa TYPO3 salliikin ja siksi tmnkaltaista kyttj tulisikin hydynt vain hallinnollisiin tehtviin. Kaikki piivttinen tyskentely tulisi tehd normaalein kyttjtunnuksin.
\'Adminin\' ei tarvitse olla mink kyttjryhmn tai taustakyttjryhmn jsen. Huomaa kuitenkin erityisesti seuraavaa, sivut jotka \'admin\'-kyttj luo eivt kuulu minhinkn ryhmn ja voivat olla siksi toisten kyttjien nkymttmiss. Jos tm tulee ongelmaksi voi luoda \'Admin\'kyttjlle ryhmn joka tapauksessa. Tll ei ole vaikutusta \'Admin-k\'yttjn oikeuksiin vaan uusien sivujen omistajaksi tulee listan ensimminen ryhm.
\'Admin\' kyttjt tunnistaa helposti punaisesta ikonista tavallisten kyttjien ikonin ollessa sininen.

Sinun tulee luultavasti mritell vain itsesi \'Admin\'-kyttjksi.',
		'options.description' => 'Valitse periik kyttj sivujen puurakenteen tai hakemistopuun kyttjryhmlt.',
		'options.details' => 'On suuri etu antaa kyttjien peri asetuskohdat kyttjryhmilt koska se tekee samojen asetuskohtien hallinnan usealle kyttjlle helpoksi.
Jos et kyt nit vaihtoehtoja, Sinun tulee varmistaa ett sivurakenteen ja tiedostovalikoiden astukset ovat asetettu juuri tlle kyttjlle.',
		'fileoper_perms.description' => 'Valitse mitk tiedostotoiminnot ovat sallittuja kyttjlle.',
		'fileoper_perms.details' => 'Nm asetukset liittyvt Tiedosto>Lista (File>List) aliohjelmaan se yleiseen tiedostojen vientiin (upload).',
		'starttime.description' => 'Valitse pivys mist alkaen kyttjn tili on voimassa.',
		'endtime.description' => 'Valitse pivys jolloin kyttjn tili poistetaan (voimassaolo).',
		'lang.description' => 'Valitse oletuskieli.',
		'lang.details' => 'Tm mrittelee kielen taustakyttjlle. Kaikki keskeiset osat ovat kytettviss jrjestelmn kielell tavallisille kyttjille.
\'Admin\'-kyttjt kokevat kuitenkin ett vain heille tarkoitetut osat ovat englanniksi. Tm tarkoittaa kaikkia aliohjelmia Tykalut (Tools) ja Web>Mallinteet (Web>Templates) aliohjelmia.

<b>Huomaa</b> tm on vain oletuskieli. Kun kyttj on sisnkirjoittautunut voi kielen vaihtaa Kyttj>Asetukset aliohjelmassa.',
		'userMods.description' => 'Valitse mitk taustatoimintojen aliohjelmat ovat sallittuja kyttjlle.',
		'userMods.details' => 'Tm mrittelee mitk\'Valikon toiminnat\' ovat kyttjn kytettviss.

Huomaa ett sama aliohjelmien lista voidaan konfiguroida kyttjryhmlle aj se periytyy kyttjlle tass valitsemiesi aliohjelmien lisksi. On eptodennkist ett Sinun tarvitsee tss valita mitn aliohjelmia kyttjlle vaan voit tehd sen kyttjryhmn avulla joissa hn on jsen.
Tm kuitenkin mahdollistaa oivan tavan list yhden erillisen aliohjelman kyttjlle.',
		'TSconfig.description' => 'Valitse TSconfig lisykset kyttjlle (laajennetut).',
		'TSconfig.details' => 'Tm tieto antaa Sinulle mahdollisuuden antaa kyttjlle erityisi asetuksia. Esimerkiksi vaihtoehdot voivat sislt yksityiskohtaisen konfiguraation tausta alimoduleista, erityisten kyttjkohtaisten taulujen oletusarvoista, tai RTE asetuksista jne. Tm lista kasvaa ajan myt ja on dokumentoitu Administraatio ohjestuksessa, erityisesti \'admin_guide.pdf\' (katso linkki alla).',
	),
	'tr' => Array (
	),
	'se' => Array (
		'.description' => 'Detta r tabellen med backend administratrsanvndare.',
		'username.description' => 'Fyll i backend-anvndarens inloggningsnamn',
		'username.details' => 'A username is required and must be in lowercase without spaces in it. Furthermore the username must be unique. If it is not unique a number will be prepended automatically.',
		'password.description' => 'Fyll i backend-anvndarens lsenord (Mrk, att det du fyller i kommer att synas)',
		'password.details' => 'The password is required. Before the password is sent to the server it\'s md5-hashed, so the password value itself is not transferred over the internet. This is true both when editing the password and when the user logs in. 
While this principle does not reveal the raw password it is <i>not</i> the same as real encryption. If you need the highest degree of security you should install the TYPO3 backend on a secure server.
The password is stored in the database as an md5-hash and thus it\'s not possible to extract the original password from the database either. This means that \'lost passwords\' must be substituted with a new password for the user.',
		'usergroup.description' => 'Vlj vilka backend-anvndargrupper som anvndaren hr till.',
		'usergroup.details' => 'The backend user groups defines the permissions which the backend user will inherit. So unless the backend user is an \'Admin\' user, he needs to be a member of one or more user groups in order to have practically any permissions assigned. The properties set in the user groups are mostly added together.
The first (top) group in the list is the group which will, by default, be the owner of pages the user creates.',
		'lockToDomain.description' => 'Fyll i frn vilken vrddator anvndaren mste logga in',
		'lockToDomain.details' => 'A TYPO3 system may have multiple domains pointing to it. Therefore this option secures that users can login only from a certain host name.',
		'disableIPlock.description' => 'Stnger mjligheten att lsa backend-anvndarens session till en speciell IP-nummer.',
		'disableIPlock.details' => 'You will have to disable this lock if backend users are accessing TYPO3 from ISDN or modem connections which may shutdown and reconnect with a new IP. The same would be true for DHCP assignment of IP numbers where new IP numbers are frequently assigned.',
		'db_mountpoints.description' => 'Ange startpunkter fr anvndarens sidtrd.',
		'db_mountpoints.details' => 'The page tree used my all Web-submodules to navigate must have some points-of-entry defined. Here you should insert one or more references to a page which will represent a new root page for the page tree. This is called a \'Database mount\'.

<strong>Notice</strong> that backend user groups also has DB mounts which can be inherited by the user. So if you want a group of users to share a page tree, you should probably mount the page tree in the backend user group which they share instead.',
		'file_mountpoints.description' => 'Ange startpunkter fr filernas katalogtrd.',
		'file_mountpoints.details' => 'The file folder tree is used by all File-submodules to navigate between the file folders on the webserver. In order to be able to upload <em>any</em> files the user <em>must</em> have a file folder mounted with a folder named \'_temp_\' in it (which is where uploads go by default). 
Notice as with \'DB mounts\' the file folder mounts may be inherited from the member groups of the user.',
		'email.description' => 'Fyll i anvndarens epostadress.',
		'email.details' => 'This address is rather important to enter because this is where messages from the system is sent.
<strong>Notice</strong> the user is able to change this value by himself from within the User>Setup module.',
		'realName.description' => 'Fyll i anvndarens riktiga namn, t.ex. Pelle Svensson.',
		'realName.details' => '<strong>Mrk</strong> att anvndaren sjlv kan ndra detta vrde via modulen Anvndare>Instllningar',
		'disable.description' => 'Denna option stnger tillflligt anvndarens rttigheter att logga in.',
		'admin.description' => '\'Admin\'-anvndare har TOTAL tkomst till systemet!',
		'admin.details' => '\'Admin\' can do anything TYPO3 allows and this kind of user should be used only for administrative purposes. All daily handling should be done with regular users. 
\'Admin\' users don\'t need to be members or any backend user groups. However you should be aware that any page created by an admin user without a group will not have any owner-group assigned and thus it will probably be invisible for other users. If this becomes a problem you can easily solve it by assigning a user group to the \'Admin\' user anyway. This does of course not affect the permissions since they are unlimited, but the first group listed is by default the owner group of newly created pages.
\'Admin\' users are easily recognized as they appear with a red icon instead of the ordinary blue user-icon.

You should probably not assign any other users than yourself as an \'Admin\' user.',
		'options.description' => 'Vlj om anvndaren skall erhlla sidtrds- eller katalogtrdsmonteringspunkter frn medlemsgrupper.',
		'options.details' => 'It\'s a great advantage to let users inherit mountpoints from membergroups because it makes administration of the same mountpoints for many users extremely easy. 
If you don\'t check these options, you must make sure the mount points for the page tree and file folder tree is set specifically for the user.',
		'fileoper_perms.description' => 'Vlj filndringsrttigheter fr anvndaren.',
		'fileoper_perms.details' => 'These settings relates to the functions found in the File>List module as well as general upload of files.',
		'starttime.description' => 'Fyll i frn vilket datum kontot skall vara i bruk',
		'endtime.description' => 'Fyll i nr kontot skall stngas',
		'lang.description' => 'Vlj <i>standard</i> sprk.',
		'lang.details' => 'This determines the language of the backend interface for the user. All mainstream parts available for regular users are available in the system language selected. 
\'Admin\'-users however will experience that the \'Admin\'-only parts of TYPO3 is in english. This includes all submodules in "Tools" and the Web>Template module.

<b>Notice</b> this is only the default language. As soon as the user has logged in the language must be changed through the User>Setup module.',
		'userMods.description' => 'Vlj vilka backend-moduler anvndaren skall f.',
		'userMods.details' => 'This determines which \'menu items\' are available for the user.

Notice that the same list of modules may be configured for the backend user groups and that these will be inherited by the user in addition to the modules you select here. It\'s highly likely that you should not set any modules for the user himself but rather select the modules in the backend groups he\'s a member of. However this list provides a great way to add a single module for specific users.',
		'TSconfig.description' => 'Fyll i ytterligare TSconfig fr anvndaren (avancerat).',
		'TSconfig.details' => 'This field allows you to extend the configuration of the user in severe details. A brief summary of the options include a more detailed configuration of the backend modules, setting of user specific default table field values, setting of Rich Text Editor options etc. The list will be growing by time and is fully documented in the adminstration documentation, in particular \'admin_guide.pdf\' (see link below).',
	),
	'pt' => Array (
	),
	'ru' => Array (
	),
	'ro' => Array (
	),
	'ch' => Array (
	),
	'sk' => Array (
	),
	'lt' => Array (
	),
	'is' => Array (
	),
	'hr' => Array (
		'.description' => 'Ovo ja tablica backend korisnika.',
		'username.description' => 'Unesite korisniko ime backend korisnika.',
		'username.details' => 'Korisniko ime je obavezno i mora biti uneseno malim slovima bez razmaka. Korisniko ime mora biti jedinstveno. Ako nije uneseno jedinstveno korisniko ime sustav e mu automatski pridodati broj.',
		'password.description' => 'Unesite zaporku za prethodno upisano korisniko ime (Zaporka koju unesete <i> biti e vidljiva</i> u polju za unos.',
		'password.details' => 'Zaporka je obavezna. Posluitelju se ne alje vrijednost same zaporke, 
ve kod dobiven pomou MD5-hash algoritma. Ovaj se postupak potuje 
i kod administracije zaporke, kao i kod autentifikacije korisnika prilikom 
pristupanja posluitelju.
Iako ovaj princip ne otkriva pravu vrijednost zaporke, on <i>nije</i> 
isto to i stvarna enkripcija. Ako trebate najvii stupanj sigurnosti,
potrebno je instalirati Typo3 backend na sigurni popsluitelj.
Zaporka je pohranjena u bazu podataka u MD5-hash obliku, pa je nemogue
iz te baze podataka otkriti izvornu zaporku.Zato u sluaju \'izgubljenje zaporke\' 
ona se mora zamijeniti novom korisnikom zaporkom.',
		'usergroup.description' => 'Dodijeli backend korisnike grupe korisniku.',
		'usergroup.details' => 'Backend korisnike grupe odreuju ovlasti koje e backend korisnik 
naslijediti. Zato, osim u sluaju da korisnik ima \'admin\' ovlasti, 
korisnik mora biti lan jedne ili vie korisnikih grupa kako bi dobio
potrebne ovlasti. Parametri ovlasti postavljeni u pojedinim korisnikim 
grupama se uglavnom zbrajaju.
Prva (najvia) grupa u listi je grupa koja e u pravilu bit vlasnik stranica 
koje korisnik napravi.',
		'lockToDomain.description' => 'Unesi ime raunala s kojeg je korisnik prisiljen prijaviti se za rad.',
		'lockToDomain.details' => 'TYPO3 sustav moe imati vietruke domene koje upuuju na njega. Stoga ova opcija osigurava da se korisnici mogu prijaviti samo s odreenog raunala.',
		'disableIPlock.description' => 'Onemogui zakljuavanje odreenog sessiona za udeljenu IP adresu.',
		'disableIPlock.details' => 'Morati ete iskljuiti ovo zakljuavanje ako korisnici pristupaju backendu pomou ISDN ili modemskih veza koje se mogu odspojiti i spojiti sa novom IP adresom.',
		'db_mountpoints.description' => 'Dodijeli poetne toke zkorisnikom stablu stranice.',
		'db_mountpoints.details' => 'Stablo stranica koje koriste svi Web-podmoduli za navigaciju 
mora imati odreene poetne toke ulaska u stablo. Ovdje bi trebali
upisati jednu ili vie referenci na stranicu koja e predstavljati novu
korijen stranicu u stablu stranica. 
To se naziva \'Poveznica baze podataka\' (DB poveznica).

<strong>Primjetite da</strong> Backend korisnike grupe takoer
sadre DB poveznice koje korisnik moe naslijediti. U sluaju da elite vie 
korisnika koji dijele jedno stablo stranice, trebate napraviti poveznicu stabla 
stranice u backend korisnikoj grupi koju e korisnici naslijediti.',
		'file_mountpoints.description' => 'Dodijeli poetne toke stablu datoteka',
		'file_mountpoints.details' => 'Stablo datoteka koriste svi podmoduli za navigaciju meu direktorijima na web posluitelju. Kako bi bili u mogunosti izvriti upload <em>bilo koje</em> datoteke korisnik  <em>mora</em> imati direktorij postavljen sa poddirektorijem nazvanim \'_temp_\' unutar njega (kamo idu uploadi).
Primjetite da kao i sa \'DB mounts\' direktoriji za datoteke isto mogu biti naslijeeni od korisnike grupe kojoj pripada korisnik.',
		'email.description' => 'Upiite email adresu korisnika.',
		'email.details' => 'Ovu je adresu vrlo vano unijeti jer se na nju alju sistemske poruke.
<strong>Primjdba</strong> Korisnik moe sam mijenjati adresu
u Korisnik>Postavke modulu.',
		'realName.description' => 'Unesi pravo ime korisnika, npr. Ivo Ivi',
		'realName.details' => '<strong>Napomena</strong> Korisnik moe sam mijenjati adresu u Korisnik>Postavke modulu.',
		'disable.description' => 'Ova mogunost privremeno onemoguava korisniku pristup.',
		'admin.description' => '\'Admin\' korisnici imaju POTPUN pristup sustavu!',
		'admin.details' => '\'Admin\' moe raditi sve to TYPO3 omoguuje i ovaj bi se tip korisnika trebao koristiti samo u administracijske svrhe. Sve drugo bi trebalo raditi s obinim korisnicima. 
\'Admin\' korisnici ne moraju biti lanovi ni jedne korisnike grupe. Svejedno, treba imati na umu da e svaka stranica koju napravi admin korisnik koji nije lan neke grupe biti napravljena bez zadanog vlasnika ili grupe, pa nee biti vidljiva ostalim korisnicima. Ako to postane problem, lako je rjeiv time da se admin korisniku dodijeli neka postojea grupa. Time se naravno ne utjee na ovlasti jer su one ionako za admin korisnika neograniene.
\'Admin\' korisnike je lako razaznati jer je njihova ikona u crvene umjesto plave boje obinog korisnika.

Vjerovatno ne bi trebali odrediti nikoga osim sebe kao \'Admin\' korisnika.',
		'options.description' => 'Odaberite treba li korisnik naslijediti stablo stranica ili stablo direktorija od korisnikih grupa kojima pripada.',
		'options.details' => 'Velika je prednost ukoliko se dopusti da korisnici naslijede postavljene direktorije od korisnikih grupa kojima pripadaju jer je na taj nain administracija veeg broja korisnika vrlo laka. 
Ako ne odaberete ove opcije, morate osigurati da je stablo stranica i stablo direktorija postavljeno za svakog korisnika zasebno.',
		'fileoper_perms.description' => 'Odaberite dozvole za rad s datotekama za korisnika.',
		'fileoper_perms.details' => 'Ove postavke vrijede za funkcije u Datoteka>Popis modulu kao i za openiti upload datoteka.',
		'starttime.description' => 'Unesite datum od kojeg e korisniki raun biti aktivan.',
		'endtime.description' => 'Unesite datum od kojeg e korisniki raun biti onemoguen.',
		'lang.description' => 'Odaberite <i>zadani</i> jezik.',
		'lang.details' => 'Ovom postavkom se odreuje jezik backend suelja korisnika. Svi glavni dijelovi sustava dostupni su u odabranom jeziku.
\'Admin\' korisnici primjetiti e da su dijelovi TYPO3 namijenjeni samo \'Admin\'-ima na engleskom. To ukljuuje sve podmodule u "Tools" i sve Web>Template module.

<b>Napomena</b> Ova postavka vrijedi samo za zadani jezik. im se korisnik prijavi na sustav ova postavka se mora promieniti kroz User>Setup modul.',
		'userMods.description' => 'Odaberite backend module koji e biti dostupni korisniku',
		'userMods.details' => 'Ovom postavkom se odreuje sadraj menija koji e biti dostupan korisniku.

Primjetite da ista lista modula moe biti konfigurirana za backend korisnike grupe te e u tom sluaju ona biti naslijeena i dopunjena s modulima koji su ovdje selektirani. Poeljno je postavljati dostupne module putem backend korisnikih grupa umjesto dodavanja modula putem ove opcije. Naravno ova opcija vam omoguava da dodate pojedini modul specifinom korisniku.',
		'TSconfig.description' => 'Unesite dodatne TSconfig instrukcije za korisnika (napredno).',
		'TSconfig.details' => 'Putem ovog polja mogue je proiriti konfiguraciju koirsnika u nekoliko detalja. Ukratko ovdje moete detaljnije konfigurirati backend module, postaviti za posebno za kosirnika predefinirana vrijednos tpojedninih polja, definirati postavke WYSWYG editora (RTE editor), itd. Popis opcije koje moete podeavati putem ovog polja raste s vremenom i u potpunosti je dokumentiran u administratorskoj dkoumentaciji, posebno u \'admin_guide.pdf\' (pogledaj link ispod).',
	),
	'hu' => Array (
		'.description' => 'Ez a Backend adminisztrtor felhasznlk tblja.',
		'username.description' => 'Add meg a backend felhasznl bejelentkez nevt.',
		'username.details' => 'A felhasznl nv szksges s csak kisbetkbl llhat szkz nlkl. Tovbb a felhasznli nvnek egyedinek kell lennie. Ha nem egyedi, akkor el automatikusan egy szm kerl.',
		'password.description' => 'Add meg a fenti backend felhasznl rszre a jelszt. Figyelj, mert a bert adat <i>olvashat lesz</i> a mezben.',
		'password.details' => 'A jelsz ktelez. Mieltt a szerverre tovbbtsra kerl md5
szerint kdoldik, gy maga a jelsz nem tovbbtdik az
interneten. ez igaz mind a jelsz szerkesztsre mind a
felhasznl bejelentkezsre is.
Mivel  ez a dolog nem lthat kvlrl, a feldolgozott jelsz
<i>nem</i> azonos a valdi titkostssal. Ha magasabb
fok biztonsg szksges, a TYPO3 backend rendszert egy
biztonsgos szerverre kell telepteni.
A jelsz md5 kdolssal kerl trolsra az adatbzisban, gy
a jelszt nem lehet visszafejteni az adatbzisbl sem. Ezt azt
jelenti, hogy az elfelejtett jelszt jjal kell helyettesteni',
		'usergroup.description' => 'Backend felhasznlcsoportot rendel a felhasznlhoz.',
		'usergroup.details' => 'A backend felhasznlcsoport jogosultsgokat ad meg,
amelyeket a backend felhasznl rkl. gy a felhasznl
hacsak nem \'Adminisztrtor \' felhasznl, egy vagy tbb
csoporttagsggal kell rendelkeznie, hogy gyakorlatilag
jogosultsggal rendelkezzen  A felhasznl csoport
tulajdonsgai ltalban sszeaddnak.
Ez els (legfels) csoport a listban az a csoport, amelyik a
felhasznl ltal ltrehozott oldal tulajdonosa lesz.',
		'lockToDomain.description' => 'Add meg annak a hosztgpnek a nevt, ahonnan a felhasznlnak be kell jelentkeznie.',
		'lockToDomain.details' => 'A TYPO3 rendszerre tbb domain mutathat. gy az opci biztostja, hogy a felhasznl csak bizonyos hosztgprl jelentkezhet be.',
		'disableIPlock.description' => 'Tvoli backend felhasznlk IP cm zrolsnak megszntetse.',
		'disableIPlock.details' => 'Akkor kapcsold ki, ha vannak backend felhasznlk, akik ISDN vagy modem hasznlatval kapcsoldnak a TYPO3-hoz, s az IP cmk vltozhat jrakapcsoldskor. Ugyanez rvnyes, ha DHCP szerver rendeli a felhasznlkhoz az IP cmeket.',
		'db_mountpoints.description' => 'A felhasznl oldalrendszerhez kiindulpontot rendel.',
		'db_mountpoints.details' => 'Az sszes, naviglsra hasznlt web-almodul
oldalrendszernek rendelkeznie kell megadott belpsi
ponttal. Itt egy vagy tbb hivatkozst kell beszrni egy
oldalhoz, amely az oldalcsoporthoz j  kiindul oldalt ad
 meg. Ezt hvjk adatbzis csatolsnak.
<strong>Figyelem:</strong> a backend felhasznl
csoportoknak szintn vannak adatbziscsatolsaik, amelyek a 
felhasznltl rkldtek. gy, hogy egy felhasznlcsoport
megoszthasson egy oldalrendszert, azt valszinleg csatolni
kell ahhoz a backend felhasznl csoporthoz, amely
megosztja azokat.',
		'file_mountpoints.description' => 'A fjlrendszerhez kiindulpontot rendel.',
		'file_mountpoints.details' => 'A fjl knyvtr-rendszert az sszes, a webszerver
fjlknyvtrai kztti naviglsra sznt  fjl almodul hasznlja.
<em>Brmely<-/em> fjlfeltltshez a felhasznlnak
<em>rendelkeznie kell</em> \'_temp_\' nev csatolt
fjlknyvtrral (amelyik a feltlts alaprtelmezett knyvtra).
Meg kell jegyezni, hogy az adatbzis csatolsokhoz hasonlan, a
fjlknyvtr csatolsok is rkldnek a csoporthoz tartoz
felhasznlktl.',
		'email.description' => 'Add meg a felhasznl email cmt.',
		'email.details' => 'A cmet nagyon fontos megadni mivel ide rkeznek a
rendszer zenetei.
<strong>Figyelem:</strong> a felhasznl maga
megvltoztathatja ezt az adatot a Felhasznl>Bellts
modulban.',
		'realName.description' => 'Add meg a felhasznl szablyos nevt, pl.: John Doe',
		'realName.details' => '<strong>Figyelem:</strong> a felhasznl maga megvltoztathatja ezt az adatot a Felhasznl>Bellts modulban.',
		'disable.description' => 'Ez az opci ideiglenesen megakadlyozza a felhasznlt a bejelentkezsben.',
		'admin.description' => 'Az \'Adminisztrtor\' felhasznlk az SSZES jogosultsggal rendelkeznek a rendszerben!',
		'admin.details' => 'Az \'Admin\' brmit megtehet, amit a TYPO3 megenged,
ez az adminisztrtor tpus csak adminisztrcis cllal
hasznlhat. A napi karbantartsokat norml felhasznlkkal
ajnlatos elvgeztetni. Az \'Admin\' felhasznlknak nem kell
szksgkppen egyik backend felhasznl csoporthoz sem
tartozni. Teht vakodni kell attl, hogy oldalakat
ltrehoz \'Admin\' felhasznlk ne tartozzanak egyik csoportba
sem, mert gy valszinleg lthatatlanok ms felhasznlk
rszre. Ha ez a problma felmerl, knnyen megoldhat egy
csoport hozzrendelse az \'Admin\'-hoz valamilyen mdon.
Ez termszetesen nem rinti a jogosultsgokat, mivel ezek
korltlanok, de az els listba felvett csoport
alaprtelmezsknt az jonnan ltrehozott oldalak
tulajdonos csoportja.
Az \'Admin\' felhasznlk knnyen felismerhetek piros ikonukrl
a szoksos kk felhasznli ikonnal ellenttben.
Valsznleg csak magadat fogod \'Admin\' felhasznlknt
felvenni.',
		'options.description' => 'Vlaszd ki, ha a felhasznlnak rklnie ajnlatos az oldal- s fjlrendszer csatlakozsi pontokat a tagcsoporttl.',
		'options.details' => 'Nagy elny a felhasznlknak a tagcsoporttl rklsi
csatolpontokat adni, mert ez igen megknnyti ugyanannak a
csatolpontnak az adminisztrcijt.
Ha nem ellenrzd ezeket a funkcikat, meg kell gyzdnd
arrl, hogy az oldalrendszer csatolpontjai s a fjl
knyvtrrendszer be legyen lltva a felhasznl rszre.',
		'fileoper_perms.description' => 'Vlassz mkdsi engedlyt a felhasznlnak.',
		'fileoper_perms.details' => 'Ezek a belltsok kapcsoldnak a Fjl>Lista modul-ban tallhat funkcikhoz.',
		'starttime.description' => 'Add meg azt a dtumot, amikortl a fik aktv.',
		'endtime.description' => 'Add meg azt a dtumot, amikortl a fik nem engedlyezett.',
		'lang.description' => 'Vlaszd ki az <i>alaprtelmezett</i> nyelvet!',
		'lang.details' => 'Meghatrozza a felhasznl rszre a backend fellet nyelvt.
Minden, a norml felhasznlk rszre elrhet ffolyam a
rendszer kivlasztott nyelvn lesz elrhet.
Az \'Admin\' felhasznlk teht azt tapasztaljk, hogy a
TYPO3-ban csak \'Admin\'-rszek angol nyelvek. Ebbe
beletartozik az "Eszkzk" sszes almodulja valamint
a Web>Sablon modul.
<b>Figyelem:</b> ez csak az alaprtelmezett nyelv. Amint a 
felhasznl bejelentkezik, a nyelv megvltoztathat a
Felhasznl>Telepts modulban.',
		'userMods.description' => 'Vlaszd ki  a felhasznl szmra elrhet backend modulokat.',
		'userMods.details' => 'Megadja a felhasznl ltal elrhet menpontokat.
Fontos, hogy maga a modullista konfigurlhat a backend
felhasznl  csoportok rszre s ezeket a felhasznl rklje
az itt kivlaszott modulokkal egytt. Igen valszn, hogy nem
lltunk be semmilyen modult magra a felhasznlra, hanem
inkbb annak a csoportnak, aminek a tagja. Teht a lista nagy
lehetsget biztost egy egyszer modul hozzrendelshez
bizonyos felhasznlk rszre.',
		'TSconfig.description' => 'Adj kiegszt TSconfig-ot a felhasznlnak (rszletes).',
		'TSconfig.details' => 'Ez a mez lehetsget ad a felhasznl konfigurlsnak jelents kiterjesztsre. Az opci rvid sszegzse magban foglalja a backend modulok rszletes konfigurcijt a felhasznl specifikus alaprtelmezett tbla mezk belltsval, a Rich Text Editor kivlasztsi lehetsgvel. A lista idvel nni fog s az adminsztrcis dokumentciban rsztesen ki lesz fejtve, fleg az \'admin_guide.pdf\'-ben (lsd albb).',
	),
	'gl' => Array (
	),
	'th' => Array (
	),
	'gr' => Array (
	),
	'hk' => Array (
		'.description' => 'oOԺ޲zϥΪ̪ƪ',
		'username.description' => 'JԨϥΪ̪nJW',
		'username.details' => 'ϥΪ̦W٬OM@wHӶA䤤঳ŹjCϥΪ̦W٬OW@CpOW@A|۰ʥ[WƦr',
		'password.description' => 'JWԨϥΪ̪KX]dNAb椤J<i>|</i>Qݨ^',
		'password.details' => 'ݭnKXCbKXMD5[KǰehAeA]KXȥ|zLpǰeCbϥΪ̭קKXɩMnJɳOoˡC
oӭh|ҥܭlKXAO<i>O</i>Pu[KۦPCpAn󰪵{תOKAAӧTYPO3Ԧw˦b@ӦwAWC
KXHMD5[KΦxxsbƮwA]]iq쥻KXCoNϥΪ̡u򥢪KXv@wnηsKXNC',
		'usergroup.description' => ']wԨϥΪ̩ݪs',
		'usergroup.details' => 'ԨϥΪ̸sթwqԨϥΪ̩ҩŧvC]ADԨϥΪ̬Ou޲zvŨϥΪ̡A_hLݭn@өΥHWϥΪ̸sժAHPLiHbaoҽᤩvCbϥΪ̸sդҳ]wʤjQsXC
bWĤ@ӡ]̤W^ϥΪ̸sաAw]ϥΪ̩ҫإߪ֦',
		'lockToDomain.description' => 'JDW١AϥΪ̥qnJ',
		'lockToDomain.details' => '@TYPO3tΥiHhӺϥΡC]AoӿﶵOҥuiHqY@DnJ',
		'disableIPlock.description' => 'OԨϥΪIP}\\',
		'disableIPlock.details' => 'Aݭn\\ApԨϥΪ̥HISDNMODEMsӶiJTYPO3A]oǳs|bAsosIP}CDHCPt}@ˡA``|tsIP}',
		'db_mountpoints.description' => ']wϥΪ̺Ϫ_lI',
		'db_mountpoints.details' => 'ϳQҦƼҲեΥHA@wnYөwq_lICo̧AӴJΥHWѷӭӬϤsڭCo٬uƮwIv

<strong>dN</strong>ϥΪ̥iHŧݪԨϥΪ̸suƮwIvC]ApAQ@sժϥΪ̦@Τ@ӾϡAAӦbL̦PݪsդJϡC',
		'file_mountpoints.description' => ']wɮ׸ƧϪ_lI',
		'file_mountpoints.details' => 'ɮ׾ϳQҦɮװƼҲեΥHWɮסCFW<em></em>ɮסAϥΪ<em>@w</em>n@ɮ׸Ƨ@Ӻ٬u_temp_v]oOWɮ׹w]xsm^ƧWC
dNApuƮwIv@ˡAɮ׸ƧI]iHQϥΪ̱qϥΪ̸sդŧC',
		'email.description' => 'JϥΪ̪qla}',
		'email.details' => 'O_JoӦa}ӭnAoOHXTtΪa}C
<strong>dN</strong>ϥΪ̥iHۤvbuϥΪ>]wvҲդܳoӭ',
		'realName.description' => 'JϥΪ̯umW',
		'realName.details' => '<strong>dN</strong>ϥΪ̯ۤvϥΡuϥΪ>]wvҲէܳoӭ',
		'disable.description' => 'oӿﶵ|ȮϥΪ̪nJ\\',
		'admin.description' => 'u޲zvϥΪ̹tΦ㪺sv',
		'admin.details' => 'u޲zviHTYPO3e\\ơAӳoϥΪӬF޲zت~|BΡCҦ`u@ӥHqϥΪ̳BzCu޲zvݩԨϥΪ̸sաCMӧAӯdNѤݩsժ޲zŨϥΪ̩ҫإߪҦN|t󪺦̸sաA]LϥΪ̤]\\|ݤoǺCpDX{AAiHazLtsյu޲zvϥΪ̨ӸѨMoӰDC˰M|vTFvA]vOSAOWWĤ@ӸsճQw]sإߪ̸֦sաC
u޲zvϥΪ̬O{A]L֦̾⪺ϥΪ̹ϥܡAoP@ϥΪxϥܦҤPC

A̦nFۤvH~AtϥΪ̧@u޲zvϥΪ̡C',
		'options.description' => 'pϥΪӱqsթŧϩθƧϱIAпܳoӿﶵ',
		'options.details' => 'ϥΪ̱qsդŧIܦnnBA]|Ϻ޲zhӨϥΪ̦@PϥΤ@ӱIܬe
pAܳoӿﶵAA@wnϥΪ̯SObϩM׾Ϥ]wIC',
		'fileoper_perms.description' => 'ϥΪ̿ɮ׹B@v',
		'fileoper_perms.details' => 'oǳ]wYbuɮ>Cv쪺\\A]Y@몺ɮפW',
		'starttime.description' => 'JbͮĪ',
		'endtime.description' => 'JbᥢĪ',
		'lang.description' => '<i>w]</i>y',
		'lang.details' => 'MwϥΪ̩ҨϥΪԤyCҦiѤ@ϥΪ̨ϥΪDniHbܪtλyBΡCMӡu޲zϥΪ̡v|gTYPO3uu޲zvO^yC]AFҦuuvҲդƼҲթMu>˪vҲաC

<b>dN<b>ouOw]yC@ϥΪ̤wgnJAy@wnzLuϥΪ>]wvҲէ',
		'userMods.description' => 'ϥΪ̿ܥiHԼҲ',
		'userMods.details' => 'Mwǡu涵ءviѨϥΪ̨ϥΡC

dNԨϥΪ̸sժҲճ]wiHOۦPAFAܪҲե~AA[WqsթŧҲզFiΪҲզWCοkOnӧOϥΪ̳]wҲղMAӬObݪԨϥΪ̸sդ]wiμҲժMCMӳo̪WiHѫܦn~|ӬYӨϥΪ̥[J@ӼҲ',
		'TSconfig.description' => 'ϥΪ̿J[ TSconfig]i^',
		'TSconfig.details' => 'oe\\A׸ԲӦaϥΪ̪]wCoӿﶵ²]A@ӸԺɪԼҲճ]wA]wϥΪ̦ƪȡA]wh\\rs边ﶵCoӦW|HɶW[AåBb޲z󤤦ԺɪASOOuadmin_guide.pdfv]ѬݥHUs^',
	),
	'eu' => Array (
	),
	'bg' => Array (
	),
	'br' => Array (
		'.description' => 'Esta  a tabela de usurios com acesso ao Painel de Administrao.',
		'username.description' => 'Digite o nome de login do usurio-administrador.',
		'username.details' => 'Um nome de usurio  necessrio, e deve estar em minsculas e sem conter espaos. Alm disso, o nome de usurio deve ser exclusivo. Se no for, um nmero ser adicionado ao nome automaticamente.',
		'password.description' => 'Digite a senha correspondente para o usurio-administrador acima (note que a senha digitada <i>estar</i> visvel neste campo!).',
		'password.details' => 'A senha  necessria. Antes de ser enviada ao servidor, a senha  codificada (md5), para que o valor original no seja enviado atravs da internet. Isso ocorre tanto ao editar a senha quanto no login do usurio.
Embora este princpio no revele a senha original, <i>no</i>  o mesmo que encriptao de verdade. Se voc precisar do mximo grau de segurana, deve instalar o Painel de Adminstrao do TYPO3 em um servidor seguro.
A senha  armazenada no banco de dados como um cdigo md5 e sendo assim tambm no  possvel extrair a senha original a partir do banco de dados. Isso significa que \'senhas esquecidas\' precisam ser substitudas por uma nova senha para cada usurio.',
		'usergroup.description' => 'Atribuir grupos de usurios-administradores a este usurio.',
		'usergroup.details' => 'Os grupos de usurios-administradores definem as permisses que sero herdadas pelo usurio. Portanto, exceto quando um usurio-administrador  um usurio \'Admin\', ele deve ser membro de um ou mais grupos para receber as permisses adequadas. As propriedades definidas aos grupos de usurios so na sua maioria includas juntas.
O primeiro grupo (do topo) da lista  o grupo que, por padro, ser proprietrio das pginas criadas pelo usurio.',
		'lockToDomain.description' => 'Insira o nome do servidor pelo qual o usurio  forado a logar.',
		'lockToDomain.details' => 'Um sistema TYPO3 pode ter mltiplos domnios apontando para ele. Logo, esta opo garante que usurios apenas possam logar a partir de um certo domnio.',
		'db_mountpoints.description' => 'Delegar pontos de partida para a rvore de pginas dos usurios.',
		'db_mountpoints.details' => 'A rvore de pginas usada por todos os Submdulos-web para navegar deve ter alguns pontos-de-entrada definidos. Voc deve inserir aqui uma ou mais referncias para uma pgina que ir representar uma nova pgina raiz para a rvore de pginas. Isto se chama \'Montar banco de dados\'.

<strong>Ateno</strong> grupos de usurios-administradores tambm tm montagens de banco de dados que podem ser herdadas pelo usurio. Ento se voc quer que um grupo de usurios compartilhe uma rvore de pginas, voc deve montar a rvore de pginas no grupo de usurios-administradores ao qual pertencem.',
		'file_mountpoints.description' => 'Delegar pontos de partida para a rvore de pastas de arquivos.',
		'file_mountpoints.details' => 'A rvore de pastas de arquivos  utilizada por todos os submdulos-Arquivo para a navegao pelas pastas de arquivos do servidor. Para poder enviar <em>qualquer</em> arquivo, o usurio <em>precisa</em> ter uma pasta de arquivos montada, com outra pasta de nome \'_temp\' dentro dela (para onde os arquivos so enviados por padro).
Observe que, assim como a \'montagem de banco de dados\', a montagem de pastas de arquivos pode ser herdada dos grupos aos quais o usurio pertence.',
		'email.description' => 'Insira o endereo de e-mail do usurio.',
		'email.details' => 'Este endereo  importante pois  para onde as mensagens do sistema sero enviadas.
<strong>Ateno</strong> o usurio tem a opo de mudar este campo sozinho atravs do mdulo Usurios>Configurao.',
		'realName.description' => 'Insira o nome do usurio, ex: Joo Ningum.',
		'realName.details' => '<strong>Ateno</strong> o usurio tem a opo de mudar este campo sozinho atravs do mdulo Usurio>Configurao.',
		'disable.description' => 'Esta opo ir desabilitar temporariamente o login de usurios.',
		'admin.description' => 'Usurios \'Admin\' tm acesso TOTAL ao sistema!',
		'admin.details' => 'Usurios \'Admin\' podem fazer qualquer coisa que o TYPO3 permitir, assim este tipo de usurio deve ser utilizado apenas para tarefas administrativas. Todo o manuseio dirio deve ser feito atravs de usurios comuns.
Usurios \'Admin\' no precisam ser membros de algum grupo de usurios. Entretanto, note que qualquer pgina criada por um usurio \'Admin\' sem grupo no ter um grupo-proprietrio atribudo, e assim provavelmente ficar invisvel a outros usurios. Se isso se tornar um problema, voc pode facilmente resolv-lo atribuindo um grupo ao usurio \'Admin\'. Isso, claro, no afeta as permisses, j que so ilimitadas, mas o primeiro grupo listado  por padro o grupo-proprietrio das novas pginas criadas.
Usurios \'Admin\' so facilmente reconhecidos, j que so indicados por um cone vermelho ao invs do cone de usurio normal, azul.

Voc provavelmente no definir quaisquer outros usurios, alm de voc mesmo, como usurios \'Admin\'.',
		'options.description' => 'Selecione se o usurio deve herdar dos grupos de usurio os pontos de montagem de pgina ou pastas.',
		'options.details' => ' uma grande vantagem permitir que os usurios herdem pontos de montagem dos grupos de usurios, uma vez que torna a administrao destes pontos de montagem extremamente fcil no caso de muitos usurios.
Se voc no marcar estas opes, deve se certificar de que os pontos de montagem para a rvore de pginas e para a rvore de pastas de arquivos esto configuradas individualmente para cada usurio.',
		'fileoper_perms.description' => 'Selecione as permisses de operao de arquivos para o usurio.',
		'fileoper_perms.details' => 'Estes ajustes esto relacionados s funes localizadas no mdulo Arquivo>Lista, assim como ao envio de arquivos em geral.',
		'starttime.description' => 'Digite a data a partir da qual a conta estar ativa.',
		'endtime.description' => 'Digite a data a partir da qual a conta estar inativa.',
		'lang.description' => 'Selecione o idioma <i>padro</i>.',
		'lang.details' => 'Determina o idioma da interface de administrao para o usurio. Todas as sees usuais de trabalho disponveis para usurios normais estaro disponveis na lngua selecionada.
Usurios-Administradores, no entanto, notaro que as partes de uso exclusivo de \'Administradores\' estaro em ingls. Isso inclui todos os submdulos em "Ferramentas" e o mdulo Internet>Modelos.

<b>Nota</b> este  apenas o idioma do modo padro. Assim que o usurio se logar, o idioma deve ser modificado atravs do mdulo Usurio>Configurao.',
		'userMods.description' => 'Selecione os mdulos de Administrao disponveis para o usurio.',
		'userMods.details' => 'Determina quais \'itens de menu\' estaro disponveis para o usurio.

Note que a mesma lista de mdulos pode ser configurada para os grupos de usurios, e que estes mdulos sero herdados pelo usurio em adio aos selecionados aqui.  altamente recomendado que voc no atribua mdulos aos usurios, e ao invs disso selecione os mdulos nos grupos de usurios onde so membros. De qualquer modo, esta listagem permite uma grande forma de adicionar um nico mdulo a usurios especficos.',
		'TSconfig.description' => 'Digite TSconfig adicional para o usurio (avanado).',
		'TSconfig.details' => 'Este campo permite a voc estender a configurao do usurio em vrios detalhes. Um breve sumrio das opes inclui uma configurao mais detalhada dos mdulos de administrao, ajuste de valores de campos de tabelas padro especficos dos usurios, ajustes de opes do Editor Rich Text, etc. A lista deve crescer com o tempo e est fartamente documentada na documentao de administrao, em particular \'admin_guide.pdf\' (veja o link abaixo).',
	),
	'et' => Array (
	),
	'ar' => Array (
	),
	'he' => Array (
	),
	'ua' => Array (
	),
	'lv' => Array (
	),
	'jp' => Array (
	),
	'vn' => Array (
	),
);
?>