<?php
/**
 * Default  TCA_DESCR for "pages"
 * TYPO3 CVS ID: $Id: locallang_csh_pages.php,v 1.6.2.1 2004/04/30 16:34:06 typo3 Exp $
 */

$LOCAL_LANG = Array (
	'default' => Array (
		'title.description' => 'Enter the title of the page or folder.',
		'title.syntax' => 'You must enter a page title. The field is required.',
		'.description' => 'A \'Page\' record usually represents a webpage in TYPO3. All pages has an id-number by which they can be linked and referenced. The \'Page\' record does not itself contain the content of the page - for this purpose you should create \'Page content\' records.',
		'.details' => 'Depending on the \'Type\' of the page, it may also represent a general storage for database elements in TYPO3. In that case it is not necessarily available as a webpage but only internally in the page tree as a place to store items such as users, subscriptions etc.
The pages table is the very backbone in TYPO3. All records editable by the mainstream modules in TYPO3 must \'belong\' to a page. It\'s exactly like files and folders on your computers harddrive. 
The pages are organized in a tree structure which is not only a very handy way of organizing in general but also a optimal reflection of how you should organize the pages on your website. And thus you\'ll normally find that the page tree is a reflection of the website navigation itself.

Technically all database elements has a field \'uid\' which is a unique identification number. Further they must have a field \'pid\' which holds the uid-number of the page (page id) to which they belong. If the \'pid\' field is zero the record is found in the so called \'root\'. Only administrators are allowed access to the root and furthermore table records must be configured to either belonging to a page or being found in the root.',
		'doktype.description' => 'Select the page type. This affects whether the page represents a visible webpage or is used for other purposes.',
		'doktype.details' => 'The \'Standard\' type represents a webpage.
\'SysFolder\' represents a non-webpage - a folder acting as a storage for records of your choice.
\'Recycler\' is a garbage bin.

<B>Notice:</B> Each type usually has a specific icon attached. Also certain types may not be available for a user (so you may experience that some of the options is not available for you!). And finally each type is configured to allow only certain table records in the page (SysFolder will allow any record if you have any problems).',
		'TSconfig.description' => 'Page TypoScript configuration.',
		'TSconfig.details' => 'Basically \'TypoScript\' is a concept for entering values in a tree-structure. This is known especially in relation to creating templates for TYPO3 websites.
However the same principle for entering the hierarchy of values is used here to configure various features in relation to the backend, functions in modules, the Rich Text Editor etc. 
The resulting \'TSconfig\' for a page is actually an accumulation of all \'TSconfig\' values from the root of the page tree and outwards to the current page. And thus all subpages are affected as well. A print of the page TSconfig is available from the \'Page TSconfig\' menu in the \'Web>Info\' module (requires the extension "info_pagetsconfig" to be installed).
',
		'TSconfig.syntax' => 'Basic TypoScript syntax <em>without</em> \'Conditions\' and \'Constants\'.

It\'s recommended that only admin-users are allowed access to this field!',
	),
	'dk' => Array (
		'title.description' => 'Indtast titlen p siden eller mappen.',
		'title.syntax' => 'Du skal indtaste en sidetitel. Dette felt er pkrvet.',
		'.description' => 'Et "Side" element reprsenterer normalt en webside i TYPO3. Alle sider har et ID nummer med hvilket man kan referere eller linke til siderne. Side-elementet indeholder ikke selv sidens indhold - til dette forml br du oprette "Indholdselementer".',
		'.details' => 'Afhngigt af sidens "Type" s kan en side ogs reprsentere en indholdsfolder for database elementer i TYPO3. I sdan et tilflde er siden ikke ndvendigvis tilgngelig som en webside men kun internt i sidetret som et sted, hvor elementer s som brugere, tilmeldinger etc. kan gemmes.
Side-tabellen er selve TYPO3s rygrad. Alle elementer (records) som kan redigeres med TYPO3 skal "tilhre" en side. Det er prcis som med filer og mapper p din computers harddisk.
Siderne er organiseret i en trstruktur som ikke blot er en vldig praktisk metode til strukturering i almindelighed men som ogs er en optimal reflektion af, hvordan du br organisere siderne p dit website. Og sledes vil du erfare at side-tret normalt er en reflektion af websitets navigationsstruktur.

Teknisk set har alle database elementer et felt, "uid", som er et unikt identifikationsnummer. Derudover skal alle elementer have et "pid" felt, som indeholder uid-nummeret p den side (page id) som de tilhrer. Hvis pid-feltet er nul, s tilhrer elementet "roden" af sidetret. Det er kun administratorer, som har adgang til roden af sidetret og desuden skal en tabel konfigureres til at tilhre enten roden eller et sted i sidetrets grene.',
		'doktype.description' => 'Vlg sidens type. Dette pvirker hvorvidt siden reprsenterer en synlig webside eller bruges til andre forml.',
		'doktype.details' => '"Standard" typen reprsenterer en webside.
"SysFolder" reprsenterer en ikke-webside - en mappe som fungerer som opbevaringsplads for elementer efter dit valg.
"Recycler" er en skraldespand.

<b>Bemrk:</b> Hver type har normalt et srligt ikon tilknyttet. Desuden kan visse typer vre utilgngelige for en bruger (s du kan opleve at nogle muligheder ikke er tilgngelige for dig!). Og endeligt s er hver type sat op til kun at tillade visse tabel-elementer p siden. (SysFolder vil dog tillade et hvilken som helst element hvis du skulle f nogle problemer).',
		'TSconfig.description' => 'TypoScript opstningskode for siden.',
	),
	'de' => Array (
	),
	'no' => Array (
		'title.description' => 'Skriv inn tittelen p siden eller mappen.',
		'title.syntax' => 'Du m skrive inn en sidetittel. Dette feltet er pkrevd.',
		'.description' => 'Et "Side" element representerer normalt en webside i TYPO3. Alle sider har et ID nummer som kan benyttes for  referere eller linke til sidene. Side-elementet inneholder ikke sidens innhold selv  til dette formlet br du opprette "Innholdselementer".',
		'.details' => 'Avhengig av sidens "Type" kan siden ogs vre en innholdsmappe for database elementer i TYPO3. I slike tilfeller er ikke siden ndvendigvis tilgjengelig som en webside, men kun internt i sidetreet som et sted hvor elementer som brukere, innmeldinger etc. kan lagres.
Side-tabellen er selve TYPO3s ryggrad. Alle element (records) som kan redigeres med TYPO3 skal "tilhre" en side. Det er akkurat som med filer og mapper p din datamaskins harddisk.
Sidene er organisert i en trestruktur som ikke bare er veldig praktisk metode for strukturering i alminnelighet, men som ogs er en optimal gjengivelse av hvordan du br organisere sidene p webomrdet ditt. P den mten vil du se at sidetreet normalt er en refleksjon av webomrdets navigasjonstruktur.

Teknisk sett har alle database elementer et felt, "uid", som er et unikt identifikasjonsnummer. Utover dette m alle elementer ha et "pid" felt som inneholder uid-nummeret for den siden (page id) som de tilhrer. Hvis pid-feltet er null tihrer elementet "roten" av sidetreet. Det er kun administratorer som har tilgang til roten av sidetreet og videre m en tabell konfigureres til  tilhre enten roten eller et sted i sidetreets grener.',
		'doktype.description' => 'Velg sidetype. Dette pvirker hvorvidt siden er en synlig webside eller brukes til andre forml.',
		'doktype.details' => '"Standard" typen er en webside.
"SysFolder" er en ikke-webside  en mappe som fungerer som oppbevaringsplass for valgfrie elementer.
"Papirkurv" er ogs et valg.

<b>Merk:</b> Hver type har normalt et eget ikon tilknyttet. Dessuten kan visse typer vre utilgjengelige for en bruker (s du kan oppleve at noen muligheter ikke er tilgjengelige for deg!). Hver type er satt opp til kun  tillate visse tabellelementer p siden. (SysFolder vil dog tillate et hvilket som helst element hvis du skulle f problemer).',
		'TSconfig.description' => 'TypoScript konfigurasjonskode for siden.',
	),
	'it' => Array (
	),
	'fr' => Array (
	),
	'es' => Array (
	),
	'nl' => Array (
	),
	'cz' => Array (
	),
	'pl' => Array (
	),
	'si' => Array (
	),
	'fi' => Array (
		'title.description' => 'Anna sivun tai hakemiston nimi.',
		'title.syntax' => 'Sinun tulee antaa nimi sivulle. Tm on pakollinen tieto.',
		'.description' => '\'Sivu\'-tietue esitt useimmiten kokonaista www-sivua Typo3ssa. Kaikilla sivuilla on ID-numero, jonka perusteella niihin voidaan linkitt ja viitata. \'Sivu\'-tietueessa ei itsessn ole sislt, vaan thn tarkoitukseen sinun on luotava \'Sivun sislt\' -tietueita.',
		'.details' => '\'Tyyppi\' (\'\'Type\') valinnasta riippuen sivu voi toimia mys yleisen Typo3 tietokannan elementtien varastona. Tss tapauksessa sivut eivt ole vlttmtt varsinaisia www-sivuston sivuja vaan sisisi sivuja puurakenteessa jonne on talletettu tietoja, kuten kyttjt, linkit, linkkiluokat tms.
Sivutaulu on TYPO3n selkranka. Kaikkien keskeisill aliohjelmilla muokattavien tietojen TYPO3ssa on \'kuuluttavat\' sivulle. Tilanne on saman kaltainen kuin tiedostot ja hakemistot oman tietokoneesi kovalevyll.
Sivut on jrjestetty puurakenteeseen joka ei ole ainoastaan kytnnllinen menetelm mutta  vastaa kuinka Sinun tulisi jrjest sivut  optimaalisesti www-sivustollesi. Nin huomaat normaalisti mys ett puurakenne vastaa mys siirtymisi www-sivustolla.

Teknisesti kaikissa tietokannan elementeiss on \'uid\' joka on yksilllinen tunnus. Edelleen elementeill tulee olla tieto \'pid\' joka sislt kunkin sivun \'uid\'-tunnuksen jolle kukin elementti kuuluu. Jos \'pid\' tieto on nolla, tietoa kutsutaan silloin ns. juureksi (root). Vain pkyttjill on oikeus juuren ksittelyyn. Lisksi kaikkien taulun tietojen tulee olla asetettuja kuulumaan joko johonkin sivuun tai juureen.',
		'doktype.description' => 'Valitse sivun tyyppi. Tmn tarkoituksena on mritt nkyyk sivu tavallisena web-sivuna vai kytetnk sit johonkin muuhun tarkoitukseen.',
		'doktype.details' => '\'Normaali\'-tyyppi on tavallinen esitettv www-sivu.
\'SysFolder\' tarkoittaa ei-esitettv sivua - se esitt hakemistoa jonne on tallennettu haluamiasi tietoja.
\'Recycler\' tarkoittaa roskakoria.

<B>Huomautus:</B>Eri tyypeill on yleens erilaiset ikonit. Kaikki tyypit eivt myskn ole kytss kaikilla kyttjill (voit ehk huomata sen nytkin!). Ja lopuksi, erilaiset tyypit on konfiguroitu kyttmn ainoastaan mrittyj taulutietoja sivuilla (SysFolder mahdollistaa mink tahansa tiedon jos Sinulla on ongelmia).',
		'TSconfig.description' => 'Sivun TypoScript-asetukset.',
		'TSconfig.details' => 'Periaatteessa \'TypoScript\' on konsepti jolla annetaan arvoja puu-rakenteessa. Tm tulee erityisesti esille luotaessa mallipohjia TYPO3 www-sivustoille.
Kuitenkin samaa periaatetta kytetn kun annetaan arvoja hierarkkisesti konfiguroitaessa erilaisia ominaisuuksia taustatoiminnoille, apuohjelmien toiminnalle jne.
Lopputuloksena syntyy sivulle \'TSconfig\' joka on itse asiassa kaikkien arvojen summa juuresta kullekin sivulle asti. Mys ko. sivun alasivut saavat vaikutuksen ylemmist. Sivun TSconfig tiedoista saa tulosteen valikosta \'Sivun TSconfig\' (\'Page TSconfig\') \'Web>Info\' modulissa (lisohjelma "info_pagetsconfig" tulee olla asennettuna).',
		'TSconfig.syntax' => 'Perus TypoScript syntaksi <em>ilman</em> \'Conditions\' ja \'Constants\'.

Suositellaan vain admin-kyttjille psy thn tietoon!',
	),
	'tr' => Array (
	),
	'se' => Array (
		'title.description' => 'Fyll i sidans eller katalogens namn.',
		'title.syntax' => 'Sidan mste ha ett namn!',
		'.description' => 'A \'Page\' record usually represents a webpage in TYPO3. All pages has an id-number by which they can be linked and referenced. The \'Page\' record does not itself contain the content of the page - for this purpose you should create \'Page content\' records.',
		'.details' => 'Depending on the \'Type\' of the page, it may also represent a general storage for database elements in TYPO3. In that case it is not necessarily available as a webpage but only internally in the page tree as a place to store items such as users, subscriptions etc.
The pages table is the very backbone in TYPO3. All records editable by the mainstream modules in TYPO3 must \'belong\' to a page. It\'s exactly like files and folders on your computers harddrive. 
The pages are organized in a tree structure which is not only a very handy way of organizing in general but also a optimal reflection of how you should organize the pages on your website. And thus you\'ll normally find that the page tree is a reflection of the website navigation itself.

Technically all database elements has a field \'uid\' which is a unique identification number. Further they must have a field \'pid\' which holds the uid-number of the page (page id) to which they belong. If the \'pid\' field is zero the record is found in the so called \'root\'. Only administrators are allowed access to the root and furthermore table records must be configured to either belonging to a page or being found in the root.',
		'doktype.description' => 'Vlj sidtyp. Detta pverkar huruvida sidan r en synlig websida eller om den anvnds fr annat bruk.',
		'doktype.details' => 'The \'Standard\' type represents a webpage.
\'SysFolder\' represents a non-webpage - a folder acting as a storage for records of your choice.
\'Recycler\' is a garbage bin.

<B>Notice:</B> Each type usually has a specific icon attached. Also certain types may not be available for a user (so you may experience that some of the options is not available for you!). And finally each type is configured to allow only certain table records in the page (SysFolder will allow any record if you have any problems).',
		'TSconfig.description' => 'Sidans TypoScript-konfigurering.',
		'TSconfig.details' => 'Basically \'TypoScript\' is a concept for entering values in a tree-structure. This is known especially in relation to creating templates for TYPO3 websites.
However the same principle for entering the hierarchy of values is used here to configure various features in relation to the backend, functions in modules, the Rich Text Editor etc. 
The resulting \'TSconfig\' for a page is actually an accumulation of all \'TSconfig\' values from the root of the page tree and outwards to the current page. And thus all subpages are affected as well. A print of the page TSconfig is available from the \'Page TSconfig\' menu in the \'Web>Info\' module (requires the extension "info_pagetsconfig" to be installed).',
		'TSconfig.syntax' => 'Basic TypoScript syntax <em>without</em> \'Conditions\' and \'Constants\'.

It\'s recommended that only admin-users are allowed access to this field!',
	),
	'pt' => Array (
	),
	'ru' => Array (
	),
	'ro' => Array (
	),
	'ch' => Array (
	),
	'sk' => Array (
	),
	'lt' => Array (
	),
	'is' => Array (
	),
	'hr' => Array (
		'title.description' => 'Unesite naslov stranice ili pretinca',
		'title.syntax' => 'Obavezno je unjeti naslov stranice.',
		'.description' => 'Zapis \'stranica\' obino predstavlja web stranicu u TYPO3 sustavu. Sve stranice imaju id broj pomou kojega mogu biti povezane i referencirane. Zapis \'Stranica\' ne obuhvaa sam sadraj ve je za to potrebno kreirati zapis \'Sadraj stranice\'.',
		'.details' => 'U zavisnosti od tipa stranice ona moe predstavljati repozitorij raznih podatakovnih elemenata u TYPO3 sustavu. U tom sluaju nije nuno da predstavlja web stranicu ve interno unutar stabla stranica moe predstavljati mjesto za pohranu raznih podataka kao to su korisnici, pretplate i slino.
Stranice su duboko ukorijenjene u TYPO3. Svi zapisi koji se mogu editirati iz glavnih TYPO3 modula moraju pripadati nekoj stranici. To je vrlo slino datotekama koje moraju pripadati pretincima.
Stranice su organizirane u stablo to nije samo prikladan nain organiziranja podataka ve i uobiajen nain organiziranja stanica unutar web sjedita. Takoer, uobiajeno je da stablo stranica predstavlja i sam nain organizacije navigacije.

Tehniki gledano svi elementi baze imaju polje \'uid\' koje predstavlja jedinstveni identifikacioni broj. Takoer moraju imati i polje \'pid\' koji sadri uid oznaku stranice kojoj odreenmi element pripada. Ukoliko je \'pid\' oznaka nula zapis senalazi u poetnoj (root) stranici. Samo administraotri imaju dozvolu pristupa poetnoj stranici i osim toga zapisi moraju biti konfigurirani tako da pripadaju nekoj od stranica ili biti u poetnoj stranici.',
		'doktype.description' => 'Selektirajte tip stranice. Ovo ima utjecaj na sadraj stranice, da li e biti web stranica ili iskoritena za neku drugu svrhu.',
		'doktype.details' => 'Standardni tip predstavlja web stranicu.
\'SysFolder\' (sistemski pretinac) predstavlja repozitorij - pretinac u koji moete spremiti razne zapise prema vlastitom izboru.
\'Recycler\' predstavlja kanticu za smee, to jest obrisani sadraj.

<B>Napomena:</B> Svaki tip obino je specificiran odreenom ikonom. Takoer, glavni tipovi mogu biti nedostupni za korisnika (tako da moete imati osjeaj da vam neke od opcija nisu dostupne!). I na kraju svaki tip stranice omoguava samo odreene zapise na stranici (ukoliko imate bilo kakvih problema SysFolder omoguava svaki zapis).',
		'TSconfig.description' => 'Stranica TypoScript konfiguracije.',
		'TSconfig.details' => 'U osnovi \'TypoScript\' je koncept za unos vrijednosti putem strukture stabla. Princip je poznat iz naina kreiranja predloaka za TYPO3 web sjedite.
Takoer, ovdje se primjenjuje jednak princip hijerarhijskog unosa vrijednosti za potrebe konfiguriranja razliitih znaajki u odnosu na osnovu sustava (backend), funkcije modula, WYWIWYG editora i slino. 
Konani \'TSconfig\' stranice je rezultat akumuliranja svih \'TSconfig\' vrijednosti od poetne stranice stabla prema trenutnoj stranici. Na taj nain sve prethodne stranice u hijerarhiji utjeu na konfiguraciju. Ispis stranice TSconfig mogu je iz menija \'Stranica TSconfig\' u \'Web>Info\' modulu (zahtijeva da bude instalirano proirenje "info_pagetsconfig").',
		'TSconfig.syntax' => 'Osnovna TypoScript sintaksa <em>bez</em> \'uvjeta\' i \'konstanti\'.

Preporuljivo je da samo korisnici s administratorskim dozvolama imaju pristup do ovog polja!',
	),
	'hu' => Array (
		'title.description' => 'Add meg az oldal vagy knyvtr cmt.',
		'title.syntax' => 'Meg kell adnod egy oldalcmet. Ez a mez ktelez.',
		'.description' => 'A \'Page\' rekord ltalban egy weboldalt jelent a TYPO3-ban. Minden oldalnak van egy id-szma, amivel hivatkozni lehet r. A \'Page\' rekord nem tartalmazza az oldal tartalmt - ezrt ltre kell hozni \'Oldal tartalom\' rekordokat.',
		'.details' => 'Az oldal tpustl fggen ez is az adatbzis elemek trolst
kpviseli a TYPO3-ban. Abban az esetben , ha nem szksges
az elrs weblapknt, hanem csak belsleg az oldalrendszeren
bell olyan trolsi hely gyannt, mint felhasznlk,
feliratkozsok, stb.
Az oldalak tblja adja a TYPO3 gerinct. A TYPO3-ban
minden fram modul ltal szerkeszthet rekord egy oldalhoz
\'tartozik\'. Pontosan gy, mint a fjlok s knyvtrak a
merevlemezen.
Az oldalak egy faszer struktrba vannak rendezve, amely
nemcsak knnyen kezelhetsget biztost, hanem egy
optimlis tkre annak, hogy hogyan kell az oldalakat
szervezni a webhelyen bell. s gy rjhetnk arra, hogy a
fastruktra magnak a webhely navigcinak a
visszatkrzdse.

Technikailag minden adatbzis elemnek van egy \'uid\' azaz
egyedi azonost szmot kpvisel mezje. Tovbb ezek
az elemeknek rendelkeznik kell egy \'pid\' szlazonost
mezvel, amely azonostja azt az oldalt, ahova tartoznak.
Ha egy \'pid\' mez zrus, akkor a rekord az n. \'gykrben\'
tallhat. A gykrhez csak az adminisztrtorok frnek hozz
illetve a tblarekordokat gy kell konfigurlni, hogy vagy egy
oldalhoz vagy a gykrhez tartozzanak.',
		'doktype.description' => 'Vlaszd ki az oldal tpust. Ettl fgg, hogy az oldal lthat vagy egyb clokra szolgl.',
		'doktype.details' => 'A \'Standard\' tpus egy weboldalt kpvisel, a \'SysFolder\'
- amely nem weboldal - egy olyan knyvtr, amely az ltalad
kivlasztott rekordok kezelst vgzi, a \'Recycler\' pedig
egy lomtr.

<B>Figyelem:</B> Minden tpushoz egy specilis ikon van
csatolva. Vannak bizonyos, felhasznlk ltal el nem rhet
tpusok (a tapasztalat szerint olyanok, amit nem tudsz elrni).
s vgl minden tpus gy van konfigurlva, hogy csak
az oldal bizonyos tblarekordjait engedlyezik (a SysFolder
engedlyez brmely rekordot problma esetn).',
		'TSconfig.description' => 'Az oldal TypoScript belltsa.',
		'TSconfig.details' => 'Alapjban a \'TypoScript\' egy koncepci rtkek elhelyezsre a 
fastruktrban. Ez klnsen jl ismert a TYPO3 weboldalak
s a sablonkszts kapcsolatban.
Teht ugyanaz az beviteli hierarchia alapelv hasznlatos itt is,
amely bellt szmos elemet a backenddel kapcsolatban,
mveleteket a modulokban, a Rich Text Editor, stb.
Ez eredmny \'TSconfig\' egy oldalra nzve az gykrtl az adott
oldalig az sszes oldal \'TSconfig\' rtkek halmozsa. gy
minden aloldal is rintve van. A TSconfig oldal nyomata
elrhet az \'Oldal TSconfig\' menbl, amely a \'Web>Info\'
modulban tallhat (szksges az "info_pagetsconfig"
kiterjeszts elzetes teleptse).',
		'TSconfig.syntax' => 'Alap TypoScript szintaxis \'Felttelek\' s \'Konnstansok\' <em>nlkl</em>.

Javaslat: csak admin-felhasznlknak legyen engedlyezve a mez elrse!',
	),
	'gl' => Array (
	),
	'th' => Array (
	),
	'gr' => Array (
	),
	'hk' => Array (
		'title.description' => 'JθƧW',
		'title.syntax' => 'AnJ@ӺW١CoOC',
		'.description' => 'b TYPO3 @ӡuvOq`N@ӺCҦ@ӽsAzLoӽsiHQsMѷӡCuvOte - nFoتAӫإߡuevOC',
		'.details' => 'Guv, ]iHNb TYPO3 @ӴqƮwxsCboӱpUAO@ӥi[ݪAӥuOϤb@xs]ϥΪ̩Mq\\^aC
ƪO TYPO3 ϡCҦiHg TYPO3 DҲխק諸O@wuݩv@ӺCNnAqwФƧMɮפ@ˡC
Q´@ӡuϡvAO@ӫD`K´A]̦ĤϬMAӦp´AC]Aq`A|o{ϤϬMɦVC
޳NWAҦƮw󳣦@ӡuUIDvAOW@u{ҡvsC~A̤@w@ӡuPIDvAtL̩ݪsCpuPIDvOsAONObQ٬uڡvCu޲zQ\\isڡAӥBƪO@wn]wݩ@ӺΦڤC',
		'doktype.description' => 'ܺCovTO@ӥi[ݪάO@Lγ~C',
		'doktype.details' => 'uзǡvN@ӺC
utθƧvN@ӫD - @ӸƧ@AܪOxsC
u^vO@өUcC

<B>dNG</B>C@q`@ӯSwϥܡCPɹYӥήaiणϥάYǺ]]AigAϥάYǿﶵ^C̫C@Q]wӮe\\uYǸƪOs]tθƧ|e\\OApAD^C',
		'TSconfig.description' => ' TypoScript ]wC',
		'TSconfig.details' => '򥻤W@uTypoScriptvO@ӦbϤJƭȪCSOOY쬰 TYPO3 إ߼˪ɡC
MӬۦPhAΩJƭȨtΥH]wPԨtΤP\\, Ҳժ\\, h\\rs边C
@Ӻ̲סuTSconfigvbOֿnFqϪڭܲ{ҦuTSconfigvƭȡCӦ]ҦƭQvTCAiHbuWeb>Infov]Aݭnw "info_pagetsconfig" u^ҲդuPage TSconfigv椤@Ӻ uTSconfigvƥC',
		'TSconfig.syntax' => '򥻪 TypoScript yk <em>S</em>uvMu`ȡvC

ڭ̫ĳu޲zŨϥΪ̤~Q\\isoءC',
	),
	'eu' => Array (
	),
	'bg' => Array (
		'title.description' => '     .',
		'title.syntax' => '     .   .',
		'.description' => ' \'\'      TYPO3.    id-        .  \'\'         -        \'  \'.',
		'doktype.description' => '   .                .',
		'TSconfig.description' => '  TypoScript .',
		'TSconfig.syntax' => ' TypoScript  <em></em> \'\' and \'\'.

           !',
	),
	'br' => Array (
		'title.description' => 'Digite o ttulo da pgina ou pasta.',
		'title.syntax' => 'Voc precisa digitar um ttulo para a pgina. Este campo  obrigatrio.',
		'.description' => 'Um registro do tipo \'Pgina\' normalmente representa uma pgina web no TYPO3. Todas as pginas possuem um nmero de identificao atravs do qual elas podem ser acessadas e referenciadas. O registro \'pgina\' no armazena em si o contedo da pgina - para essa finalidade voc deve criar registros do tipo \'Contedo de pgina\'.',
		'.details' => 'Dependendo do \'Tipo\' da pgina, ela pode representar um armazm de elementos da base de dados do TYPO3. Neste caso, no estar necessariamente disponvel como uma pgina web, mas apenas internamente na rvore de pginas, como um local para armazenar tens como usurios, assinaturas, etc. A tabela de pginas  a estrutura bsica no TYPO3. Todos os registros editveis pelos mdulos principais do TYPO3 precisam \'pertencer\' a uma pgina.  exatamente como os arquivos e pastas do disco rgido de seu computador.
As pginas so organizadas dentro de uma estrutura de rvore, a qual  no apenas uma forma bastante prtica de organizao de modo geral, mas tambm uma representao apropriada de como voc deve organizar as pginas dentro do seu site. Desta forma, voc perceber que a rvore de pginas  uma representao da prpria estrutura de navegao do site.

Tecnicamente, todos os elementos do banco de dados possuem um campo \'uid\', que contm um nmero de identificao nico. Alm disso, possuem tambm um campo \'pid\', que contm o nmero de identificao da pgina  qual eles pertencem. Se o campo \'pid\'  zero, o registro se encontra na chamada \'raiz\'. Apenas usurios-administradores possuem acesso  raiz e portanto os registros precisam ser configurados, ou para pertencer a uma pgina, ou para serem encontrados na raiz.',
		'doktype.description' => 'Selecione o tipo da pgina. Esta opo define se a pgina representa uma pgina web visvel ou se  usada para outras finalidades.',
		'doktype.details' => 'O tipo \'Padro\' representa uma pgina web. \'Pasta de Sistema\' representa uma pgina no-web - uma pasta atuando como armazm de registros  sua escolha. \'Lixeira\' representa um local para excluso de registros.

<B>Nota:</B> Cada tipo normalmente possui um cone especfico. Alm disso, certos tipos podem no estar disponveis a todos os usurios (assim talvez algumas das opes podem no estar disponveis para voc!). E finalmente, cada tipo  configurado para permitir apenas certas opes de registros dentro da pgina (o tipo \'Pasta de Sistema\' permitir qualquer registro, caso voc encontre algum problema).',
		'TSconfig.description' => 'Configurao TypoScript da pgina.',
		'TSconfig.details' => 'Basicamente, \'TypoScript\'  um conceito para atribuir valores em uma estrutura de rvore. Este conceito  observado especialmente durante a criao de modelos para sites TYPO3.
Entretanto, o mesmo princpio para atribuio da hierarquia de valores  usado aqui para configurar vrias caractersticas em relao  administrao do site, s funes dos mdulos, ao editor Rich Text, etc. O \'TSconfig\' resultante para a pgina  na verdade o acmulo de todos os valores \'TSconfig\' herdados desde a raiz do site at a pgina atual. E da mesma forma, todas as subpginas sero afetadas tambm. 
Uma visualizao do TSconfig da pgina est disponvel no menu \'TSconfig da pgina\', presente no mdulo \'Web>Info\' (requer a instalao da extenso "info_pagetsconfig").',
		'TSconfig.syntax' => 'Sintaxe bsica TypoScript <em>sem</em> \'Condies\' e \'Constantes\'.

 recomendado que apenas os usurios-administradores tenham acesso permitido a este campo!',
	),
	'et' => Array (
	),
	'ar' => Array (
	),
	'he' => Array (
		'title.description' => 'הכנס שם הדף או התיקייה',
		'title.syntax' => 'עליך להזין שם הדף. השדה נדרש.',
		'.description' => 'רשומה מסוג "דף" בדרך כלל מייצג דף אינטרנט ב-TYPO3. לכל הדפים יש מספר זהות לפיו ניתן לצור קישורים אליהם. רשומה מסוג "דף" לא מכילה תוכן דף בתוכה. בשביל זה עליך לצור רשומות מסוג "תוכן דף".',
		'.details' => 'תלוי בסוג של דף, זה יכול להוות מקום איחסון כללי לפרטי מאגר מידע ב-TYPO3. במקרה כזה, זה לא בהכרח זמין בתור דף אינטרנט, אלא פנימית, בתור מקום לאחסן פריטים כמו: משתמשים, כתובות וכו\'. טבלת דפים היא "עמוד השדרה" ב-TYPO3. כל רשומות שניתנים לעריכה צריכים "להשתייך" לדף. זה בדיוק כמו קבצים ותיקיות על הדיסק הקשיח. דפים מסודרים בצורת עץ, שהיא לא רק צורה נוחה, אלא גם מראה איך עליך לסדר דפים באתר.
טכנית, לכל הרכיבים במאגר מידע יש שדה "uid" שהוא מספר זיהוי ייחודי. בנוסף יש גם שדה "pid" שמכיל מספר uid של דף, אליו הוא שייך. אם pid הוא 0 - הרשומה נמצאת בשורש. רק מנהלים רשאים לגשת לשורש ועל כל רשומות להשתייך או לשורש או לדף.',
		'doktype.description' => 'בחר סוג הדף. זה מגדיר אם הדף מייצג דף אינטרנט או בשימוש לצרכים אחרים.',
		'doktype.details' => 'סוג "רגיל" מייצג דף אינטרנט. "SysFolder" אינו מייצג דף אינטרנט, אלא תיקייה בה ניתן לאחסן רשומות שתבחר. "סל מיחזור" - הוא פח אשפה.
<b>הערה:</b>לכל סוג בדרך כלל יש סמל מוצמד. יכול להיות שסוגים מסוימים לא נגישים למשתמש. ולבסוף, כל סוג מוגדר כך, שהוא מאפשר רק רשומות מסוימות בדף (SysFolder יאפשר כל רשומה, אם יש לכם בעיה עם זה).',
		'TSconfig.description' => 'תצורת TypoScript של דף.',
		'TSconfig.details' => 'עקרונית, "TypoScript" היא שיטה לסדר ערכים בצורת עץ. זה ידוע בעיקר יחסית ליצירת תבניות לאתרי TYPO3. בכל זאת, באותו עיקרון לסדר ערכים משתמשים גם כדי להגדיר תכונות שונות בממשק האחורי, פעולות במודולים, Rich Text Editor, וכו\' לבסוף, "TSconfig" של דף הינו בעצם אוסף של כל ארכי "TSconfig" מהשורש של עץ דפים ועד לדף נוכחי. לכן, כל תת-דפים מושפעים גם הם. הקוד של "TSconfig" ניתן לראות בתפריט -"TSconfig של דף"במודול "אינטרנט->מידע" (דורש תוספת "info_pagetsconfig" שתהיה מותקנת)',
		'TSconfig.syntax' => 'תחביר TypoScript בסיסי <em>ללא</em> "Conditions" ו-"Constants".
מומלץ שרק למנהלים תהיה גישה לשדה זה.',
	),
	'ua' => Array (
	),
	'lv' => Array (
		'title.description' => 'Ievadiet lapas vai foldera nosaukumu.',
		'title.syntax' => 'Ievadiet lapas virsrakstu. Šis lauks ir obligāts.',
		'.description' => '\'Lapas\' ieraksts iekš TYPO3 parasti reprezentē web lapu. Katrai lapai ir id numurs, kas viennozīmīgi identificē to. \'Lapas\' ieraksts pats par sevi nesatur lapas saturu - šim mērķim jūs veidosiet \'Lapas satura\' ierakstus.',
		'doktype.description' => 'Izvēlieties lapas tipu. Tas nosaka to, vai lapa reprezentē redzamo weblapu, vai arī tiek lietota citiem mērķiem.',
		'TSconfig.description' => 'Lapas TypoScript konfigurācija.',
	),
	'jp' => Array (
	),
	'vn' => Array (
	),
);
?>