<?php
/**
 * Default  TCA_DESCR for "sys_filemounts"
 * TYPO3 CVS ID: $Id: locallang_csh_sysfilem.php,v 1.6.2.1 2004/04/30 16:34:06 typo3 Exp $
 */

$LOCAL_LANG = Array (
	'default' => Array (
		'.description' => 'Filemounts describe a filepath on the server, relative or absolute.',
		'.details' => 'By creating a file mount record and placing a reference to it in a Backend usergroup you can allow a user access to the file mount in the File>List module. 
You need to create and set at least one filemount with a folder \'_temp_\' in it if you want users to upload files through the webbrowser.
Filemounts may also configure access to a path on the server to which the user has FTP-access. Just remember to set file-permissions on the server correctly so the webserver user (which PHP is running as) has at least read access to the FTP-dir.',
		'_.seeAlso' => 'be_users,
be_groups',
		'title.description' => 'Enter a title for the filemount',
		'path.description' => 'Enter the path of the filemount, relative or absolute depending on the settings of BASE.',
		'path.details' => 'If BASE is set to relative, the path mounted is found in the subfolder "fileadmin/" of the website. Then you should enter the subfolder in "fileadmin/" as path. For instance if you want to mount access to "fileadmin/user_uploads/all/" then enter the value "user_uploads/all" as the value of PATH.
If BASE is absolute you should enter the absolute path on the server, eg. "/home/ftp_upload" or "C:/home/ftp_upload". 

<strong>Notice:</strong> In any case, make sure the webserver user which PHP is running as has <em>at least</em> read-access to the path. If not, the mount will simply not appear without any warnings. 
If you have problems - especially with absolute mounts - try to mount something "simple" like a relative path in fileadmin. If that is working well, try the absolute path.

Your PHP-configuration may also impose other restrictions on you if safe-mode like features are enabled. Then use relative paths.',
		'_path.seeAlso' => 'sys_filemounts:base',
		'hidden.description' => 'Use this option to temporarily disable the filemount.',
		'hidden.details' => 'All backend users using the mount will not have access anymore. This includes \'Admin\'-users.',
		'base.description' => 'Determines whether the value of the PATH field is to be recognized as an absolute path on the server or a path relative to the fileadmin/ subfolder to the website.',
		'_base.seeAlso' => 'sys_filemounts:path',
	),
	'dk' => Array (
	),
	'de' => Array (
	),
	'no' => Array (
	),
	'it' => Array (
	),
	'fr' => Array (
	),
	'es' => Array (
	),
	'nl' => Array (
	),
	'cz' => Array (
	),
	'pl' => Array (
	),
	'si' => Array (
	),
	'fi' => Array (
		'.description' => 'Tiedostoasetukset (filemount) kuvaavattiedostopolkua palvelimella, relatiivista tai absoluuuttista.',
		'.details' => 'Luomalla tiedostoasetus tiedon ja asettamalla sen viitteeksi Tausta kyttjjoukolla voit antaa kyttjoikeuksia tiedostoasetuksille File->List aliohjelmassa.
Sinun tulee luoda vhintn yksi tiedostoasetus jossa hakemistona on \'_temp_\' jotta kyttj pystyvt mys viemn tiedostoja palvelimelle.
Tiedostoasetuksella voidaan konfiguroida ,ys polku jonne kyttjll on FTP-oikeus. Muista vain asettaa tiedosto-oikeudetoikein siten ett www-palvelinkyttj (mill PHP toimii) on vhintin luku oikeus FTP-hakemistoon.',
		'title.description' => 'Anna tiedostoasetuksen (Filemount) nimi',
		'path.description' => 'Anna tiedostoasetusten polku, joko relatiivinen tai absoluuttinen, riippuen BASE asetuksista.',
		'path.details' => 'Jos Base on asetettu relatiiviseksi, voimassa oleva polku lytyy hakemiston fileadmin/ alta www-palvelimessa.
Nin ollen Sinun tulee asettaa hakemisto \'fileadmin/\' poluksi. Esimerkiksi jos haluat tiedostoasetukseksi "fileadmin/user_upload/all/" on Sinun annettava PATH tiedoksi "user_upload/all/".
Jos BASE on absoluuttinen, on Sinun annettava absoluuttinen polku palvelimessa, esim. /home/ftp_upload" tai "C:/home/ftp_upload". 

<strong>Huomautus:</strong> Kaikissa tapuksissa, varmista ett palvelinkyttj jolla PHP toimii on <em>ainakint</em> luku-oikeudet polkuun. Jos nin ei ole, tiedostoasetukset eivt yksinkertaisesti tule nkyviin eik varoituksia.
Jos Sinulla on ongelmia - erityisesti absoluuttisten asetusten kanssa - yrita asettaa jotain \'yksinkertaista\' kuten relatiivinen asetus fileadmin hakemiston sisll. Jos tmtoimii oikein yrit asettaa absoluuttinen polku.

Voi olla ett mys PHP-asetukset aiheuttavat rajoituksia Sinulle. kuten esimerkikis safe-moodi asetukset. Kyt silloin relatiivisia asetuksia.',
		'hidden.description' => 'Kyt tt vaihtoehtoa poistaaksesi tiedostoasetukset vliaikaisesti.',
		'hidden.details' => 'Kenellkn taustkyttjlle ei ole en oikeuksia tiedostoasetukseen. Tm koskee mys \'Admin\'-kyttji.',
		'base.description' => 'Tll ptelln onko PATH kentn tieto tunnistettava absoluuttiseksi vai relatiiviseksi poluksi fileadmin/ hakemiston alla olevaksi alihakemistoksi',
	),
	'tr' => Array (
	),
	'se' => Array (
		'.description' => 'Filmonteringarna visar skvgen till en fil p servern, relativt eller absolut.',
		'.details' => 'By creating a file mount record and placing a reference to it in a Backend usergroup you can allow a user access to the file mount in the File>List module. 
You need to create and set at least one filemount with a folder \'_temp_\' in it if you want users to upload files through the webbrowser.
Filemounts may also configure access to a path on the server to which the user has FTP-access. Just remember to set file-permissions on the server correctly so the webserver user (which PHP is running as) has at least read access to the FTP-dir.',
		'title.description' => 'Fyll i en titel fr filmonteringen',
		'path.description' => 'Fyll i filmonteringens skvg, relativ eller absolut beroende p BASE-instllningarna.',
		'path.details' => 'If BASE is set to relative, the path mounted is found in the subfolder "fileadmin/" of the website. Then you should enter the subfolder in "fileadmin/" as path. For instance if you want to mount access to "fileadmin/user_uploads/all/" then enter the value "user_uploads/all" as the value of PATH.
If BASE is absolute you should enter the absolute path on the server, eg. "/home/ftp_upload" or "C:/home/ftp_upload". 

<strong>Notice:</strong> In any case, make sure the webserver user which PHP is running as has <em>at least</em> read-access to the path. If not, the mount will simply not appear without any warnings. 
If you have problems - especially with absolute mounts - try to mount something "simple" like a relative path in fileadmin. If that is working well, try the absolute path.

Your PHP-configuration may also impose other restrictions on you if safe-mode like features are enabled. Then use relative paths.',
		'hidden.description' => 'Anvnd denna option fr att tillflligt stnga av filmonteringen.',
		'hidden.details' => 'Alla backend-anvndare som anvnder denna filmontering avstngs. Detta inkluderar ocks \'Admin\'-anvndare.',
		'base.description' => 'Determines whether the value of the PATH field is to be recognized as an absolute path on the server or a path relative to the fileadmin/ subfolder to the website.',
	),
	'pt' => Array (
	),
	'ru' => Array (
	),
	'ro' => Array (
	),
	'ch' => Array (
	),
	'sk' => Array (
	),
	'lt' => Array (
	),
	'is' => Array (
	),
	'hr' => Array (
		'.description' => 'Poveznice (filemounts) opisuje putanju na posluitelju, relativnu ili apsolutnu.',
		'.details' => 'Kreiranjem zapisa poveznice i postavljenjem reference na nju unutar pozadinske grupe korisnika moemo dozvoliti korisnicima da koriste poveznicu unutar Datoteka>Popis (File>List) modula.
Trebate kreirati i postaviti barem jednu poveznicu s pretincem \'_temp_\' ukoliko elite da korisnici mogu prenositi datoteke putem web preglednika.
Poveznice takoer mogu konfigurirati putanju tako da se moe pristupati datotekama do kojih korisnici imaju FTP pristup. Nemojte zaboraviti postaviti dozvole nad datotekama tako da korisnik, pod ijim ovlastima je pokrenut web posluitelj, moe imati barem dozvolu itanja.',
		'_.seeAlso' => 'be_korisnici,
be_grupe',
		'title.description' => 'Unesite naslov za poveznicu',
		'path.description' => 'Unesite putanju poveznice, relativnu ili apsolutnu u zavisnosti od postavljenje opcije BASE.',
		'path.details' => 'Ukoliko je BASE opcija postavljena kao relativna onda putanja pokazuje na potpretinac "fileadmin/" web sjedita. Tada morate unjeti potpretinac unutar "fileadmin/" kao putanju. Na primjer elite li povezati pristup do "fileadmin/user_uploads/all/" onda unesite vrijednost "user_uploads/all" kao vrijednost putanje.
Ukoliko je BASE opcija postavljena kao apsolutna onda ptrbate unjeti apsolutnu putanju na posluitelju, npr. "/home/ftp_upload" ili "C:/home/ftp_upload".

<strong>Napomena:</strong> U svakom sluaju budite sigurni da korisnik pod ijim ovlastima je pokrenut web posluitelj ima <em>najmanje>7em> prava itanja unesene putanje. Ukoliko nema tih prava povezani sadraj nee se pojaviti bez ikakvih upozorenja.
Imate li problema - posebno s apsolutnim povezivanjem - pokuajete povezati neto "jednostavnije" kao to je relativna ptanja unutar fileadmin pretinca. Ukoliko to radi ispravno probajte s apsolutnom putanjom.

Vaa PHP konfiguracija takoer moe nametnuti odreena ogranienja ukoliko je safe-mod ili slina znaajka omoguena. Tada koristite ralativnu putanju.',
		'_path.seeAlso' => 'sys_filemounts:base',
		'hidden.description' => 'Koritenjem ove opvije privremeno onemoguavate poveznicu.',
		'hidden.details' => 'Svi pozadinski korisnici koriste',
		'base.description' => 'Odreuje da li e vrijednost PATH polja biti prepoznat kao apsolutni  put na posluitelju ili relativni put u odnosu na fileadmin/ podpretinac web sjedita.',
		'_base.seeAlso' => 'sys_filemounts:path',
	),
	'hu' => Array (
		'.description' => 'A filemount egy relatv vagy abszolt file elrsi utat jelent a szerveren.',
		'.details' => 'Egy file mount rekord ksztsvel s egy hivatkozs elhelyezsvel egy Backend felhasznlcsoportnak elrst lehet adni a file mounthoz a File>Lista modulban.
Legalbb egy filemount-ot kell kszteni s belltani egy \'_temp_\' knyvtrral, ha azt akarod, hogy a felhasznlk file-okat tudjanak feltlteni a bngszn keresztl.
A filemount-ok elrs is biztosthatnak egy olyan tvonalhoz a szerveren, amihez a felhasznlnak van FTP elrse. Ne felejtsnk el megfelel file-jogosultsgokat adni, teht a felhasznlnak legalbb olvassi joga kell hogy legyen az FTP knyvtrhoz.',
		'title.description' => 'Add meg a filemount nevt',
		'path.description' => 'Add meg a filemount elrsi tjt, relatv vagy abszolt mdon a BASE belltsoktl fggen.',
		'path.details' => 'Ha a BZIS relatvra van lltva, a mountolt tvonal a "fileadmin/" alknyvtrban tallhat. Ekkor be kell rnod a "fileadmin/" alknyvtrban tallhat elrsi utyat. Teht ha mountolni akarod a "fileadmin/user_uploads/all/" tvonalat, akkor "user_uploads/all" rtket kell az TVONAL mezbe rni.
Ha a BZIS abszolt, akkor a teljes szerver elrsi utat be kell rni, pl. "/home/ftp_upload" vagy "C:/home/ftp_upload". 

<strong>Megjegyzs:</strong> Figyeljnk, hogy a webszerver felhasznl, aki a PHP-t futtatja rendelkezzen <em>legalbb</em> olvassi joggal az tvonalhoz. Ha mgsem, a mount egyszeren nem fog megjelenni, s hibazenetet sem kld.
Ha problmnk addik - klnsen az abszolt mount-okkal - prbljuk valami egyszert mountolni, mint pl. egy relatv tvonalat a fileadmin-ban. Ha ez mkdik, akkor prbljuk abszolt ttal.

A PHP belltsunk mg egyb akadlyokat llthat, ha a safe-mode tpus lehetsgek engedlyezve vannak. Ekkor hasznljunk relatv utakat.',
		'hidden.description' => 'Akkor hasznld, ha ideiglenesen le akarsz tiltani egy filemount-ot.',
		'hidden.details' => 'A mount-ot hasznl sszes backend felhasznlnak megsznt az elrse, belertve az \'Admin\' felhasznlkat is.',
		'base.description' => 'Meghatrozza, hogy a PATH mez rtke abszolt szervertknt vagy a fileadmin/ alknyvtrhoz kpest relatv mdon legyen rtelmezve.',
	),
	'gl' => Array (
	),
	'th' => Array (
	),
	'gr' => Array (
	),
	'hk' => Array (
		'.description' => 'ɮױIyz@ӦA|A۹ε諸',
		'.details' => 'zLإߤ@ɮױIMbԨϥΪ̸sդm@ӰѷӡAAiH\\i@WϥΪ̦sbɮ>CҲդɮױIC
AݭnإߩM]w̤֤@ӥH u_temp_v ɮױIApAQϥΪ̳zLWɮסC
ɮױI]\\Pɳ]w@ӦAW|svA惡ϥΪ̦ ftp svCunOTa]wWɮצsvAHAϥΪ̡]PHPBɪϥΪ̡^̰򥻪\\Ūvs FTP ƧC',
		'title.description' => 'JɮױIW',
		'path.description' => 'JɮױI|A۹諸ε諸AG򥻪]w',
		'path.details' => 'p򥻳]w۹諸AQ||bufileadminvlƧCAӿJufileadminvlƧ|CҦpAAQWufileadmin/user_uploads/allvsvAANӿJuuser_uploads/allv@|ȡC
p򥻳]wO諸AAӿJAW|AҦpGu/home/ftp_uploadvΡuC:/home/ftp_uploadv

<strong>dNG</strong>b󱡪pUA֩wABPHPϥΪ̦|<em>̰</em>ŪvCpSAIN|X{AӥB|SĵiC
pAD - SOOﱾI - ձJ@ǡu²vAp@Ӧbfileadmin۹|CpB@}nAAյ|C

A PHP ]w]\\P˷|[WLAApҰʤFwҦ(safe-mode)\\C˴Nnά۹|C',
		'hidden.description' => 'ϥγoӿﶵӼȮɮױIC',
		'hidden.details' => 'ҦϥαIԨϥΪ̱NsIC]AFu޲zvϥΪ̡C',
		'base.description' => 'Mw|檺ȬOQݬAW|άO@Ӭ۹fileadminlƧ|',
	),
	'eu' => Array (
	),
	'bg' => Array (
		'.description' => '  (Filemounts)     ,   .',
		'title.description' => '     (filemount)',
		'path.description' => '     (filemount),         BASE.',
		'hidden.description' => '         (filemount).',
		'hidden.details' => ' backend    (mount),     .    \'\' .',
		'base.description' => '     (PATH)                /    .',
	),
	'br' => Array (
		'.description' => 'Pontos-de-entrada descrevem um caminho de arquivo no servidor, relativo ou absoluto.',
		'.details' => 'Ao criar um registro de ponto-de-entrada e colocar uma referncia a ele num grupo de usurio Administrador, voc pode conceder acesso ao ponto-de-entrada a um usurio no mdulo Arquivo>Lista.
Voc deve criar ao menos um ponto-de-entrada com uma pasta \'_temp_\' nela se quiser que usurios sejam capazes de enviar arquivos atravs de um navegador web.
Pontos-de-entrada tambm podem configurar acesso a um caminho no servidor onde o usurio tenha acesso via FTP. Apenas lembre de criar permisses de arquivo corretamente no servidor para que o usurio do servidor (aquele que est rodando o PHP) tenha ao menos capacidade de leitura no diretrio FTP.',
		'title.description' => 'Insira um ttulo para o ponto-de-entrada',
		'path.description' => 'Insira o caminha para o ponto-de-entrada, relativo ou absoluto, dependendo das configuraes da BASE.',
		'path.details' => 'Se BASE for configurada como relativa, o caminho montado ser encontrado na subpasta "fileadmin/" do site. Ento voc deve inserir uma subpasta de "fileadmin/" como caminho. Por exemplo, se voc quiser montar acesso para "fileadmin/user_uploads/all", ento insira o valor "user_uploads/all" como o valor de PATH.
Se BASE for absoluta, voc deve inserir o caminho absoluto no servidor. Por exemplo "/home/ftp_upload" ou "C:/home/ftp_upload".

<strong>Ateno:</strong> Em todo caso, certifique-se de que o usurio do servidor web rodando PHP tenha <em>ao menos</em> permisso de leitura no caminho. Se no, o ponto-de-entrada simplesmente no aparecer, sem advertncias.
Se voc tiver problemas - especialmente com montagens absolutas - tente montar algo "simples", como um caminho relativo em "fileadmin".  Se isto funcionar corretamente, tente o caminho absoluto.

Sua configurao de PHP tambm pode impor outras restries se caractersticas como \'safe-modo\' estiverem habilitadas. Ento use caminhos relativos.',
		'hidden.description' => 'Use esta opo para desativar o ponto-de-entrada temporariamente.',
		'hidden.details' => 'Todos os usurios-administradores usando o ponto-de-entrada no tero mais acesso a ele. Isto inclui usurios \'Admin\'.',
		'base.description' => 'Determina se o valor do campo PATH deve ser reconhecido como um caminho absoluto no servidor ou um caminho relativo  pasta \'fileadmin/\' do site.',
	),
	'et' => Array (
	),
	'ar' => Array (
		'.description' => '            ',
		'.details' => '             .            :  < .
            \'_temp_\'  .',
		'title.description' => '    ',
		'path.description' => '           ',
		'path.details' => '                 "fileadmin/"    .         "fileadmin/" .
        :  "fileadmin/user_uploads/all/"     "user_uploads/all" 
 

                  "/home/ftp_upload" or "C:/home/ftp_upload".


<strong>:</strong>        <em>   </em>   read-access to the path.           .
               fileadmin .          .

    PHP        safe-mode   features   . 
     .',
		'hidden.description' => '      ',
		'hidden.details' => '           .     .',
		'base.description' => '                                  fileadmin/',
	),
	'he' => Array (
		'.description' => 'מוצבי קבצים מתארים נתיב קבצים על השרת, יחסי או מוחלט.',
		'.details' => 'דרך יצירת רשומה של מוצב קבצים והנחת התייחסות אליו בקבוצת משתמשי ממשק אחורי, הנך יכול לאפשר גישת משתמשים למוצב קבצים במודול "קובץ>רשימה". עליך ליצור ולהגדיר לפחות מוצב קבצים אחד עם תיקייה "_temp_" בתוכו אם הנך רוצה לאפשר למשתמשים להעלות קבצים דרך דפדפן אינטרנט. מוצבי קבצים יכולים גם לעצב גישה לנתיב על השרת, אליו יש למשתמש גישת FTP. צריך לזכור רק להגדיר הרשאות קבצים על השרת בצורה נכונה, כך שמשתמש של השרת (שה-PHP משתמש בזהותו) נושא לפחות זכות קריאה לתיקיית FTP זו.',
		'title.description' => 'הכנס שם של מוצב קבצים.',
		'path.description' => 'הכנס נתיב של מוצב קבצים, יחסי או מוחלט, תלוי בהגדרתו של בסיס (BASE).',
		'path.details' => 'במיקרה בו הבסיס (BASE) מכוון להיות יחסי, הנתיב שמוצב נמצא בתת-תיקייה "fileadmin/" של האתר. לכן עליך לציין תת-תיקייה של "fileadmin/" בנתיב. לדוגמה, אם ברצונך ליצור מוצב ל-"fileadmin/user_uploads/all/" עליך לציין "user_uploads/all" בתור ערך לשדה "נתיב". במידה ובסיס (BASE) הינו מוחלט - עליך לציין נתיב מוחלט על השרת, כגון "/home/ftp_upload" או "C:/home/ftp_upload".
<strong>הערה:</strong>
בכל מקרה, נא לוודע שמשתמש שבזהותו משתמש ה-PHP נושא לפחות זכות קריאה לנתיב. אם לא - המוצב פשוט לא יופיע, ללא כל אזהרה. אם יש בעיות , במיוחד עם מוצבים מוחלטים - נסה לצור מוצב פשוט יותר - כמו יחסי ל "fileadmin". אם זה עובד כרצוי - נסה נתיב מוחלט.
תצורת PHP יכולה להטיל הגבלות נוספות. לכן כדאי יותר להשתמש בנתיבים יחסיים.',
		'hidden.description' => 'השתמש באפשרות זו כדי להפוך מוצב קבצים ללא זמין זמנית.',
		'hidden.details' => 'כל משתמשי ממשק האחורי לא יקבלו אישור גישה יותר. זה כולל משתמשי "Admin" גם.',
		'base.description' => 'קובע אם ערך של שדה "נתיב" הוא נתיב מוחלט או יחסי לתיקייה fileadmin.',
	),
	'ua' => Array (
	),
	'lv' => Array (
	),
	'jp' => Array (
	),
	'vn' => Array (
	),
);
?>